import Bladex
import math
import DefAnims
##########################
# Create New Biped Data  #
##########################


    ##############################
    #                            #
    # BlackGuard Archer          #
    #                            #
    ##############################
    

  
    
    
import BlackGuardArcherAnm_def
BlackGuardArcherAnm_def.InitBlackGuardArcher()    
 
    
bga=Bladex.GetCharType("Bgd_Arch","Bga")
bga.IntName="Bga" 

bga.TurnSpeed=3.4
bga.Jcost=27000
bga.MaxFall=3000
bga.DieFall=2000
bga.MaxStair=335
bga.Fov=math.pi*1.2
bga.MaxGrab=3500.0
bga.MedGrab=2500.0
bga.Min2Grab=1500.0    
bga.MinTake=-500.0	# Min height above floor barbarian will take
bga.MaxTake1=450.0	# Max height above floor for Take1 Anim
bga.MaxTake2=550.0	# Max height above floor for Take2 Anim
bga.MaxTake3=1300.0	# Max height above floor for Take3 Anim
bga.MaxTake4=1900.0	# Max height above floor for Take4 Anim
bga.MaxTake5=3000.0	# Max height above floor for Take5 Anim
bga.Reach=2000.0	# Max distance from bar centre to obj centre to take
bga.MovFrwdSpeedInStrafe=1300  #Forwards speed when in strafe(combat mode only)
bga.MovBkwdSpeedInStrafe=1300  #Idem backwards
bga.MaxCombatDist=1000
bga.MaxSeeDist=28000

bga.SetNCDSpheres(2)  #Numero de esferas en el modelo de colisiones
bga.SetCDSphere(0,210.0,550.0)  #(numero de la espera, altura mm, radio mm)
bga.SetCDSphere(1,-200.0,550.0)  #(numero de la espera, altura mm, radio mm)

bga.NaturalWeapons=1

###############################################################################
#

def BlackGuardArcherWhenFirst():
	Bladex.CreateBipedData("Bga","Bgd_Arch")
	
	#############################################################
	# Uncoment the following section only after making changes, #
	# otherwise comment out to speed load times                 #
	#############################################################
	
	#import os

	#try:
	#	os.remove("..\\..\\AnmPak\\Bga.dat")
	#except:
	#	pass
		
	#####################################################

	exitsPak=Bladex.LoadAnmRaceData("../../AnmPak/Bga.dat")

	import BlackGuardArcherAnimationSet
	BlackGuardArcherAnimationSet.LoadBlackGuardArcherAnimationSet("Bga")
	
	import BlackGuardArcherBAct
	import LinkTables
	LinkTables.LinkMe("Bga")
	
	#import BlackGuardArcherCombos
	
	import AnmFactBlackGuardArcher
	AnmFactBlackGuardArcher.AnmFactBlackGuardArcher()
	
	import BlackGuardArcherStats

	if not exitsPak:
		Bladex.SaveAnmRaceData("../../AnmPak/Bga.dat","Bga")
	
	print"New BlackGuardArcher Data Set"
	
	Bladex.AddFloorCTolerance("slip",10)


		
		
race=Bladex.GetCharType("Bgd_Arch","Bga")
race.OnFirst=BlackGuardArcherWhenFirst
