import Bladex



def AsignarSonidosBgd(Personaje):
	
	from AniSoundTknX import *
	
	per=Bladex.GetEntity(Personaje)

	# Sonidos de eventos

	per.AddEventSound('shield_block', GolpeArmaEscudoTkn)
	per.AddEventSound('weapon_block', GolpeArmaArmaTkn)
	per.AddEventSound('impale', TajoEmpalanteTkn)
	per.AddEventSound('slash', TajoCortanteTkn)
	per.AddEventSound('mutilate', TajoMutilacionTkn)
	per.AddEventSound('crush', GolpeContundenteTkn)

	# Sonidos de animaciones

	# Animation Alarm (We want a selection of sounds, so better link a function)
	per.AddAnimSound('Bgd_alarm01', KnightKeepStill, 0.3000)
	per.AddAnimSound('Bgd_alarm02', KnightKeepStill, 0.3000)
	
	
	per.AddAnimSound('Bgd_chg_r', Enfundar, 0.5000)
	per.AddAnimSound('Bgd_chg_r_l', Enfundar, 0.5000)
	per.AddAnimSound('Bgd_attack_chg_r_l', Enfundar, 0.5000)
	per.AddAnimSound('Bgd_attack_chg_r', Enfundar, 0.5000)
	per.AddAnimSound('Bgd_chg_r', Enfundar, 0.5000)
	per.AddAnimSound('Bgd_chg_r_l', Enfundar, 0.5000)
	per.AddAnimSound('Bgd_attack_chg_r_l', Enfundar, 0.5000)
	per.AddAnimSound('Bgd_attack_chg_r', Enfundar, 0.5000)
	
	
	per.AddAnimSound('Bgd_g_21', EsfuerzoCorto3Tkn, 0.2000)
	per.AddAnimSound('Bgd_g_21', EsfuerzoCorto2Tkn, 0.6778)
	per.AddAnimSound('Bgd_g_21', SesgadoCortoAgudo, 0.1778)
	per.AddAnimSound('Bgd_g_21', SesgadoCortoAgudo, 0.6444)
	
	per.AddAnimSound('Bgd_g_d_r', EsfuerzoCorto2Tkn, 0.5059)
	per.AddAnimSound('Bgd_g_d_r', SesgadoCortoAgudo, 0.5294)
	

	per.AddAnimSound('Bgd_g_d_l', EsfuerzoTknMediano, 0.4725)
	per.AddAnimSound('Bgd_g_d_l', EsfuerzoCorto3Tkn, 0.4725)
	per.AddAnimSound('Bgd_g_d_l', SesgadoCortoAgudo, 0.5165)
	

	per.AddAnimSound('Bgd_g_03', EsfuerzoCorto5Tkn, 0.2388)
	per.AddAnimSound('Bgd_g_03', SesgadoLargoAgudo, 0.2836)
	
	per.AddAnimSound('Bgd_g_01', EsfuerzoCortoTkn, 0.3117)
	per.AddAnimSound('Bgd_g_02', EsfuerzoCorto1Tkn, 0.3026)
	per.AddAnimSound('Bgd_g_05', EsfuerzoCorto2Tkn, 0.5000)
	per.AddAnimSound('Bgd_g_06', EsfuerzoCorto3Tkn, 0.4342)
	per.AddAnimSound('Bgd_g_07', EsfuerzoCorto4Tkn, 0.3291)
	per.AddAnimSound('Bgd_g_08', EsfuerzoCorto5Tkn, 0.4030)
	per.AddAnimSound('Bgd_g_09', EsfuerzoCorto6Tkn, 0.3291)
	per.AddAnimSound('Bgd_g_01', SesgadoCorto, 0.3117)
	per.AddAnimSound('Bgd_g_02', SesgadoCortoAgudo, 0.3026)
	per.AddAnimSound('Bgd_g_05', SesgadoCortoGrave, 0.5000)
	per.AddAnimSound('Bgd_g_06', SesgadoCorto, 0.4342)
	per.AddAnimSound('Bgd_g_07', SesgadoCortoAgudo, 0.3291)
	per.AddAnimSound('Bgd_g_08', SesgadoCortoGrave, 0.4030)
	per.AddAnimSound('Bgd_g_09', SesgadoCorto, 0.3291)
	per.AddAnimSound('Bgd_g_11', EsfuerzoTknLargo, 0.2252)
	per.AddAnimSound('Bgd_g_12', EsfuerzoTknLargo, 0.5954)
	per.AddAnimSound('Bgd_g_13', EsfuerzoTknLargo, 0.3053)
	per.AddAnimSound('Bgd_g_14', EsfuerzoTknLargo, 0.3969)
	per.AddAnimSound('Bgd_g_15', EsfuerzoTknLargo, 0.4628)
	per.AddAnimSound('Bgd_g_16', EsfuerzoTknLargo, 0.3200)
	per.AddAnimSound('Bgd_g_17', EsfuerzoTknLargo, 0.4200)
	per.AddAnimSound('Bgd_g_18', EsfuerzoTknLargo, 0.4224)
	per.AddAnimSound('Bgd_g_11', SesgadoLargo, 0.4685)
	per.AddAnimSound('Bgd_g_12', SesgadoLargo, 0.5954)
	per.AddAnimSound('Bgd_g_13', SesgadoLargoAgudo, 0.3053)
	per.AddAnimSound('Bgd_g_14', SesgadoLargoGrave, 0.3969)
	per.AddAnimSound('Bgd_g_15', SesgadoLargo, 0.4628)
	per.AddAnimSound('Bgd_g_16', SesgadoLargoAgudo, 0.4681)
	per.AddAnimSound('Bgd_g_17', SesgadoLargoAgudo, 0.4427)
	per.AddAnimSound('Bgd_g_18', SesgadoLargoGrave, 0.4224)
	per.AddAnimSound('Bgd_g_22', EsfuerzoTknLargo, 0.4698)
	per.AddAnimSound('Bgd_g_26', EsfuerzoTknLargo, 0.3940)
	per.AddAnimSound('Bgd_g_22', SesgadoLargo, 0.4698)
	per.AddAnimSound('Bgd_g_26', SesgadoLargoAgudo, 0.7315)
	per.AddAnimSound('Bgd_g_31', EsfuerzoTknLargo, 0.2950)
	per.AddAnimSound('Bgd_g_31', SesgadoLargo, 0.2950)
	per.AddAnimSound('Bgd_g_31', SesgadoLargoAgudo, 0.4100)
	
	per.AddAnimSound('Bgd_wlk_spear', RespiraTkn2, 0.5000)
	per.AddAnimSound('Bgd_wbk_spear', RespiraTkn1, 0.5534)
	per.AddAnimSound('Bgd_jog_spear', RespiraTkn2, 0.5534)
	per.AddAnimSound('Bgd_jogb_spear', RespiraTkn2, 0.0534)
	
	##########
	
	per.AddAnimSound('Bgd_clmb_medlow_1h', EsfuerzoCortoTkn, 0.2400)
	per.AddAnimSound('Bgd_clmb_medium_1h', EsfuerzoCortoTkn, 0.1389)
	per.AddAnimSound('Bgd_clmb_medlow_no', EsfuerzoCortoTkn, 0.4000)
	per.AddAnimSound('Bgd_clmb_medium_no', EsfuerzoCortoTkn, 0.1944)
	per.AddAnimSound('Bgd_clmb_high_no', EsfuerzoCortoTkn, 0.1552)
	per.AddAnimSound('Bgd_clmb_medium_1h', EsfuerzoCortoTkn, 0.1389)
	per.AddAnimSound('Bgd_clmb_high_1h', EsfuerzoTknMediano, 0.1000)
	per.AddAnimSound('Bgd_clmb_high_1h', EsfuerzoCortoTkn, 0.7862)
	per.AddAnimSound('Bgd_clmb_medium_no', EsfuerzoCortoTkn, 0.1944)
	per.AddAnimSound('Bgd_clmb_high_no', EsfuerzoTknMediano, 0.1552)
	per.AddAnimSound('Bgd_clmb_high_no', EsfuerzoCortoTkn, 0.1552)
	per.AddAnimSound("Bgd_dth_n00", MuerteTkn, 0.1200)
	per.AddAnimSound("Bgd_dth_n00", CaidaTkn1, 0.8000)
	per.AddAnimSound("Bgd_dth_n01", MuerteTkn2, 0.1100)
	per.AddAnimSound("Bgd_dth_n01", CaidaTkn1, 0.7800)
	per.AddAnimSound("Bgd_dth_n02", MuerteTkn3, 0.1200)
	per.AddAnimSound("Bgd_dth_n02", CaidaTkn1, 0.8000)
	per.AddAnimSound("Bgd_dth_n03", MuerteTkn4, 0.1200)
	per.AddAnimSound("Bgd_dth_n03", CaidaTkn1, 0.7550)
	per.AddAnimSound("Bgd_dth_n04", MuerteTkn4, 0.1100)
	per.AddAnimSound("Bgd_dth_n04", CaidaTkn1, 0.7600)
	per.AddAnimSound("Bgd_dth_n05", MuerteTkn4, 0.1100)
	per.AddAnimSound("Bgd_dth_n05", CaidaTkn1, 0.7700)
	per.AddAnimSound("Bgd_dth_n06", MuerteTkn2, 0.1200)
	per.AddAnimSound("Bgd_dth_n06", CaidaTkn1, 0.7900)
	per.AddAnimSound("Bgd_dth_c1", DesangreTkn1, 0.1250)
	per.AddAnimSound("Bgd_dth_c1", CaidaTkn1, 0.7800)
	per.AddAnimSound("Bgd_dth_c1", DesangreTkn1, 0.2500)
	per.AddAnimSound("Bgd_dth_c2", DesangreTkn1, 0.1250)
	per.AddAnimSound("Bgd_dth_c2", DesangreTkn1, 0.2500)
	per.AddAnimSound("Bgd_dth_c2", CaidaTkn1, 0.7720)
	per.AddAnimSound("Bgd_dth_c2", CaidaTkn2, 0.8720)
	per.AddAnimSound("Bgd_dth_c3", DesangreTkn1, 0.1250)
	per.AddAnimSound("Bgd_dth_c3", DesangreTkn1, 0.2500)
	per.AddAnimSound("Bgd_dth_c3", CaidaTkn1, 0.7220)
	per.AddAnimSound("Bgd_dth_c4", DesangreTkn1, 0.1250)
	per.AddAnimSound("Bgd_dth_c4", DesangreTkn1, 0.2500)
	per.AddAnimSound("Bgd_dth_c4", CaidaTkn1, 0.7000)
	per.AddAnimSound("Bgd_dth_c4", CaidaTkn2, 0.8720)
	per.AddAnimSound("Bgd_dth_c5", DesangreTkn1, 0.1250)
	per.AddAnimSound("Bgd_dth_c5", DesangreTkn1, 0.2500)
	per.AddAnimSound("Bgd_dth_c5", CaidaTkn1, 0.7720)
	per.AddAnimSound("Bgd_dth_c5", CaidaTkn2, 0.5500)
	per.AddAnimSound("Bgd_dth_c6", DesangreTkn1, 0.1250)
	per.AddAnimSound("Bgd_dth_c6", DesangreTkn1, 0.2500)
	per.AddAnimSound("Bgd_dth_c6", CaidaTkn1, 0.7700)
	per.AddAnimSound('Bgd_dth_i1', MuerteTkn, 0.1000)
	per.AddAnimSound('Bgd_dth_i2', MuerteTkn, 0.1000)
	per.AddAnimSound('Bgd_dth_bl1', MuerteTkn2, 0.1000)
	per.AddAnimSound('Bgd_dth_bl2', MuerteTkn3, 0.1000)
	per.AddAnimSound('Bgd_dth_rock', MuerteTkn, 0.1000)
	per.AddAnimSound('Bgd_hurt_jog', HeridaTkn1, 0.2000)
	per.AddAnimSound('Bgd_hurt_neck', HeridaTkn1, 0.2000)
	per.AddAnimSound('Bgd_hurt_breast', HeridaTkn1, 0.2000)
	per.AddAnimSound('Bgd_hurt_back', HeridaTkn1, 0.2000)
	per.AddAnimSound('Bgd_hurt_r_arm', HeridaTkn2, 0.2000)
	per.AddAnimSound('Bgd_hurt_l_arm', HeridaTkn2, 0.2000)
	per.AddAnimSound('Bgd_hurt_r_leg', HeridaTkn2, 0.2000)
	per.AddAnimSound('Bgd_hurt_l_leg', HeridaTkn2, 0.2000)
	per.AddAnimSound('Bgd_hurt_f_neck', HeridaTkn3, 0.2000)
	per.AddAnimSound('Bgd_hurt_f_breast', HeridaTkn3, 0.2000)
	per.AddAnimSound('Bgd_hurt_f_back', HeridaTkn3, 0.2000)
	per.AddAnimSound('Bgd_hurt_f_r_arm', HeridaTkn2, 0.2000)
	per.AddAnimSound('Bgd_hurt_f_l_arm', HeridaTkn2, 0.2000)
	per.AddAnimSound('Bgd_hurt_f_r_leg', HeridaTkn2, 0.2000)
	per.AddAnimSound('Bgd_hurt_f_l_leg', HeridaTkn2, 0.2000)
	per.AddAnimSound('Bgd_hurt_f_lite', HeridaTkn3, 0.2000)
	per.AddAnimSound('Bgd_hurt_f_big', HeridaTkn3, 0.2000)
	per.AddAnimSound('Bgd_hurt_head', HeridaTkn3, 0.2000)
	per.AddAnimSound('Bgd_laugh', RisaTkn, 0.2351)
	per.AddAnimSound('Bgd_insult', AltoTkn, 0.2314)
	per.AddAnimSound('Wlk_2h_Bgd',RespiraTkn2, 0.5000)
	per.AddAnimSound('Wbk_2h_Bgd',RespiraTkn2, 0.5000)
	per.AddAnimSound('Wlk_2h_Bgd',RespiraTkn1, 0.5000)
	per.AddAnimSound('Wbk_2h_Bgd',RespiraTkn2, 0.5000)
	per.AddAnimSound('Bgd_attack_l',RespiraTkn2, 0.5000)
	per.AddAnimSound('Bgd_attack_r_s',RespiraTkn1, 0.5000)
	per.AddAnimSound('Bgd_attack_b_s',RespiraTkn2, 0.5000)
	per.AddAnimSound('Jog_1h_Bgd',RespiraTkn1, 0.1100)
	per.AddAnimSound('Jog_2h_Bgd',RespiraTkn1, 0.1100)
	per.AddAnimSound('Jog_b_Bgd',AvisoTkn1, 0.1100)
	per.AddAnimSound('Rlx_1h_Bgd',RespiraTkn4, 0.5000)
	per.AddAnimSound('Rlx_2h_Bgd',RespiraTkn4, 0.5000)
	per.AddAnimSound('Rlx_no_Bgd',RespiraTkn4, 0.1500)
	per.AddAnimSound('Rlx_no_Bgd',RespiraTkn3, 0.7000)
	
	per.AddAnimSound('Bgd_g_spears1', SesgadoLargoAgudo, 0.2610)
	per.AddAnimSound('Bgd_g_spears1', SesgadoCortoAgudo, 0.6010)
	per.AddAnimSound('Bgd_g_spears1', EsfuerzoTknLargo, 0.1620)
	
	per.AddAnimSound('Bgd_g_spears6', SesgadoLargoAgudo, 0.1470)
	per.AddAnimSound('Bgd_g_spears6', EsfuerzoCorto2Tkn, 0.1400)
	
	per.AddAnimSound('Bgd_g_spear08', SesgadoCortoAgudo, 0.2800)
	per.AddAnimSound('Bgd_g_spear08', SesgadoCorto, 0.5790)
	per.AddAnimSound('Bgd_g_spear08', EsfuerzoCorto3Tkn, 0.2800)
	
	per.AddAnimSound('Bgd_g_spear12', SesgadoCortoAgudo, 0.2550)
	per.AddAnimSound('Bgd_g_spear12', EsfuerzoCorto6Tkn, 0.2550)
	per.AddAnimSound('Bgd_g_spear12', SesgadoCorto, 0.5500)
	
	per.AddAnimSound('Bgd_g_spear16low', SesgadoCorto, 0.1170)
	per.AddAnimSound('Bgd_g_spear16low', SesgadoLargoAgudo, 0.3560)
	per.AddAnimSound('Bgd_g_spear16low', EsfuerzoCorto4Tkn, 0.1000)
	
	print "Bgditia sounds assigned"
	
	