import Bladex
import Enm_Def



def LoadBgdAnimationSet(ct_name):


	print "Loading the BlackGuard animation sets..."
	
	
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_agonia.bmv","Bgd_agonia",1,"BlackGuard_Tkn")

	#### Relax ####
	
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Lch_rlx_no.BMV","Rlx_w_Bgd",1,"BlackGuard_Tkn")
	Bladex.AddAnmRStep("Rlx_w_Bgd",0.0)
	Bladex.AddAnmLStep("Rlx_w_Bgd",0.0)
	
	
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Tkn_rlx_no.BMV","Rlx_no_Bgd",1,"BlackGuard_Tkn")
	Bladex.AddAnmRStep("Rlx_no_Bgd",0.0)
	Bladex.AddAnmLStep("Rlx_no_Bgd",0.0)
					
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Tkn_rlx_no.BMV","Rlx_1h_Bgd",1,"BlackGuard_Tkn")
	Bladex.AddAnmRStep("Rlx_1h_Bgd",0.0)     
	Bladex.AddAnmLStep("Rlx_1h_Bgd",0.0)	
		
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_rlx_b.BMV","Rlx_b_Bgd",1,"BlackGuard_Tkn")
	Bladex.AddAnmRStep("Rlx_b_Bgd",0.0)
	Bladex.AddAnmLStep("Rlx_b_Bgd",0.0)
	
	
	##### Throw Attacks
	
	anm_name="Bgd_g_tw5"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Dgk_g_tw5.BMV",anm_name,0,"BlackGuard_Tkn")
	Bladex.AddAnmLStep(anm_name,0.0)      
	Bladex.AddAnmRStep(anm_name,0.0)    
	Bladex.AddAnmRRelease(anm_name,0.32)
	Bladex.AddAnmRStep(anm_name,0.44)    
	Bladex.AddAnmRRelease(anm_name,0.57)
	Bladex.AddAnmRStep(anm_name,0.73)
	
	
	
	anm_name="Bgd_catch"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Dgk_catch.BMV",anm_name,0,"BlackGuard_Tkn")
	Bladex.AddAnmLStep(anm_name,0.0)      
	Bladex.AddAnmRStep(anm_name,0.0)
	
	
	
	anm_name="Bgd_order"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_order.BMV",anm_name,0,"BlackGuard_Tkn")
	Bladex.AddAnmRStep(anm_name,0.000)
	Bladex.AddAnmLStep(anm_name,0.000)
	
	
	
	
	
	anm_name="Bgd_key"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_key.BMV",anm_name,0,"BlackGuard_Tkn")
	Bladex.AddAnmLStep(anm_name,0) 
	Bladex.AddAnmRStep(anm_name,0.00)

	anm_name="Bgd_lvr_u"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_lvr_u.BMV",anm_name,0,"BlackGuard_Tkn")
	Bladex.AddAnmLStep(anm_name,0.00) 
	Bladex.AddAnmRStep(anm_name,0.00)
	Bladex.AddAnmRRelease(anm_name,0.126)	
	Bladex.AddAnmRStep(anm_name,0.294)
	Bladex.AddAnmRRelease(anm_name,0.720)	
	Bladex.AddAnmRStep(anm_name,0.875)

	anm_name="Bgd_lvr_d"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_lvr_d.BMV",anm_name,0,"BlackGuard_Tkn")
	Bladex.AddAnmLStep(anm_name,0.00) 
	Bladex.AddAnmRStep(anm_name,0.00)
	Bladex.AddAnmRRelease(anm_name,0.126)	
	Bladex.AddAnmRStep(anm_name,0.294)
	Bladex.AddAnmRRelease(anm_name,0.720)	
	Bladex.AddAnmRStep(anm_name,0.875)

	anm_name="Bgd_pulsador"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_pulsador.BMV",anm_name,0,"BlackGuard_Tkn")
	Bladex.AddAnmLStep(anm_name,0.00) 
	Bladex.AddAnmRStep(anm_name,0.00)
	Bladex.AddAnmRRelease(anm_name,0.075)	
	Bladex.AddAnmRStep(anm_name,0.233)
	Bladex.AddAnmRRelease(anm_name,0.566)	
	Bladex.AddAnmRStep(anm_name,0.856)

	anm_name="Bgd_fire0"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_fire0.BMV",anm_name,0,"BlackGuard_Tkn")
	Bladex.AddAnmLStep(anm_name,0.00) 
	Bladex.AddAnmRStep(anm_name,0.00)
	Bladex.AddAnmRRelease(anm_name,0.113)	
	Bladex.AddAnmRStep(anm_name,0.29)
	Bladex.AddAnmRRelease(anm_name,0.751)	
	Bladex.AddAnmRStep(anm_name,0.98)	

	anm_name="Bgd_fire1"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_fire1.BMV",anm_name,0,"BlackGuard_Tkn")
	Bladex.AddAnmLStep(anm_name,0.00) 
	Bladex.AddAnmRStep(anm_name,0.00)
	Bladex.AddAnmRRelease(anm_name,0.091)
	Bladex.AddAnmRStep(anm_name,0.2)
	Bladex.AddAnmRRelease(anm_name,0.650)
	Bladex.AddAnmRStep(anm_name,0.824)

	anm_name="Bgd_fire2"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_fire2.BMV",anm_name,0,"BlackGuard_Tkn")
	Bladex.AddAnmLStep(anm_name,0.00) 
	Bladex.AddAnmRStep(anm_name,0.00)
	Bladex.AddAnmRRelease(anm_name,0.081)
	Bladex.AddAnmRStep(anm_name,0.225)
	Bladex.AddAnmRRelease(anm_name,0.752)
	Bladex.AddAnmRStep(anm_name,0.922)

	anm_name="Bgd_fire3"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_fire3.BMV",anm_name,0,"BlackGuard_Tkn")
	Bladex.AddAnmLStep(anm_name,0.00) 
	Bladex.AddAnmRStep(anm_name,0.00)
	Bladex.AddAnmRRelease(anm_name,0.104)
	Bladex.AddAnmRStep(anm_name,0.239)
	Bladex.AddAnmRRelease(anm_name,0.748)
	Bladex.AddAnmRStep(anm_name,0.953)

	anm_name="Bgd_fire_g"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_fireg.BMV",anm_name,0,"BlackGuard_Tkn")
	Bladex.AddAnmLStep(anm_name,0.00) 
	Bladex.AddAnmRStep(anm_name,0.00)
	Bladex.AddAnmRRelease(anm_name,0.108)
	Bladex.AddAnmRStep(anm_name,0.244)
	Bladex.AddAnmRRelease(anm_name,0.758)
	Bladex.AddAnmRStep(anm_name,0.926)

	

####	TREPAR


	anm_name="Bgd_clmb_low_1h"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_clmb_low_1h.BMV",anm_name,0,"BlackGuard_Tkn")
	Bladex.AddAnmRStep(anm_name,0.0)
	Bladex.AddAnmRRelease(anm_name,0.17)
	Bladex.AddAnmRStep(anm_name,0.41)   
	Bladex.AddAnmLStep(anm_name,0.0)
	Bladex.AddAnmLRelease(anm_name,0.48)   
	Bladex.AddAnmLStep(anm_name,0.82)     

	anm_name="Bgd_clmb_medlow_1h"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_clmb_medlow_1h.BMV",anm_name,0,"BlackGuard_Tkn")
	Bladex.AddAnmRStep(anm_name,0.0)
	Bladex.AddAnmRRelease(anm_name,0.30)
	Bladex.AddAnmRStep(anm_name,0.79)   
	Bladex.AddAnmLStep(anm_name,0.0)
	Bladex.AddAnmLRelease(anm_name,0.28)   
	Bladex.AddAnmLStep(anm_name,0.53)
	Bladex.AddAnmLRelease(anm_name,0.83)   
	Bladex.AddAnmLStep(anm_name,0.98)        

	anm_name="Bgd_clmb_medium_1h"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_clmb_medium_1h.BMV",anm_name,0,"BlackGuard_Tkn")
	Bladex.AddAnmRStep(anm_name,0.0)
	Bladex.AddAnmRRelease(anm_name,0.13)
	Bladex.AddAnmRStep(anm_name,0.84)   
	Bladex.AddAnmLStep(anm_name,0.0)
	Bladex.AddAnmLRelease(anm_name,0.13)   
	Bladex.AddAnmLStep(anm_name,1)     

	anm_name="Bgd_clmb_high_1h"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_clmb_high_1h.BMV",anm_name,0,"BlackGuard_Tkn")
	Bladex.AddAnmRStep(anm_name,0.0)
	Bladex.AddAnmRRelease(anm_name,0.09)
	Bladex.AddAnmRStep(anm_name,0.88)   
	Bladex.AddAnmLStep(anm_name,0.0)
	Bladex.AddAnmLRelease(anm_name,0.09)  
	Bladex.AddAnmLStep(anm_name,1.0)






	#### Caidas ####

	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_fll_low_no.BMV","FallLow_Bgd",0,"BlackGuard_Tkn")
	Bladex.AddAnmRStep("FallLow_Bgd",0.0)
	Bladex.AddAnmLStep("FallLow_Bgd",0.0)

	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_fll_med_no.BMV","FallMed_Bgd",0,"BlackGuard_Tkn")
	Bladex.AddAnmRStep("FallMed_Bgd",0.0)
	Bladex.AddAnmLStep("FallMed_Bgd",0.0)

	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_fll_high_no.BMV","FallHigh_Bgd",0,"BlackGuard_Tkn")
	Bladex.AddAnmRStep("FallHigh_Bgd",0.0)
	Bladex.AddAnmLStep("FallHigh_Bgd",0.0)

	#Caida enorme
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_dth_fll.BMV","Dth_Fll_Bgd",0,"BlackGuard_Tkn")
	#Bladex.AddAnmRStep("Dth_Fll_Bgd",0.0)
	#Bladex.AddAnmLStep("Dth_Fll_Bgd",0.0)

	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_dth_fll2.BMV","Dth_Fll2_Bgd",0,"BlackGuard_Tkn")
	Bladex.AddAnmRStep("Dth_Fll2_Bgd",0.0)
	Bladex.AddAnmLStep("Dth_Fll2_Bgd",0.0)
	    

			
	### CORRER   ####	
	##############################################################
	######## new stuff for spears  ###############################
	
	### Rlx
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Amz_rlx_spear.BMV","Rlx_spear_Bgd",1,"BlackGuard_Tkn")
	Bladex.AddAnmRStep("Rlx_spear_Bgd",0.0)
	Bladex.AddAnmLStep("Rlx_spear_Bgd",0.0)
	


	####   Throw
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_1tw_l_f.BMV","Bgd_1tw_l_f",0,"BlackGuard_Tkn")
	Bladex.AddAnmRStep("Bgd_1tw_l_f",0.0)
	Bladex.AddAnmLStep("Bgd_1tw_l_f",0.0)

	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_1tw_h_f.BMV","Bgd_1tw_h_f",0,"BlackGuard_Tkn")
	Bladex.AddAnmRStep("Bgd_1tw_h_f",0.0)
	Bladex.AddAnmLStep("Bgd_1tw_h_f",0.0)



	##### in combat
	
	anm_name="Bgd_rlx_f_spear"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Amz_attack_rlx_spear.BMV",anm_name,1,"BlackGuard_Tkn")
	Bladex.AddAnmRStep(anm_name,0)     
	Bladex.AddAnmLStep(anm_name,0)
	
	
	
	anm_name="Bgd_attack_l_spear"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Amz_attack_l_spear.BMV",anm_name,1,"BlackGuard_Tkn")
	Bladex.AddAnmRStep(anm_name,0)     
	Bladex.AddAnmLStep(anm_name,0)     
	Bladex.AddAnmRRelease(anm_name,0.074) 
	Bladex.AddAnmRStep(anm_name,0.259)    
	Bladex.AddAnmRRelease(anm_name,0.407) 
	Bladex.AddAnmRStep(anm_name,0.63)    
	Bladex.AddAnmRRelease(anm_name,0.740) 
	Bladex.AddAnmRStep(anm_name,0.926)            
	Bladex.AddAnmLRelease(anm_name,0.148) 
	Bladex.AddAnmLStep(anm_name,0.333)        
	Bladex.AddAnmLRelease(anm_name,0.481) 
	Bladex.AddAnmLStep(anm_name,0.597)            
	Bladex.AddAnmLRelease(anm_name,0.815) 
	Bladex.AddAnmLStep(anm_name,1)
	Bladex.AddStopTests(anm_name)            


	anm_name="Bgd_attack_r_spear"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Amz_attack_r_spear.BMV",anm_name,1,"BlackGuard_Tkn")
	Bladex.AddAnmRStep(anm_name,0.000)
	Bladex.AddAnmRRelease(anm_name,0.174)
	Bladex.AddAnmRStep(anm_name,0.348)
	Bladex.AddAnmRRelease(anm_name,0.478)
	Bladex.AddAnmRStep(anm_name,0.652)
	Bladex.AddAnmRRelease(anm_name,0.782)
	Bladex.AddAnmRStep(anm_name,1.000)
	Bladex.AddAnmLStep(anm_name,0.000)
	Bladex.AddAnmLRelease(anm_name,0.011)
	Bladex.AddAnmLStep(anm_name,0.215)
	Bladex.AddAnmLRelease(anm_name,0.333)
	Bladex.AddAnmLStep(anm_name,0.586)
	Bladex.AddAnmLRelease(anm_name,0.717)
	Bladex.AddAnmLStep(anm_name,0.891)
	Bladex.AddStopTests(anm_name)

	anm_name="Bgd_attack_f_spear"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Amz_attack_f_spear.BMV",anm_name,1,"BlackGuard_Tkn")
	Bladex.AddAnmRStep(anm_name,0.000)
	Bladex.AddAnmRRelease(anm_name,0.353)
	Bladex.AddAnmRStep(anm_name,1.000)
	Bladex.AddAnmLStep(anm_name,0.441)
	Bladex.AddAnmLRelease(anm_name,0.794)
	Bladex.AddStopTests(anm_name)
	
	anm_name="Bgd_attack_b_spear"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Amz_attack_b_spear.BMV",anm_name,1,"BlackGuard_Tkn")
	Bladex.AddAnmRStep(anm_name,0.286)
	Bladex.AddAnmRRelease(anm_name,0.643)
	Bladex.AddAnmLStep(anm_name,0.000)
	Bladex.AddAnmLRelease(anm_name,0.393)
	Bladex.AddAnmLStep(anm_name,1.000)
	Bladex.AddStopTests(anm_name)
	
	
	##### block
	
	anm_name="Bgd_parry_spear"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Amz_parry_spear.BMV",anm_name,0,"BlackGuard_Tkn")
	Bladex.AddAnmRStep(anm_name,0.000)
	Bladex.AddAnmRRelease(anm_name,0.023)
	Bladex.AddAnmRStep(anm_name,0.459)
	Bladex.AddAnmLStep(anm_name,0.000)
	Bladex.AddAnmLRelease(anm_name,0.349)
	Bladex.AddAnmLStep(anm_name,0.750)
	
	
	anm_name="Bgd_df_01_spear"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Amz_df_01_spear.BMV",anm_name,0,"BlackGuard_Tkn")
	Bladex.AddAnmRStep(anm_name,0.000)
	Bladex.AddAnmRRelease(anm_name,0.380)
	Bladex.AddAnmRStep(anm_name,0.665)
	Bladex.AddAnmLStep(anm_name,0.000)
	Bladex.AddAnmLRelease(anm_name,0.240)
	Bladex.AddAnmLStep(anm_name,0.585)


	anm_name="Bgd_df_02_spear"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Amz_df_02_spear.BMV",anm_name,0,"BlackGuard_Tkn")
	Bladex.AddAnmRStep(anm_name,0.000)
	Bladex.AddAnmRRelease(anm_name,0.454)
	Bladex.AddAnmRStep(anm_name,0.753)
	Bladex.AddAnmLStep(anm_name,0.000)
	Bladex.AddAnmLRelease(anm_name,0.221)
	Bladex.AddAnmLStep(anm_name,0.593)	

	
	
	### ambulation
	

	
	
	anm_name="Jog_spear_Bgd"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Amz_jog_spear.BMV","Jog_spear_Bgd",1,"BlackGuard_Tkn")
	Bladex.AddAnmRStep(anm_name,0.533)
	Bladex.AddAnmRRelease(anm_name,0.733)
	Bladex.AddAnmLStep(anm_name,0.000)
	Bladex.AddAnmLRelease(anm_name,0.233)
	Bladex.AddAnmLStep(anm_name,1.000)
	Bladex.AddStopTests(anm_name)	
	
	
	anm_name="Bgd_jogb_spear"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Amz_jogb_spear.BMV",anm_name,1,"BlackGuard_Tkn")
	Bladex.AddAnmRStep(anm_name,0.000)
	Bladex.AddAnmRRelease(anm_name,0.281)
	Bladex.AddAnmRStep(anm_name,1.000)
	Bladex.AddAnmLStep(anm_name,0.563)
	Bladex.AddAnmLRelease(anm_name,0.875)
	Bladex.AddStopTests(anm_name)
	
	

	
	
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Amz_wbk_spear.BMV","Wbk_spear_Bgd",1,"BlackGuard_Tkn")
	Bladex.AddAnmRStep("Wbk_spear_Bgd",0.000)
	Bladex.AddAnmRRelease("Wbk_spear_Bgd",0.575)
	Bladex.AddAnmRStep("Wbk_spear_Bgd",1.000)
	Bladex.AddAnmLStep("Wbk_spear_Bgd",0.513)
	Bladex.AddAnmLRelease("Wbk_spear_Bgd",1.000)
	Bladex.AddStopTests("Wbk_spear_Bgd")                   
	
	
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Amz_wlk_spear.BMV","Wlk_spear_Bgd",1,"BlackGuard_Tkn")
	Bladex.AddAnmRStep("Wlk_spear_Bgd",0.000)
	Bladex.AddAnmRRelease("Wlk_spear_Bgd",0.540)
	Bladex.AddAnmRStep("Wlk_spear_Bgd",1.000)
	Bladex.AddAnmLStep("Wlk_spear_Bgd",0.484)
	Bladex.AddAnmLRelease("Wlk_spear_Bgd",1.000)
	Bladex.AddStopTests("Wlk_spear_Bgd")   
	
	
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Amz_snk_spear.BMV","Snk_spear_Bgd",1,"BlackGuard_Tkn")
	Bladex.AddAnmRStep("Snk_spear_Bgd",0.000)
	Bladex.AddAnmRRelease("Snk_spear_Bgd",0.173)
	Bladex.AddAnmRStep("Snk_spear_Bgd",0.538)
	Bladex.AddAnmLStep("Snk_spear_Bgd",0.000)
	Bladex.AddAnmLRelease("Snk_spear_Bgd",0.586)
	Bladex.AddAnmLStep("Snk_spear_Bgd",1.000)
	Bladex.AddStopTests("Snk_spear_Bgd")
	

	
	
	
	##### attacks Spear
	
	
	anm_name="Bgd_g_spears1"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Amz_g_spears1.BMV",anm_name,0,"BlackGuard_Tkn")
	Bladex.AddAnmRStep(anm_name,0.000)
	Bladex.AddAnmRRelease(anm_name,0.259)
	Bladex.AddAnmRStep(anm_name,0.401)
	Bladex.AddAnmRRelease(anm_name,0.644)
	Bladex.AddAnmRStep(anm_name,0.757)
	Bladex.AddAnmLStep(anm_name,0.000)
	Bladex.AddAnmLRelease(anm_name,0.187)
	Bladex.AddAnmLStep(anm_name,0.374)
	Bladex.AddAnmEvent("Bgd_g_spears1","W2hToLeft",0.258)
	Bladex.AddAnmEvent("Bgd_g_spears1","W2hToRight",0.93)


	# combo 3
	anm_name="Bgd_g_spears6"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Amz_g_spears6.BMV",anm_name,0,"BlackGuard_Tkn")
	Bladex.AddAnmRStep(anm_name,0.000)
	Bladex.AddAnmRRelease(anm_name,0.149)
	Bladex.AddAnmRStep(anm_name,0.289)
	Bladex.AddAnmLStep(anm_name,0.000)
	Bladex.AddAnmLRelease(anm_name,0.195)
	Bladex.AddAnmLStep(anm_name,0.305)
	Bladex.AddAnmLRelease(anm_name,0.780)
	Bladex.AddAnmLStep(anm_name,0.900)
	Bladex.AddAnmEvent("Bgd_g_spears6","W2hToLeft",0.11)
	Bladex.AddAnmEvent("Bgd_g_spears6","W2hToRight",0.93)
	
	
	### combo1
	anm_name="Bgd_g_spear08"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Amz_g_spear08.BMV",anm_name,0,"BlackGuard_Tkn")
	Bladex.AddAnmRStep(anm_name,0.000)
	Bladex.AddAnmRRelease(anm_name,0.129)
	Bladex.AddAnmRStep(anm_name,0.373)
	Bladex.AddAnmRRelease(anm_name,0.560)
	Bladex.AddAnmRStep(anm_name,0.829)
	Bladex.AddAnmLStep(anm_name,0.000)
	Bladex.AddAnmEvent("Bgd_g_spear08","W2hToLeft",0.2)
	Bladex.AddAnmEvent("Bgd_g_spear08","W2hToRight",0.93)
	
	
	### combo 2
	anm_name="Bgd_g_spear12"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Amz_g_spear12.BMV",anm_name,0,"BlackGuard_Tkn")
	Bladex.AddAnmRStep(anm_name,0.000)
	Bladex.AddAnmRRelease(anm_name,0.269)
	Bladex.AddAnmRStep(anm_name,0.671)
	Bladex.AddAnmLStep(anm_name,0.000)
	Bladex.AddAnmLRelease(anm_name,0.159)
	Bladex.AddAnmLStep(anm_name,0.359)
	Bladex.AddAnmEvent("Bgd_g_spear12","W2hToLeft",0.212)
	Bladex.AddAnmEvent("Bgd_g_spear12","W2hToRight",0.93)

	# low combo 4
	anm_name="Bgd_g_spear16low"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Amz_g_spear16low.BMV",anm_name,0,"BlackGuard_Tkn")
	Bladex.AddAnmRStep(anm_name,0.000)
	Bladex.AddAnmRRelease(anm_name,0.398)
	Bladex.AddAnmRStep(anm_name,0.491)
	Bladex.AddAnmLStep(anm_name,0.000)
	Bladex.AddAnmLRelease(anm_name,0.320)
	Bladex.AddAnmLStep(anm_name,0.410)
	Bladex.AddAnmLRelease(anm_name,0.814)
	Bladex.AddAnmLStep(anm_name,0.884)
	
	
	
	
	
	
########## Amz combos if neeed
#	anm_name="Bgd_g_spear19"
#	Bladex.LoadSampledAnimation("..\\..\\Anm\\Amz_g_spear19.BMV",anm_name,0,"BlackGuard_Tkn")
#	Bladex.AddAnmRStep(anm_name,0.000)
#	Bladex.AddAnmRRelease(anm_name,0.313)
#	Bladex.AddAnmRStep(anm_name,0.790)
#	Bladex.AddAnmLStep(anm_name,0.000)
#	Bladex.AddAnmLRelease(anm_name,0.017)
#	Bladex.AddAnmLStep(anm_name,0.360)
#	Bladex.AddAnmEvent("Bgd_g_spear19","W2hToLeft",0.03)
#	Bladex.AddAnmEvent("Bgd_g_spear19","W2hToRight",0.93)


#	anm_name="Bgd_g_spear_b29"
#	Bladex.LoadSampledAnimation("..\\..\\Anm\\Amz_g_spear_b29.BMV",anm_name,0,"BlackGuard_Tkn")
#	Bladex.AddAnmRStep(anm_name,0.000)
#	Bladex.AddAnmRRelease(anm_name,0.138)
#	Bladex.AddAnmRStep(anm_name,0.322)
#	Bladex.AddAnmLStep(anm_name,0.000)
#	Bladex.AddAnmLRelease(anm_name,0.644)
#	Bladex.AddAnmLStep(anm_name,0.874)



#	anm_name="Bgd_g_spear_2katab6low"
#	Bladex.LoadSampledAnimation("..\\..\\Anm\\Amz_g_spear_2katab6low.BMV",anm_name,0,"BlackGuard_Tkn")
#	Bladex.AddAnmRStep(anm_name,0.000)
#	Bladex.AddAnmRRelease(anm_name,0.274)
#	Bladex.AddAnmRStep(anm_name,0.448)
#	Bladex.AddAnmLStep(anm_name,0.000)
#	Bladex.AddAnmLRelease(anm_name,0.214)
#	Bladex.AddAnmLStep(anm_name,0.285)
#	Bladex.AddAnmLRelease(anm_name,0.695)
#	Bladex.AddAnmLStep(anm_name,0.875)


#	anm_name="Bgd_g_spear02"
#	Bladex.LoadSampledAnimation("..\\..\\Anm\\Amz_g_spear02.BMV",anm_name,0,"BlackGuard_Tkn")
#	Bladex.AddAnmRStep(anm_name,0.000)
#	Bladex.AddAnmRRelease(anm_name,0.119)
#	Bladex.AddAnmRStep(anm_name,0.296)
#	Bladex.AddAnmRRelease(anm_name,0.641)
#	Bladex.AddAnmRStep(anm_name,0.838)
#	Bladex.AddAnmLStep(anm_name,0.000)
#	Bladex.AddAnmEvent("Bgd_g_spear02","W2hToLeft",0.15)
	Bladex.AddAnmEvent("Bgd_g_spear02","W2hToRight",0.93)


#	anm_name="Bgd_g_spear02low"
#	Bladex.LoadSampledAnimation("..\\..\\Anm\\Amz_g_spear02low.BMV",anm_name,0,"BlackGuard_Tkn")
#	Bladex.AddAnmRStep(anm_name,0.000)
#	Bladex.AddAnmRRelease(anm_name,0.104)
#	Bladex.AddAnmRStep(anm_name,0.293)
#	Bladex.AddAnmRRelease(anm_name,0.583)
#	Bladex.AddAnmRStep(anm_name,0.841)
#	Bladex.AddAnmLStep(anm_name,0.000)
#	Bladex.AddAnmEvent("Bgd_g_spear02low","W2hToLeft",0.227)
#	Bladex.AddAnmEvent("Bgd_g_spear02low","W2hToRight",0.93)




#	anm_name="Bgd_g_spear09"
#	Bladex.LoadSampledAnimation("..\\..\\Anm\\Amz_g_spear09.BMV",anm_name,0,"BlackGuard_Tkn")
#	Bladex.AddAnmRStep(anm_name,0.000)
#	Bladex.AddAnmLStep(anm_name,0.000)
#	Bladex.AddAnmLRelease(anm_name,0.444)
#	Bladex.AddAnmLStep(anm_name,0.518)
#	Bladex.AddAnmLRelease(anm_name,0.765)
#	Bladex.AddAnmLStep(anm_name,0.869)
#	Bladex.AddAnmEvent("Bgd_g_spear09","W2hToLeft",0.11)
#	Bladex.AddAnmEvent("Bgd_g_spear09","W2hToRight",0.93)




#	anm_name="Bgd_g_spear22"
#	Bladex.LoadSampledAnimation("..\\..\\Anm\\Amz_g_spear22.BMV",anm_name,0,"BlackGuard_Tkn")
#	Bladex.AddAnmRStep(anm_name,0.000)
#	Bladex.AddAnmRRelease(anm_name,0.223)
#	Bladex.AddAnmRStep(anm_name,0.388)
#	Bladex.AddAnmRRelease(anm_name,0.812)
#	Bladex.AddAnmRStep(anm_name,0.937)
#	Bladex.AddAnmLStep(anm_name,0.000)
#	Bladex.AddAnmLRelease(anm_name,0.546)
#	Bladex.AddAnmLStep(anm_name,0.783)


#	anm_name="Bgd_g_spear26kata"
#	Bladex.LoadSampledAnimation("..\\..\\Anm\\Amz_g_spear26kata.BMV",anm_name,0,"BlackGuard_Tkn")
#	Bladex.AddAnmRStep(anm_name,0.000)
#	Bladex.AddAnmRRelease(anm_name,0.089)
#	Bladex.AddAnmRStep(anm_name,0.200)
#	Bladex.AddAnmRRelease(anm_name,0.468)
#	Bladex.AddAnmRStep(anm_name,0.618)
#	Bladex.AddAnmLStep(anm_name,0.000)
#	Bladex.AddAnmLRelease(anm_name,0.372)
#	Bladex.AddAnmLStep(anm_name,0.472)
#	Bladex.AddAnmLRelease(anm_name,0.828)
#	Bladex.AddAnmLStep(anm_name,0.875)


#	anm_name="Bgd_g_spear2katab2"
#	Bladex.LoadSampledAnimation("..\\..\\Anm\\Amz_g_spear2katab2.BMV",anm_name,0,"BlackGuard_Tkn")
#	Bladex.AddAnmRStep(anm_name,0.000)
#	Bladex.AddAnmRRelease(anm_name,0.250)
#	Bladex.AddAnmRStep(anm_name,0.413)
#	Bladex.AddAnmRRelease(anm_name,0.496)
#	Bladex.AddAnmRStep(anm_name,0.684)
#	Bladex.AddAnmLStep(anm_name,0.000)
#	Bladex.AddAnmLRelease(anm_name,0.496)
#	Bladex.AddAnmLStep(anm_name,0.635)
#	Bladex.AddAnmLRelease(anm_name,0.684)
#	Bladex.AddAnmLStep(anm_name,0.738)


#	anm_name="Bgd_g_spear32kata_b2"
#	Bladex.LoadSampledAnimation("..\\..\\Anm\\Amz_g_spear32kata_b2.BMV",anm_name,0,"BlackGuard_Tkn")
#	Bladex.AddAnmRStep(anm_name,0.000)
#	Bladex.AddAnmRRelease(anm_name,0.323)
#	Bladex.AddAnmRStep(anm_name,0.534)
#	Bladex.AddAnmRRelease(anm_name,0.759)
#	Bladex.AddAnmRStep(anm_name,0.870)
#	Bladex.AddAnmLStep(anm_name,0.000)
#	Bladex.AddAnmLRelease(anm_name,0.252)
#	Bladex.AddAnmLStep(anm_name,0.318)
#	Bladex.AddAnmLRelease(anm_name,0.410)
#	Bladex.AddAnmLStep(anm_name,0.551)
#	Bladex.AddAnmLRelease(anm_name,0.826)
#	Bladex.AddAnmLStep(anm_name,0.906)


#	anm_name="Bgd_g_spear3s2"
#	Bladex.LoadSampledAnimation("..\\..\\Anm\\Amz_g_spear3s2.BMV",anm_name,0,"BlackGuard_Tkn")
#	Bladex.AddAnmRStep(anm_name,0.000)
#	Bladex.AddAnmRRelease(anm_name,0.324)
#	Bladex.AddAnmRStep(anm_name,0.538)
#	Bladex.AddAnmRRelease(anm_name,0.691)
#	Bladex.AddAnmRStep(anm_name,0.887)
#	Bladex.AddAnmLStep(anm_name,0.000)
#	Bladex.AddAnmLRelease(anm_name,0.388)
#	Bladex.AddAnmLStep(anm_name,0.662)
#	Bladex.AddAnmLRelease(anm_name,0.881)
#	Bladex.AddAnmLStep(anm_name,0.944)


#	anm_name="Bgd_g_spearb2kata"
#	Bladex.LoadSampledAnimation("..\\..\\Anm\\Amz_g_spearb2kata.BMV",anm_name,0,"BlackGuard_Tkn")
#	Bladex.AddAnmRStep(anm_name,0.000)
#	Bladex.AddAnmRRelease(anm_name,0.133)
#	Bladex.AddAnmRStep(anm_name,0.266)
#	Bladex.AddAnmLStep(anm_name,0.000)
#	Bladex.AddAnmLRelease(anm_name,0.352)
#	Bladex.AddAnmLStep(anm_name,0.540)





#	anm_name="Bgd_g_spears8"
#	Bladex.LoadSampledAnimation("..\\..\\Anm\\Amz_g_spears8.BMV",anm_name,0,"BlackGuard_Tkn")
#	Bladex.AddAnmRStep(anm_name,0.000)
#	Bladex.AddAnmRRelease(anm_name,0.274)
#	Bladex.AddAnmRStep(anm_name,0.466)
#	Bladex.AddAnmRRelease(anm_name,0.680)
#	Bladex.AddAnmRStep(anm_name,0.822)
#	Bladex.AddAnmLStep(anm_name,0.000)
#	Bladex.AddAnmLRelease(anm_name,0.275)
#	Bladex.AddAnmLStep(anm_name,0.473)
#	Bladex.AddAnmLRelease(anm_name,0.628)
#	Bladex.AddAnmLStep(anm_name,0.828)
#	Bladex.AddAnmEvent("Bgd_g_spears8","W2hToLeft",0.272)
#	Bladex.AddAnmEvent("Bgd_g_spears8","W2hToRight",0.93)


#	anm_name="Bgd_g_spear_back"
#	Bladex.LoadSampledAnimation("..\\..\\Anm\\Amz_g_spear_back.BMV",anm_name,0,"BlackGuard_Tkn")
#	Bladex.AddAnmRStep(anm_name,0.000)
#	Bladex.AddAnmLStep(anm_name,0.000)
#	Bladex.AddAnmLRelease(anm_name,0.363)
#	Bladex.AddAnmLStep(anm_name,0.695)


#	anm_name="Bgd_g_spear_sb11"
#	Bladex.LoadSampledAnimation("..\\..\\Anm\\Amz_g_spear_sb11.BMV",anm_name,0,"BlackGuard_Tkn")
#	Bladex.AddAnmRStep(anm_name,0.000)
#	Bladex.AddAnmRRelease(anm_name,0.123)
#	Bladex.AddAnmRStep(anm_name,0.245)
#	Bladex.AddAnmRRelease(anm_name,0.282)
#	Bladex.AddAnmRStep(anm_name,0.458)
#	Bladex.AddAnmRRelease(anm_name,0.507)
#	Bladex.AddAnmRStep(anm_name,0.637)
#	Bladex.AddAnmLStep(anm_name,0.000)
#	Bladex.AddAnmLRelease(anm_name,0.221)
#	Bladex.AddAnmLStep(anm_name,0.401)
#	Bladex.AddAnmLRelease(anm_name,0.448)
#	Bladex.AddAnmLStep(anm_name,0.617)
#	Bladex.AddAnmLRelease(anm_name,0.839)
#	Bladex.AddAnmLStep(anm_name,0.948)
#	Bladex.AddAnmEvent("Bgd_g_spear_sb11","W2hToLeft",0.12)
#	Bladex.AddAnmEvent("Bgd_g_spear_sb11","W2hToRight",0.99)


#	anm_name="Bgd_g_spear17"
#	Bladex.LoadSampledAnimation("..\\..\\Anm\\Amz_g_spear17.BMV",anm_name,0,"BlackGuard_Tkn")
#	Bladex.AddAnmRStep(anm_name,0)     
#	Bladex.AddAnmLStep(anm_name,0)     
#	Bladex.AddAnmRRelease(anm_name,0.41) 
#	Bladex.AddAnmRStep(anm_name,0.57)    
#	Bladex.AddAnmLRelease(anm_name,0.76) 
#	Bladex.AddAnmLStep(anm_name,0.89) 


#	Bladex.LoadSampledAnimation("..\\..\\Anm\\Amz_g_spear16.BMV","Bgd_g_spear16",0,"BlackGuard_Tkn")        
#	Bladex.AddAnmRStep("Bgd_g_spear16",0)     
#	Bladex.AddAnmLStep("Bgd_g_spear16",0)     
#	Bladex.AddAnmRRelease("Bgd_g_spear16",0.16) 
#	Bladex.AddAnmRStep("Bgd_g_spear16",0.275)    
#	Bladex.AddAnmLRelease("Bgd_g_spear16",0.54) 
#	Bladex.AddAnmLStep("Bgd_g_spear16",0.675)   	


#	Bladex.LoadSampledAnimation("..\\..\\Anm\\Amz_g_spear_b6_26.BMV","Bgd_g_spear_b6_26",0,"BlackGuard_Tkn")       
#	Bladex.AddAnmRStep("Bgd_g_spear_b6_26",0)     
#	Bladex.AddAnmLStep("Bgd_g_spear_b6_26",0)     
#	Bladex.AddAnmRRelease("Bgd_g_spear_b6_26",0.474) 
#	Bladex.AddAnmRStep("Bgd_g_spear_b6_26",0.544)    
#	Bladex.AddAnmRRelease("Bgd_g_spear_b6_26",0.605) 
#	Bladex.AddAnmRStep("Bgd_g_spear_b6_26",0.67)
#	Bladex.AddAnmRRelease("Bgd_g_spear_b6_26",0.781) 
#	Bladex.AddAnmRStep("Bgd_g_spear_b6_26",0.847)
#	Bladex.AddAnmLRelease("Bgd_g_spear_b6_26",0.2) 
#	Bladex.AddAnmLStep("Bgd_g_spear_b6_26",0.433)    
#	Bladex.AddAnmLRelease("Bgd_g_spear_b6_26",0.549) 
#	Bladex.AddAnmLStep("Bgd_g_spear_b6_26",0.6)   	


#	anm_name="Bgd_g_spear19_13"
#	Bladex.LoadSampledAnimation("..\\..\\Anm\\Amz_g_spear19_13.BMV",anm_name,0,"BlackGuard_Tkn")
#	Bladex.AddAnmRStep(anm_name,0.000)
#	Bladex.AddAnmRRelease(anm_name,0.233)
#	Bladex.AddAnmRStep(anm_name,0.305)
#	Bladex.AddAnmRRelease(anm_name,0.363)
#	Bladex.AddAnmRStep(anm_name,0.473)
#	Bladex.AddAnmRRelease(anm_name,0.741)
#	Bladex.AddAnmRStep(anm_name,0.899)
#	Bladex.AddAnmLStep(anm_name,0.000)
#	Bladex.AddAnmLRelease(anm_name,0.116)
#	Bladex.AddAnmLStep(anm_name,0.217)
#	Bladex.AddAnmLRelease(anm_name,0.295)
#	Bladex.AddAnmLStep(anm_name,0.350)


#	anm_name="Bgd_g_spear_b06"
#	Bladex.LoadSampledAnimation("..\\..\\Anm\\Amz_g_spear_b06.BMV",anm_name,0,"BlackGuard_Tkn")
#	Bladex.AddAnmRStep(anm_name,0.000)
#	Bladex.AddAnmRRelease(anm_name,0.155)
#	Bladex.AddAnmRStep(anm_name,0.524)
#	Bladex.AddAnmLStep(anm_name,0.000)
#	Bladex.AddAnmLRelease(anm_name,0.534)
#	Bladex.AddAnmLStep(anm_name,0.951)


#	anm_name="Bgd_g_spear_bs21"
#	Bladex.LoadSampledAnimation("..\\..\\Anm\\Amz_g_spear_bs21.BMV",anm_name,0,"BlackGuard_Tkn")
#	Bladex.AddAnmRStep(anm_name,0.000)
#	Bladex.AddAnmRRelease(anm_name,0.141)
#	Bladex.AddAnmRStep(anm_name,0.400)
#	Bladex.AddAnmRRelease(anm_name,0.446)
#	Bladex.AddAnmRStep(anm_name,0.564)
#	Bladex.AddAnmLStep(anm_name,0.000)
#	Bladex.AddAnmLRelease(anm_name,0.073)
#	Bladex.AddAnmLStep(anm_name,0.145)
#	Bladex.AddAnmLRelease(anm_name,0.261)
#	Bladex.AddAnmLStep(anm_name,0.434)
#	Bladex.AddAnmLRelease(anm_name,0.726)
#	Bladex.AddAnmLStep(anm_name,0.857)


#	anm_name="Bgd_g_spear111"
#	Bladex.LoadSampledAnimation("..\\..\\Anm\\Amz_g_spear111.BMV",anm_name,0,"BlackGuard_Tkn")
#	Bladex.AddAnmRStep(anm_name,0.000)
#	Bladex.AddAnmRRelease(anm_name,0.239)
#	Bladex.AddAnmRStep(anm_name,0.812)
#	Bladex.AddAnmLStep(anm_name,0.000)
#	Bladex.AddAnmLRelease(anm_name,0.066)
#	Bladex.AddAnmLStep(anm_name,0.272)


#	anm_name="Bgd_g_spear_21"
#	Bladex.LoadSampledAnimation("..\\..\\Anm\\Amz_g_spear_21.BMV",anm_name,0,"BlackGuard_Tkn")
#	Bladex.AddAnmRStep(anm_name,0.000)
#	Bladex.AddAnmRRelease(anm_name,0.222)
#	Bladex.AddAnmRStep(anm_name,0.392)
#	Bladex.AddAnmLStep(anm_name,0.000)
#	Bladex.AddAnmLRelease(anm_name,0.236)
#	Bladex.AddAnmLStep(anm_name,0.346)
#	Bladex.AddAnmLRelease(anm_name,0.603)
#	Bladex.AddAnmLStep(anm_name,0.776)
#	Bladex.AddAnmEvent("Bgd_g_spear_21","W2hToLeft",0.2)
#	Bladex.AddAnmEvent("Bgd_g_spear_21","W2hToRight",0.93)


#	anm_name="Bgd_g_spear13"
#	Bladex.LoadSampledAnimation("..\\..\\Anm\\Amz_g_spear13.BMV",anm_name,0,"BlackGuard_Tkn")
#	Bladex.AddAnmRStep(anm_name,0.000)
#	Bladex.AddAnmRRelease(anm_name,0.172)
#	Bladex.AddAnmRStep(anm_name,0.266)
#	Bladex.AddAnmRRelease(anm_name,0.359)
#	Bladex.AddAnmRStep(anm_name,0.641)
#	Bladex.AddAnmLStep(anm_name,0.000)
#	Bladex.AddAnmLRelease(anm_name,0.172)
#	Bladex.AddAnmLStep(anm_name,0.297)
#	Bladex.AddAnmEvent("Bgd_g_spear13","W2hToLeft",0.2)
#	Bladex.AddAnmEvent("Bgd_g_spear13","W2hToRight",0.93)


#	anm_name="Bgd_g_spear_kata23"
#	Bladex.LoadSampledAnimation("..\\..\\Anm\\Amz_g_spear_kata23.BMV",anm_name,0,"BlackGuard_Tkn")
#	Bladex.AddAnmRStep(anm_name,0.000)
#	Bladex.AddAnmRRelease(anm_name,0.122)
#	Bladex.AddAnmRStep(anm_name,0.518)
#	Bladex.AddAnmLStep(anm_name,0.000)
#	Bladex.AddAnmLRelease(anm_name,0.488)
#	Bladex.AddAnmLStep(anm_name,0.865)

#	anm_name="Bgd_g_spear33"
#	Bladex.LoadSampledAnimation("..\\..\\Anm\\Amz_g_spear33.BMV",anm_name,0,"BlackGuard_Tkn")
#	Bladex.AddAnmRStep(anm_name,0.000)
#	Bladex.AddAnmRRelease(anm_name,0.216)
#	Bladex.AddAnmRStep(anm_name,0.313)
#	Bladex.AddAnmRRelease(anm_name,0.463)
#	Bladex.AddAnmRStep(anm_name,0.752)
#	Bladex.AddAnmLStep(anm_name,0.000)
#	Bladex.AddAnmLRelease(anm_name,0.244)
#	Bladex.AddAnmLStep(anm_name,0.375)
#	Bladex.AddAnmEvent("Amz_g_spear33","W2hToLeft",0.11)
#	Bladex.AddAnmEvent("Amz_g_spear33","W2hToRight",0.93)


#	anm_name="Bgd_g_spear19_bs1"
#	Bladex.LoadSampledAnimation("..\\..\\Anm\\Amz_g_spear19_bs1.BMV",anm_name,0,"BlackGuard_Tkn")
#	Bladex.AddAnmRStep(anm_name,0.000)
#	Bladex.AddAnmRRelease(anm_name,0.081)
#	Bladex.AddAnmRStep(anm_name,0.215)
#	Bladex.AddAnmRRelease(anm_name,0.341)
#	Bladex.AddAnmRStep(anm_name,0.526)
#	Bladex.AddAnmRRelease(anm_name,0.704)
#	Bladex.AddAnmRStep(anm_name,0.867)
#	Bladex.AddAnmLStep(anm_name,0.000)
#	Bladex.AddAnmLRelease(anm_name,0.274)
#	Bladex.AddAnmLStep(anm_name,0.481)
	


#	anm_name="Bgd_g_06lowkata_new"
#	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_g_06lowkata_new.BMV",anm_name,0,"BlackGuard_Tkn")
#	Bladex.AddAnmRStep(anm_name,0.000)
#	Bladex.AddAnmRRelease(anm_name,0.041)
#	Bladex.AddAnmRStep(anm_name,0.453)
#	Bladex.AddAnmRRelease(anm_name,0.692)
#	Bladex.AddAnmRStep(anm_name,0.865)
#	Bladex.AddAnmLStep(anm_name,0.000)
#	Bladex.AddAnmLRelease(anm_name,0.384)
#	Bladex.AddAnmLStep(anm_name,0.680)


	# end new stuff	
	
	
	
	
	#############
	
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Tkn_jog_1h.BMV","Jog_1h_Bgd",1,"BlackGuard_Tkn")	
	Bladex.AddAnmRStep("Jog_1h_Bgd",0.00)
	Bladex.AddAnmLStep("Jog_1h_Bgd",0.511)
	Bladex.AddAnmRStep("Jog_1h_Bgd",1.00)
	Bladex.AddAnmRRelease("Jog_1h_Bgd",0.308)
	Bladex.AddAnmLRelease("Jog_1h_Bgd",0.794)
	Bladex.AddAnmEvent("Jog_1h_Bgd","StopTest",0.20)
	Bladex.AddAnmEvent("Jog_1h_Bgd","StopTest",0.7)
		
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Tkn_jog_2h.BMV","Jog_2h_Bgd",1,"BlackGuard_Tkn")	
	Bladex.AddAnmRStep("Jog_2h_Bgd",0.00)
	Bladex.AddAnmLStep("Jog_2h_Bgd",0.511)
	Bladex.AddAnmRStep("Jog_2h_Bgd",1.00)
	Bladex.AddAnmRRelease("Jog_2h_Bgd",0.308)
	Bladex.AddAnmLRelease("Jog_2h_Bgd",0.794)
	Bladex.AddAnmEvent("Jog_2h_Bgd","StopTest",0.20)
	Bladex.AddAnmEvent("Jog_2h_Bgd","StopTest",0.7)
		

	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_jog_b.BMV","Jog_b_Bgd",1,"BlackGuard_Tkn")	
	Bladex.AddAnmRStep("Jog_b_Bgd",0.0)
	Bladex.AddAnmRRelease("Jog_b_Bgd",0.324)
	Bladex.AddAnmRStep("Jog_b_Bgd",1.0)
	Bladex.AddAnmLStep("Jog_b_Bgd",0.334)
	Bladex.AddAnmLRelease("Jog_b_Bgd",0.525)
	Bladex.AddStopTests("Jog_b_Bgd")            
	#Bladex.AddAnmEvent("Jog_b_Bgd","StopTest",0.20)
	#Bladex.AddAnmEvent("Jog_b_Bgd","StopTest",0.7)

	### SNEAK   ####	
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_snk_no.BMV","Snk_no_Bgd",1,"BlackGuard_Tkn")	
	Bladex.AddAnmRStep("Snk_no_Bgd",0.0)
	Bladex.AddAnmLStep("Snk_no_Bgd",0.485)
	Bladex.AddAnmRStep("Snk_no_Bgd",1.0)
	Bladex.AddAnmRRelease("Snk_no_Bgd",0.543)
	Bladex.AddAnmLRelease("Snk_no_Bgd",0.627)
	Bladex.AddStopTests("Sbk_no_Bgd")            
	#Bladex.AddAnmEvent("Snk_no_Bgd","StopTest",0.20)
	#Bladex.AddAnmEvent("Snk_no_Bgd","StopTest",0.7)
	
	Bladex.LoadSampledAnimation("..\\..\\Anm\\kgt_snk_1h.BMV","Snk_1h_Bgd",1,"BlackGuard_Tkn")	
	Bladex.AddAnmRStep("Snk_1h_Bgd",0.000)
	Bladex.AddAnmLRelease("Snk_1h_Bgd",0.985)
	Bladex.AddAnmRStep("Snk_1h_Bgd",1.000)
	Bladex.AddAnmLStep("Snk_1h_Bgd",0.500)
	Bladex.AddAnmRRelease("Snk_1h_Bgd",0.500)
	Bladex.AddStopTests("Snk_1h_Bgd")            
	#Bladex.AddAnmEvent("Snk_1h_Bgd","StopTest",0.20)
	#Bladex.AddAnmEvent("Snk_1h_Bgd","StopTest",0.7)
		
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_snk_b.BMV","Snk_b_Bgd",1,"BlackGuard_Tkn")	
	Bladex.AddAnmRStep("Snk_b_Bgd",0.0)
	Bladex.AddAnmLStep("Snk_b_Bgd",0.509)
	Bladex.AddAnmRStep("Snk_b_Bgd",1.0)
	Bladex.AddAnmRRelease("Snk_b_Bgd",0.608)
	Bladex.AddAnmLRelease("Snk_b_Bgd",0.98)
	Bladex.AddStopTests("Snk_b_Bgd")            
	#Bladex.AddAnmEvent("Snk_b_Bgd","StopTest",0.20)
	#Bladex.AddAnmEvent("Snk_b_Bgd","StopTest",0.7)


	#### TMP WBK ####
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_wbk_1h.BMV","Wbk_1h_Bgd",1,"BlackGuard_Tkn")
	Bladex.AddAnmLStep("Wbk_1h_Bgd",0.0)
	Bladex.AddAnmRStep("Wbk_1h_Bgd",0.5)	
	Bladex.AddAnmLStep("Wbk_1h_Bgd",1.0)
	Bladex.AddAnmLRelease("Wbk_1h_Bgd",0.5)
	Bladex.AddAnmRRelease("Wbk_1h_Bgd",1.0)
	Bladex.AddStopTests("Wbk_1h_Bgd")            	
	#Bladex.AddAnmEvent("Wbk_1h_Bgd","StopTest",0.20)
	#Bladex.AddAnmEvent("Wbk_1h_Bgd","StopTest",0.70)

	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_wbk_no.BMV","Wbk_no_Bgd",1,"BlackGuard_Tkn")
	Bladex.AddAnmLStep("Wbk_no_Bgd",0.0)
	Bladex.AddAnmRStep("Wbk_no_Bgd",0.5)	
	Bladex.AddAnmLStep("Wbk_no_Bgd",1.0)
	Bladex.AddAnmLRelease("Wbk_no_Bgd",0.5)
	Bladex.AddAnmRRelease("Wbk_no_Bgd",1.0)
	Bladex.AddStopTests("Wbk_no_Bgd")            		
	#Bladex.AddAnmEvent("Wbk_no_Bgd","StopTest",0.20)
	#Bladex.AddAnmEvent("Wbk_no_Bgd","StopTest",0.70)

	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_wbk_b.BMV","Wbk_b_Bgd",1,"BlackGuard_Tkn")
	Bladex.AddAnmRStep("Wbk_b_Bgd",0.0)
	Bladex.AddAnmLStep("Wbk_b_Bgd",0.5)	
	Bladex.AddAnmRStep("Wbk_b_Bgd",1.0)
	Bladex.AddAnmRRelease("Wbk_b_Bgd",0.5)
	Bladex.AddAnmLRelease("Wbk_b_Bgd",1.0)
	Bladex.AddStopTests("Wbk_b_Bgd")            	
	#Bladex.AddAnmEvent("Wbk_b_Bgd","StopTest",0.20)
	#Bladex.AddAnmEvent("Wbk_b_Bgd","StopTest",0.70)
	
	
	
	
	
	#
	#### Caminar ####
	#

	Bladex.LoadSampledAnimation("..\\..\\Anm\\Tkn_wlk_2h.BMV","Wlk_2h_Bgd",1,"BlackGuard_Tkn")
	
	Bladex.AddAnmLStep("Wlk_2h_Bgd",0.0)
	Bladex.AddAnmRStep("Wlk_2h_Bgd",0.5)
	Bladex.AddAnmLStep("Wlk_2h_Bgd",1.0)
	Bladex.AddAnmLRelease("Wlk_2h_Bgd",0.5)
	Bladex.AddAnmRRelease("Wlk_2h_Bgd",1.0)
	Bladex.AddStopTests("Wlk_2h_Bgd")            
	Bladex.AddStopTests("Wlk_2h_Bgd")            
	#Bladex.AddAnmEvent("Wlk_2h_Bgd","StopTest",0.20)
	#Bladex.AddAnmEvent("Wlk_2h_Bgd","StopTest",0.7)


	Bladex.LoadSampledAnimation("..\\..\\Anm\\Tkn_wlk_1h.BMV","Wlk_1h_Bgd",1,"BlackGuard_Tkn")

	Bladex.AddAnmRStep("Wlk_1h_Bgd",0.0)
	Bladex.AddAnmLStep("Wlk_1h_Bgd",0.0)
	Bladex.AddAnmRRelease("Wlk_1h_Bgd",0.123)
	Bladex.AddAnmRStep("Wlk_1h_Bgd",0.522)
	Bladex.AddAnmLRelease("Wlk_1h_Bgd",0.618)
	Bladex.AddAnmLStep("Wlk_1h_Bgd",1.0)
	Bladex.AddStopTests("Wlk_1h_Bgd")            
	#Bladex.AddAnmEvent("Wlk_1h_Bgd","StopTest",0.20)
	#Bladex.AddAnmEvent("Wlk_1h_Bgd","StopTest",0.7)



	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_wlk_no.BMV","Wlk_no_Bgd",1,"BlackGuard_Tkn")

	Bladex.AddAnmRStep("Wlk_no_Bgd",0.0)
	Bladex.AddAnmLStep("Wlk_no_Bgd",0.5)
	Bladex.AddAnmRStep("Wlk_no_Bgd",1.0)
	Bladex.AddAnmRRelease("Wlk_no_Bgd",0.5)
	Bladex.AddAnmLRelease("Wlk_no_Bgd",1.0)
	Bladex.AddStopTests("Wlk_no_Bgd")            	
	#Bladex.AddAnmEvent("Wlk_no_Bgd","StopTest",0.20)
	#Bladex.AddAnmEvent("Wlk_no_Bgd","StopTest",0.7)



		


	#Andar con arco
	
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_wlk_b.BMV","Wlk_b_Bgd",1,"BlackGuard_Tkn")
	
	Bladex.AddAnmRStep("Wlk_b_Bgd",0.0)
	Bladex.AddAnmLStep("Wlk_b_Bgd",0.5)
	Bladex.AddAnmRStep("Wlk_b_Bgd",1.0)
	Bladex.AddAnmRRelease("Wlk_b_Bgd",0.5)
	Bladex.AddAnmLRelease("Wlk_b_Bgd",1.0)
	Bladex.AddStopTests("Wlk_b_Bgd")            
	Bladex.AddStopTests("Wlk_b_Bgd")            
	#Bladex.AddAnmEvent("Wlk_b_Bgd","StopTest",0.20)
	#Bladex.AddAnmEvent("Wlk_b_Bgd","StopTest",0.7)




	


	#
	# Ataques	
	#
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_g_08.BMV","Bgd_g_08",0,"BlackGuard_Tkn")        
	Bladex.AddAnmRStep("Bgd_g_08",0.0)     
	Bladex.AddAnmLStep("Bgd_g_08",0.0)     
	Bladex.AddAnmRRelease("Bgd_g_08",0.29) 
	Bladex.AddAnmRStep("Bgd_g_08",0.49)    
	Bladex.AddAnmRRelease("Bgd_g_08",0.72) 
	Bladex.AddAnmRStep("Bgd_g_08",0.89)
	    
	

	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_g_01.BMV","Bgd_g_01",0,"BlackGuard_Tkn")        
	Bladex.AddAnmRStep("Bgd_g_01",0.0)     
	Bladex.AddAnmLStep("Bgd_g_01",0.0)     
	Bladex.AddAnmRRelease("Bgd_g_01",0.21) 
	Bladex.AddAnmRStep("Bgd_g_01",0.36)    
	Bladex.AddAnmRRelease("Bgd_g_01",0.64) 
	Bladex.AddAnmRStep("Bgd_g_01",0.83)
	    
	

	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_g_02.BMV","Bgd_g_02",0,"BlackGuard_Tkn")        
	Bladex.AddAnmRStep("Bgd_g_02",0.0)     
	Bladex.AddAnmLStep("Bgd_g_02",0.0)     
	Bladex.AddAnmRRelease("Bgd_g_02",0.15) 
	Bladex.AddAnmRStep("Bgd_g_02",0.27)    
	Bladex.AddAnmRRelease("Bgd_g_02",0.55) 
	Bladex.AddAnmRStep("Bgd_g_02",0.74)
	    
	

	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_g_05.BMV","Bgd_g_05",0,"BlackGuard_Tkn")        
	Bladex.AddAnmRStep("Bgd_g_05",0.0)     
	Bladex.AddAnmLStep("Bgd_g_05",0.0)     
	Bladex.AddAnmRRelease("Bgd_g_05",0.28) 
	Bladex.AddAnmRStep("Bgd_g_05",0.5)    
	Bladex.AddAnmRRelease("Bgd_g_05",0.72) 
	Bladex.AddAnmRStep("Bgd_g_05",0.9)
	    
	

	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_g_06.BMV","Bgd_g_06",0,"BlackGuard_Tkn")        
	Bladex.AddAnmRStep("Bgd_g_06",0.0)     
	Bladex.AddAnmLStep("Bgd_g_06",0.0)     
	Bladex.AddAnmRRelease("Bgd_g_06",0.19) 
	Bladex.AddAnmRStep("Bgd_g_06",0.37)    
	Bladex.AddAnmRRelease("Bgd_g_06",0.67) 
	Bladex.AddAnmRStep("Bgd_g_06",0.85)
	    
	

	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_g_07.BMV","Bgd_g_07",0,"BlackGuard_Tkn")        
	Bladex.AddAnmRStep("Bgd_g_07",0.0)     
	Bladex.AddAnmLStep("Bgd_g_07",0.0)     
	Bladex.AddAnmRRelease("Bgd_g_07",0.15) 
	Bladex.AddAnmRStep("Bgd_g_07",0.35)    
	Bladex.AddAnmRRelease("Bgd_g_07",0.51) 
	Bladex.AddAnmRStep("Bgd_g_07",0.72)
	    
	

	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_g_09.BMV","Bgd_g_09",0,"BlackGuard_Tkn")        
	Bladex.AddAnmRStep("Bgd_g_09",0.0)     
	Bladex.AddAnmLStep("Bgd_g_09",0.0)     
	Bladex.AddAnmRRelease("Bgd_g_09",0.23) 
	Bladex.AddAnmRStep("Bgd_g_09",0.36)    
	Bladex.AddAnmRRelease("Bgd_g_09",0.55) 
	Bladex.AddAnmRStep("Bgd_g_09",0.71)
	    
	

	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_g_13.BMV","Bgd_g_13",0,"BlackGuard_Tkn")        
	Bladex.AddAnmRStep("Bgd_g_13",0.0)     
	Bladex.AddAnmLStep("Bgd_g_13",0.0)     
	Bladex.AddAnmRRelease("Bgd_g_13",0.41) 
	Bladex.AddAnmRStep("Bgd_g_13",0.57)    
	Bladex.AddAnmLRelease("Bgd_g_13",0.76) 
	Bladex.AddAnmLStep("Bgd_g_13",0.89)    
	

	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_g_18.BMV","Bgd_g_18",0,"BlackGuard_Tkn")        
	Bladex.AddAnmRStep("Bgd_g_18",0.0)     
	Bladex.AddAnmLStep("Bgd_g_18",0.0)     
	Bladex.AddAnmRRelease("Bgd_g_18",0.37) 
	Bladex.AddAnmRStep("Bgd_g_18",0.50)    
	Bladex.AddAnmLRelease("Bgd_g_18",0.77) 
	Bladex.AddAnmLStep("Bgd_g_18",0.90)    
	

	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_g_14.BMV","Bgd_g_14",0,"BlackGuard_Tkn")        
	Bladex.AddAnmRStep("Bgd_g_14",0.0)     
	Bladex.AddAnmLStep("Bgd_g_14",0.0)     
	Bladex.AddAnmLRelease("Bgd_g_14",0.15) 
	Bladex.AddAnmLStep("Bgd_g_14",0.37)    
	Bladex.AddAnmRRelease("Bgd_g_14",0.43) 
	Bladex.AddAnmRStep("Bgd_g_14",0.56)    
	Bladex.AddAnmLRelease("Bgd_g_14",0.73) 
	Bladex.AddAnmLStep("Bgd_g_14",0.85)    
	

	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_g_11.BMV","Bgd_g_11",0,"BlackGuard_Tkn")        
	Bladex.AddAnmRStep("Bgd_g_11",0.0)     
	Bladex.AddAnmLStep("Bgd_g_11",0.0)     
	Bladex.AddAnmRRelease("Bgd_g_11",0.4) 
	Bladex.AddAnmRStep("Bgd_g_11",0.55)    
	Bladex.AddAnmLRelease("Bgd_g_11",0.78) 
	Bladex.AddAnmLStep("Bgd_g_11",0.93)    
	

	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_g_16.BMV","Bgd_g_16",0,"BlackGuard_Tkn")        
	Bladex.AddAnmRStep("Bgd_g_16",0.0)     
	Bladex.AddAnmLStep("Bgd_g_16",0.0)     
	Bladex.AddAnmRRelease("Bgd_g_16",0.16) 
	Bladex.AddAnmRStep("Bgd_g_16",0.275)    
	Bladex.AddAnmLRelease("Bgd_g_16",0.54) 
	Bladex.AddAnmLStep("Bgd_g_16",0.675)    
	

	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_g_12.BMV","Bgd_g_12",0,"BlackGuard_Tkn")        
	Bladex.AddAnmRStep("Bgd_g_12",0)     
	Bladex.AddAnmLStep("Bgd_g_12",0)     
	Bladex.AddAnmRRelease("Bgd_g_12",0.4) 
	Bladex.AddAnmRStep("Bgd_g_12",0.52)    
	Bladex.AddAnmLRelease("Bgd_g_12",0.71) 
	Bladex.AddAnmLStep("Bgd_g_12",0.85)    
	

	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_g_17.BMV","Bgd_g_17",0,"BlackGuard_Tkn")        
	Bladex.AddAnmRStep("Bgd_g_17",0)     
	Bladex.AddAnmLStep("Bgd_g_17",0)     
	Bladex.AddAnmRRelease("Bgd_g_17",0.16) 
	Bladex.AddAnmRStep("Bgd_g_17",0.27)    
	Bladex.AddAnmLRelease("Bgd_g_17",0.53) 
	Bladex.AddAnmLStep("Bgd_g_17",0.65)    
	


	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_g_15.BMV","Bgd_g_15",0,"BlackGuard_Tkn")        
	Bladex.AddAnmRStep("Bgd_g_15",0)     
	Bladex.AddAnmLStep("Bgd_g_15",0)     
	Bladex.AddAnmRRelease("Bgd_g_15",0.17) 
	Bladex.AddAnmRStep("Bgd_g_15",0.35)    
	Bladex.AddAnmLRelease("Bgd_g_15",0.56) 
	Bladex.AddAnmLStep("Bgd_g_15",0.76)    
	

	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_g_21.BMV","Bgd_g_21",0,"BlackGuard_Tkn")
	Bladex.AddAnmRStep("Bgd_g_21",0)     
	Bladex.AddAnmLStep("Bgd_g_21",0)     
	Bladex.AddAnmRRelease("Bgd_g_21",0.51) 
	Bladex.AddAnmRStep("Bgd_g_21",0.669)    
	Bladex.AddAnmLRelease("Bgd_g_21",0.696) 
	Bladex.AddAnmLStep("Bgd_g_21",0.834)    
	

	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_g_22.BMV","Bgd_g_22",0,"BlackGuard_Tkn")        
	Bladex.AddAnmRStep("Bgd_g_22",0)     
	Bladex.AddAnmLStep("Bgd_g_22",0)     
	Bladex.AddAnmRRelease("Bgd_g_22",0.474) 
	Bladex.AddAnmRStep("Bgd_g_22",0.544)    
	Bladex.AddAnmRRelease("Bgd_g_22",0.605) 
	Bladex.AddAnmRStep("Bgd_g_22",0.67)
	Bladex.AddAnmRRelease("Bgd_g_22",0.781) 
	Bladex.AddAnmRStep("Bgd_g_22",0.847)
	Bladex.AddAnmLRelease("Bgd_g_22",0.2) 
	Bladex.AddAnmLStep("Bgd_g_22",0.433)    
	Bladex.AddAnmLRelease("Bgd_g_22",0.549) 
	Bladex.AddAnmLStep("Bgd_g_22",0.6)           
	

	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_g_23.BMV","Bgd_g_23",0,"BlackGuard_Tkn")        
	Bladex.AddAnmRStep("Bgd_g_23",0)     
	Bladex.AddAnmLStep("Bgd_g_23",0)     
	Bladex.AddAnmRRelease("Bgd_g_23",0.529) 
	Bladex.AddAnmRStep("Bgd_g_23",0.743)    
	Bladex.AddAnmLRelease("Bgd_g_23",0.75) 
	Bladex.AddAnmLStep("Bgd_g_23",0.85)    
	

	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_g_26.BMV","Bgd_g_26",0,"BlackGuard_Tkn")        
	Bladex.AddAnmRStep("Bgd_g_26",0)     
	Bladex.AddAnmLStep("Bgd_g_26",0)     
	Bladex.AddAnmRRelease("Bgd_g_26",0.135) 
	Bladex.AddAnmRStep("Bgd_g_26",0.236)    
	Bladex.AddAnmLRelease("Bgd_g_26",0.48) 
	Bladex.AddAnmLStep("Bgd_g_26",0.682)    
	Bladex.AddAnmLRelease("Bgd_g_26",0.79) 
	Bladex.AddAnmLStep("Bgd_g_26",0.885)    
	

	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_g_27.BMV","Bgd_g_27",0,"BlackGuard_Tkn")        
	Bladex.AddAnmRStep("Bgd_g_27",0)     
	Bladex.AddAnmLStep("Bgd_g_27",0)     
	Bladex.AddAnmRRelease("Bgd_g_27",0.535) 
	Bladex.AddAnmRStep("Bgd_g_27",0.653)    
	Bladex.AddAnmRRelease("Bgd_g_27",0.906) 
	Bladex.AddAnmRStep("Bgd_g_27",1)    
	Bladex.AddAnmLRelease("Bgd_g_27",0.691) 
	Bladex.AddAnmLStep("Bgd_g_27",0.873)    
	

	anm_name="Bgd_g_31"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_g_31.BMV",anm_name,0,"BlackGuard_Tkn")
	Bladex.AddAnmRStep(anm_name,0.0)     
	Bladex.AddAnmLStep(anm_name,0.0)     
	Bladex.AddAnmRRelease(anm_name,0.283) 
	Bladex.AddAnmRStep(anm_name,0.383)    
	Bladex.AddAnmRRelease(anm_name,0.544) 
	Bladex.AddAnmRStep(anm_name,0.597)      
	Bladex.AddAnmLRelease(anm_name,0.010) 
	Bladex.AddAnmLStep(anm_name,0.257)        
	Bladex.AddAnmLRelease(anm_name,0.51) 
	Bladex.AddAnmLStep(anm_name,0.597)     

	#
	#
	#
	#
	#
	#
	
	#
	# Ataques : coje los del caballero normal
	#

	anm_name="Bgd_attack_l"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Tkn_attack_l.BMV",anm_name,1,"BlackGuard_Tkn")
	Bladex.AddAnmRStep(anm_name,0.0)     
	Bladex.AddAnmLStep(anm_name,0.0)     
	Bladex.AddAnmRRelease(anm_name,0.186) 
	Bladex.AddAnmRStep(anm_name,0.586)        
	Bladex.AddAnmLRelease(anm_name,0.555)
	Bladex.AddAnmLStep(anm_name,1) 
	Bladex.AddStopTests(anm_name)            
	

	anm_name="Bgd_attack_r"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Tkn_attack_r.BMV",anm_name,1,"BlackGuard_Tkn")
	Bladex.AddAnmRStep(anm_name,0.0)     
	Bladex.AddAnmLStep(anm_name,0.0)     
	Bladex.AddAnmRRelease(anm_name,0.565)
	Bladex.AddAnmLRelease(anm_name,0.135) 
	Bladex.AddAnmLStep(anm_name,0.594)
	Bladex.AddAnmRStep(anm_name,1)     
	Bladex.AddStopTests(anm_name)            
	


	anm_name="Bgd_attack_f"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Tkn_attack_f.BMV",anm_name,1,"BlackGuard_Tkn")
	Bladex.AddAnmRStep(anm_name,0.0)     
	Bladex.AddAnmLStep(anm_name,0.0)     
	Bladex.AddAnmRRelease(anm_name,0.511) 
	Bladex.AddAnmLRelease(anm_name,0.055)
	Bladex.AddAnmRStep(anm_name,1.0)      
	Bladex.AddAnmLStep(anm_name,0.506)
	Bladex.AddStopTests(anm_name)            
	

	anm_name="Bgd_attack_b"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Tkn_attack_b.BMV",anm_name,1,"BlackGuard_Tkn")
	Bladex.AddAnmRStep(anm_name,0.0)     
	Bladex.AddAnmLStep(anm_name,0.0)     
	Bladex.AddAnmRRelease(anm_name,0.684)
	Bladex.AddAnmLRelease(anm_name,0.115) 
	Bladex.AddAnmLStep(anm_name,0.575)
	Bladex.AddAnmRStep(anm_name,1)  
	Bladex.AddStopTests(anm_name)            
	






	anm_name="Bgd_d_r"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Tkn_d_r.BMV",anm_name,1,"BlackGuard_Tkn")
	Bladex.AddAnmRStep(anm_name,0.0)     
	Bladex.AddAnmLStep(anm_name,0.0)     
	Bladex.AddAnmRRelease(anm_name,0.173) 
	Bladex.AddAnmRStep(anm_name,0.693)    
	Bladex.AddAnmLRelease(anm_name,0.560) 
	Bladex.AddAnmLStep(anm_name,1)
	


	anm_name="Bgd_d_l"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Tkn_d_l.BMV",anm_name,1,"BlackGuard_Tkn")
	Bladex.AddAnmRStep(anm_name,0.0)     
	Bladex.AddAnmLStep(anm_name,0.0)     
	Bladex.AddAnmRRelease(anm_name,0.333) 
	Bladex.AddAnmRStep(anm_name,0.678)    
	Bladex.AddAnmLRelease(anm_name,0.125) 
	Bladex.AddAnmLStep(anm_name,0.435)
	


	anm_name="Bgd_attack_l_s"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Tkn_attack_l_s.BMV",anm_name,1,"BlackGuard_Tkn")
	Bladex.AddAnmRStep(anm_name,0.0)     
	Bladex.AddAnmLStep(anm_name,0.0)     
	Bladex.AddAnmRRelease(anm_name,0.186) 
	Bladex.AddAnmRStep(anm_name,0.586)        
	Bladex.AddAnmLRelease(anm_name,0.555)
	Bladex.AddAnmLStep(anm_name,1)     
	Bladex.AddStopTests(anm_name)            
	

	anm_name="Bgd_attack_r_s"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Tkn_attack_r_s.BMV",anm_name,1,"BlackGuard_Tkn")
	Bladex.AddAnmRStep(anm_name,0.0)     
	Bladex.AddAnmLStep(anm_name,0.0)     
	Bladex.AddAnmRRelease(anm_name,0.565)
	Bladex.AddAnmLRelease(anm_name,0.135) 
	Bladex.AddAnmLStep(anm_name,0.594)
	Bladex.AddAnmRStep(anm_name,1)    
	Bladex.AddStopTests(anm_name)            
	

	anm_name="Bgd_attack_f_s"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Tkn_attack_f_s.BMV",anm_name,1,"BlackGuard_Tkn")
	Bladex.AddAnmRStep(anm_name,0.0)     
	Bladex.AddAnmLStep(anm_name,0.0)     
	Bladex.AddAnmRRelease(anm_name,0.182)
	Bladex.AddAnmRStep(anm_name,0.594)      
	Bladex.AddAnmLRelease(anm_name,0.645)
	Bladex.AddAnmLStep(anm_name,1)   
	Bladex.AddStopTests(anm_name)            
	

	anm_name="Bgd_attack_b_s"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Tkn_attack_b_s.BMV",anm_name,1,"BlackGuard_Tkn")
	Bladex.AddAnmRStep(anm_name,0.0)    
	Bladex.AddAnmRRelease(anm_name,0.505)    
	Bladex.AddAnmLStep(anm_name,0.0)   
	Bladex.AddAnmLRelease(anm_name,0.101) 
	Bladex.AddAnmLStep(anm_name,0.570)
	Bladex.AddAnmRStep(anm_name,1)  	
	Bladex.AddStopTests(anm_name)            


	anm_name="Bgd_rlx_f"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Tkn_rlx_f.BMV",anm_name,1,"BlackGuard_Tkn")
	Bladex.AddAnmRStep(anm_name,0.0)     
	Bladex.AddAnmLStep(anm_name,0.0)
	

	anm_name="Bgd_rlx_f_s"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Tkn_rlx_f_s.BMV",anm_name,1,"BlackGuard_Tkn")
	Bladex.AddAnmRStep(anm_name,0.0)     
	Bladex.AddAnmLStep(anm_name,0.0)

	




	#####Burlas######
	anm_name="Bgd_laugh"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Tkn_laugh.BMV",anm_name,0,"BlackGuard_Tkn")
	Bladex.AddAnmRStep(anm_name,0.0)     
	Bladex.AddAnmLStep(anm_name,0.0)
	


	anm_name="Bgd_insult"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_insult.BMV",anm_name,0,"BlackGuard_Tkn")
	Bladex.AddAnmRStep(anm_name,0.0)     
	Bladex.AddAnmLStep(anm_name,0.0)     
	

	anm_name="Bgd_look_around"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_look_around.BMV",anm_name,0,"BlackGuard_Tkn")
	Bladex.AddAnmRStep(anm_name,0.0)     
	Bladex.AddAnmLStep(anm_name,0.0)
	

	anm_name="Bgd_fury"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Tkn_fury.BMV",anm_name,0,"BlackGuard_Tkn")
	Bladex.AddAnmRStep(anm_name,0.0)     
	Bladex.AddAnmLStep(anm_name,0.0)
	
		



	anm_name="Bgd_attack_look"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Tkn_attack_look.BMV",anm_name,0,"BlackGuard_Tkn")
	Bladex.AddAnmRStep(anm_name,0.0)     
	Bladex.AddAnmLStep(anm_name,0.0)
	Bladex.AddAnmLRelease(anm_name,0.05) 
	Bladex.AddAnmLStep(anm_name,0.1)
	Bladex.AddAnmRRelease(anm_name,0.47) 
	Bladex.AddAnmRStep(anm_name,0.62)     



	#
	# Slip
	#
	anm_name="Bgd_slip"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_slip.BMV",anm_name,1,"BlackGuard_Tkn")
	Bladex.AddAnmRStep(anm_name,0.0)     
	Bladex.AddAnmLStep(anm_name,0.0)     

	anm_name="Bgd_slip_b"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_slip_b.BMV",anm_name,1,"BlackGuard_Tkn")
	Bladex.AddAnmRStep(anm_name,0.0)     
	Bladex.AddAnmLStep(anm_name,0.0)     

	anm_name="Bgd_derrape"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_derrape.BMV",anm_name,0,"BlackGuard_Tkn")
	Bladex.AddAnmRStep(anm_name,0.0)     
	Bladex.AddAnmLStep(anm_name,0.0)     

	#
	# Bowing
	#
	anm_name="Bgd_b1"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_b1.BMV",anm_name,0,"BlackGuard_Tkn")
	Bladex.AddAnmRStep(anm_name,0.0)     
	Bladex.AddAnmLStep(anm_name,0.0)
	   

	anm_name="Bgd_b2"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_b2.BMV",anm_name,0,"BlackGuard_Tkn")
	Bladex.AddAnmRStep(anm_name,0.0)     
	Bladex.AddAnmLStep(anm_name,0.0)
	      

	anm_name="Bgd_b3"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_b3.BMV",anm_name,0,"BlackGuard_Tkn")
	Bladex.AddAnmRStep(anm_name,0.0)     
	Bladex.AddAnmLStep(anm_name,0.0)



	anm_name="Bgd_sword_reaction"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_sword_broken.BMV",anm_name,0,"BlackGuard_Tkn")
	Bladex.AddAnmLStep(anm_name,0.0)
	Bladex.AddAnmRStep(anm_name,0.0)   
	Bladex.AddAnmRRelease(anm_name,0.238)   
	Bladex.AddAnmRStep(anm_name,0.332)
	Bladex.AddAnmRRelease(anm_name,0.529)
	Bladex.AddAnmRStep(anm_name,0.667)
	Bladex.AddAnmLRelease(anm_name,0.333) 
	Bladex.AddAnmLStep(anm_name,0.497)
	Bladex.AddAnmLRelease(anm_name,0.537) 
	Bladex.AddAnmLStep(anm_name,0.697)   
	  


##### CAMBIAR ARMAS

	anm_name="Bgd_attack_chg_r_l"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_attack_chg_r_l.BMV",anm_name,0,"BlackGuard_Tkn")
	Bladex.AddAnmLStep(anm_name,0.0)
	Bladex.AddAnmRStep(anm_name,0.0)   

##### BEBER

	anm_name="Bgd_attack_drink"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_attack_drink.BMV",anm_name,0,"BlackGuard_Tkn")
	Bladex.AddAnmLStep(anm_name,0.00) 
	Bladex.AddAnmRStep(anm_name,0.00)



####
# Heridas sin movimiento
####

	
	anm_name="Bgd_hurt_f_back"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_hurt_f_back.BMV",anm_name,0,"BlackGuard_Tkn")
	Bladex.AddAnmRStep(anm_name,0.000)
	Bladex.AddAnmLStep(anm_name,0.000)
	
	anm_name="Bgd_hurt_f_l_arm"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_hurt_f_l_arm.BMV",anm_name,0,"BlackGuard_Tkn")
	Bladex.AddAnmRStep(anm_name,0.000)
	Bladex.AddAnmLStep(anm_name,0.000)
	
	anm_name="Bgd_hurt_f_breast"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_hurt_f_breast.BMV",anm_name,0,"BlackGuard_Tkn")
	Bladex.AddAnmRStep(anm_name,0.000)
	Bladex.AddAnmLStep(anm_name,0.000)

	anm_name="Bgd_hurt_f_head"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_hurt_f_head.BMV",anm_name,0,"BlackGuard_Tkn")
	Bladex.AddAnmRStep(anm_name,0.000)
	Bladex.AddAnmLStep(anm_name,0.000)

	anm_name="Bgd_hurt_f_l_leg"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_hurt_f_l_leg.BMV",anm_name,0,"BlackGuard_Tkn")
	Bladex.AddAnmRStep(anm_name,0.000)
	Bladex.AddAnmLStep(anm_name,0.000)
	

	
	anm_name="Bgd_hurt_f_r_arm"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_hurt_f_r_arm.BMV",anm_name,0,"BlackGuard_Tkn")
	Bladex.AddAnmRStep(anm_name,0.000)
	Bladex.AddAnmLStep(anm_name,0.000)
	
	anm_name="Bgd_hurt_f_r_leg"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_hurt_f_r_leg.BMV",anm_name,0,"BlackGuard_Tkn")
	Bladex.AddAnmRStep(anm_name,0.000)
	Bladex.AddAnmLStep(anm_name,0.000)
	
	anm_name="Bgd_hurt_head"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_hurt_head.BMV",anm_name,0,"BlackGuard_Tkn")
	Bladex.AddAnmRStep(anm_name,0.000)
	#Bladex.AddAnmRRelease(anm_name,0.140)	
	#Bladex.AddAnmRStep(anm_name,0.382)
	Bladex.AddAnmLStep(anm_name,0.000)
	
	anm_name="Bgd_hurt_l_arm"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_hurt_l_arm.BMV",anm_name,0,"BlackGuard_Tkn")
	Bladex.AddAnmRStep(anm_name,0.000)
	Bladex.AddAnmLStep(anm_name,0.000)
	
	anm_name="Bgd_hurt_l_leg"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_hurt_l_leg.BMV",anm_name,0,"BlackGuard_Tkn")
	Bladex.AddAnmRStep(anm_name,0.000)
	Bladex.AddAnmLStep(anm_name,0.000)
	
	#anm_name="Kgt_hurt_neck"
	#Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_hurt_f_neck.BMV",anm_name,0,"BlackGuard_Tkn")
	#Bladex.AddAnmRStep(anm_name,0.000)
	#Bladex.AddAnmLStep(anm_name,0.000)
	
	anm_name="Bgd_hurt_r_arm"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_hurt_r_arm.BMV",anm_name,0,"BlackGuard_Tkn")
	Bladex.AddAnmRStep(anm_name,0.000)
	Bladex.AddAnmLStep(anm_name,0.000)
	
	anm_name="Bgd_hurt_r_leg"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_hurt_r_leg.BMV",anm_name,0,"BlackGuard_Tkn")
	Bladex.AddAnmRStep(anm_name,0.000)
	Bladex.AddAnmLStep(anm_name,0.000)
	
	#anm_name="Kgt_hurt0"
	#Bladex.LoadSampledAnimation("..\\..\\Anm\\" + anm_name + ".BMV",anm_name,0,"BlackGuard_Tkn")
	#Bladex.AddAnmRStep(anm_name,0.000)
	#Bladex.AddAnmLStep(anm_name,0.000)
	
	anm_name="Bgd_hurt_back"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_hurt_back.BMV",anm_name,0,"BlackGuard_Tkn")
	Bladex.AddAnmRStep(anm_name,0.000)
	Bladex.AddAnmLStep(anm_name,0.000)
	
	anm_name="Bgd_hurt_breast"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_hurt_breast.BMV",anm_name,0,"BlackGuard_Tkn")
	Bladex.AddAnmRStep(anm_name,0.000)
	Bladex.AddAnmLStep(anm_name,0.000)
	
	
	
	anm_name="Bgd_hurt_jog"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_hurt_jog.BMV",anm_name,0,"BlackGuard_Tkn")
	Bladex.AddAnmRStep(anm_name,0.21)     
	Bladex.AddAnmRRelease(anm_name,0.36)
	Bladex.AddAnmRStep(anm_name,0.55)
	Bladex.AddAnmLStep(anm_name,0.0)     
	Bladex.AddAnmLRelease(anm_name,0.07)
	Bladex.AddAnmLStep(anm_name,0.4)
	Bladex.AddAnmLRelease(anm_name,0.58)
	Bladex.AddAnmLStep(anm_name,0.8)


	anm_name="Bgd_hurt_f_big"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_hurt_f_big.BMV",anm_name,0,"BlackGuard_Tkn")
	Bladex.AddAnmRStep(anm_name,0.0)     
	Bladex.AddAnmRRelease(anm_name,0.4)
	Bladex.AddAnmRStep(anm_name,0.6)
	Bladex.AddAnmLStep(anm_name,0.0)     
	Bladex.AddAnmLRelease(anm_name,0.27)
	Bladex.AddAnmLStep(anm_name,0.43)		


	anm_name="Bgd_hurt_f_lite"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_hurt_f_lite.BMV",anm_name,0,"BlackGuard_Tkn")
	Bladex.AddAnmRStep(anm_name,0.0)     
	Bladex.AddAnmRRelease(anm_name,0.35)     
	Bladex.AddAnmRStep(anm_name,0.59)     
	Bladex.AddAnmLStep(anm_name,0.0)     
	Bladex.AddAnmLRelease(anm_name,0.55)     
	Bladex.AddAnmLStep(anm_name,1.0) 


	anm_name="Bgd_df_01"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_df_01.BMV",anm_name,0,"BlackGuard_Tkn")
	Bladex.AddAnmLStep(anm_name,0.0)
	Bladex.AddAnmRStep(anm_name,0.0)   

	anm_name="Bgd_df_02"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_df_02.BMV",anm_name,0,"BlackGuard_Tkn")
	Bladex.AddAnmLStep(anm_name,0.0)
	Bladex.AddAnmRStep(anm_name,0.0)   
	Bladex.AddAnmRRelease(anm_name,0.310)   
	Bladex.AddAnmLRelease(anm_name,0.310)
	Bladex.AddAnmRStep(anm_name,0.569) 
	Bladex.AddAnmLStep(anm_name,0.832)

	anm_name="Bgd_df_s_broken"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_df_s_broken.BMV",anm_name,0,"BlackGuard_Tkn")
	Bladex.AddAnmLStep(anm_name,0.0)
	Bladex.AddAnmRStep(anm_name,0.0)   
	Bladex.AddAnmLRelease(anm_name,0.131)   
	Bladex.AddAnmLStep(anm_name,0.414)
	Bladex.AddAnmRRelease(anm_name,0.439) 
	Bladex.AddAnmRStep(anm_name,595)
	Bladex.AddAnmLRelease(anm_name,0.708)  
	Bladex.AddAnmLStep(anm_name,0.867)





	#################
	#
	# Muertes (me voy a suicidar, como siga esto asi. No hay derecho)
	#
	##################	


		
	
	
	anm_name="Bgd_dth0"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_dth0.BMV",anm_name,0,"BlackGuard_Tkn")
	Bladex.AddAnmLStep(anm_name,0.00) 
	Bladex.AddAnmRStep(anm_name,0.00)
				
	
	anm_name="Bgd_dth_c1"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_dth_c1.BMV",anm_name,0,"BlackGuard_Tkn")
	Bladex.AddAnmLStep(anm_name,0.00) 
	Bladex.AddAnmRStep(anm_name,0.00)
	Bladex.AddAnmLRelease(anm_name,0.040) 	
	Bladex.AddAnmLStep(anm_name,0.081) 

	anm_name="Bgd_dth_c2"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_dth_c2.BMV",anm_name,0,"BlackGuard_Tkn")
	Bladex.AddAnmRStep(anm_name,0.000)
	Bladex.AddAnmRRelease(anm_name,0.037)
	Bladex.AddAnmRStep(anm_name,0.083)
	Bladex.AddAnmRRelease(anm_name,0.166)
	Bladex.AddAnmRStep(anm_name,0.306)
	Bladex.AddAnmLStep(anm_name,0.000)
	Bladex.AddAnmLRelease(anm_name,0.083)
	Bladex.AddAnmLStep(anm_name,0.126)
	
	anm_name="Bgd_dth_c3"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_dth_c3.BMV",anm_name,0,"BlackGuard_Tkn")
	Bladex.AddAnmRStep(anm_name,0.000)
	Bladex.AddAnmRRelease(anm_name,0.583)
	Bladex.AddAnmRStep(anm_name,0.758)
	Bladex.AddAnmLStep(anm_name,0.000)
	Bladex.AddAnmLRelease(anm_name,0.597)
	Bladex.AddAnmLStep(anm_name,0.886)

	
	anm_name="Bgd_dth_c4"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_dth_c4.BMV",anm_name,0,"BlackGuard_Tkn")
	Bladex.AddAnmRStep(anm_name,0.000)
	Bladex.AddAnmRRelease(anm_name,0.277)
	Bladex.AddAnmRStep(anm_name,0.407)
	Bladex.AddAnmLStep(anm_name,0.000)
	Bladex.AddAnmLRelease(anm_name,0.079)
	Bladex.AddAnmLStep(anm_name,0.242)
	Bladex.AddAnmLRelease(anm_name,0.418)
	Bladex.AddAnmLStep(anm_name,0.524)
	Bladex.AddAnmLRelease(anm_name,0.645)
	Bladex.AddAnmLStep(anm_name,0.796)

	
	anm_name="Bgd_dth_c5"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_dth_c5.BMV",anm_name,0,"BlackGuard_Tkn")
	Bladex.AddAnmRStep(anm_name,0.000)
	Bladex.AddAnmRRelease(anm_name,0.507)
	Bladex.AddAnmRStep(anm_name,0.591)
	Bladex.AddAnmRRelease(anm_name,0.667)
	Bladex.AddAnmRStep(anm_name,0.898)
	Bladex.AddAnmLStep(anm_name,0.000)
	Bladex.AddAnmLRelease(anm_name,0.521)
	Bladex.AddAnmLStep(anm_name,0.593)
	Bladex.AddAnmLRelease(anm_name,0.659)
	Bladex.AddAnmLStep(anm_name,0.917)

	
	anm_name="Bgd_dth_c6"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_dth_c6.BMV",anm_name,0,"BlackGuard_Tkn")
	Bladex.AddAnmRStep(anm_name,0.000)
	Bladex.AddAnmRRelease(anm_name,0.086)
	Bladex.AddAnmRStep(anm_name,0.134)
	Bladex.AddAnmRRelease(anm_name,0.249)
	Bladex.AddAnmRStep(anm_name,0.343)
	Bladex.AddAnmRRelease(anm_name,0.484)
	Bladex.AddAnmRStep(anm_name,0.536)
	Bladex.AddAnmRRelease(anm_name,0.729)
	Bladex.AddAnmRStep(anm_name,0.838)
	Bladex.AddAnmLStep(anm_name,0.000)
	Bladex.AddAnmLRelease(anm_name,0.151)
	Bladex.AddAnmLStep(anm_name,0.234)
	Bladex.AddAnmLRelease(anm_name,0.357)
	Bladex.AddAnmLStep(anm_name,0.441)
	Bladex.AddAnmLRelease(anm_name,0.558)
	Bladex.AddAnmLStep(anm_name,0.607)
	Bladex.AddAnmLRelease(anm_name,0.746)
	Bladex.AddAnmLStep(anm_name,0.845)
	

	anm_name="Bgd_dth_c7"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Ork_dth_c1.BMV",anm_name,0,"BlackGuard_Tkn")
	Bladex.AddAnmRStep(anm_name,0.000)
	Bladex.AddAnmRRelease(anm_name,0.282)
	Bladex.AddAnmRStep(anm_name,0.384)
	Bladex.AddAnmRRelease(anm_name,0.659)
	Bladex.AddAnmRStep(anm_name,0.887)
	Bladex.AddAnmLStep(anm_name,0.000)
	Bladex.AddAnmLRelease(anm_name,0.579)
	Bladex.AddAnmLStep(anm_name,0.890)

	
	anm_name="Bgd_dth_n00"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_dth_n00.BMV",anm_name,0,"BlackGuard_Tkn")
	Bladex.AddAnmRStep(anm_name,0.000)
	Bladex.AddAnmRRelease(anm_name,0.641)
	Bladex.AddAnmRStep(anm_name,0.878)
	Bladex.AddAnmLStep(anm_name,0.000)
	Bladex.AddAnmLRelease(anm_name,0.192)
	Bladex.AddAnmLStep(anm_name,0.411)
	Bladex.AddAnmLRelease(anm_name,0.626)
	Bladex.AddAnmLStep(anm_name,0.873)
	
	
	anm_name="Bgd_dth_n01"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_dth_n01.BMV",anm_name,0,"BlackGuard_Tkn")
	Bladex.AddAnmRStep(anm_name,0.000)
	Bladex.AddAnmRRelease(anm_name,0.500)
	Bladex.AddAnmRStep(anm_name,0.761)
	Bladex.AddAnmLStep(anm_name,0.000)
	Bladex.AddAnmLRelease(anm_name,0.081)
	Bladex.AddAnmLStep(anm_name,0.356)
	Bladex.AddAnmLRelease(anm_name,0.428)
	Bladex.AddAnmLStep(anm_name,0.515)
	Bladex.AddAnmLRelease(anm_name,0.617)
	Bladex.AddAnmLStep(anm_name,0.772)

	
	anm_name="Bgd_dth_n02"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_dth_n02.BMV",anm_name,0,"BlackGuard_Tkn")
	Bladex.AddAnmRStep(anm_name,0.000)
	Bladex.AddAnmRRelease(anm_name,0.681)
	Bladex.AddAnmRStep(anm_name,0.859)
	Bladex.AddAnmLStep(anm_name,0.000)
	Bladex.AddAnmLRelease(anm_name,0.315)
	Bladex.AddAnmLStep(anm_name,0.611)
	Bladex.AddAnmLRelease(anm_name,0.703)
	Bladex.AddAnmLStep(anm_name,0.921)
	

	anm_name="Bgd_dth_n03"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_dth_n03.BMV",anm_name,0,"BlackGuard_Tkn")
	Bladex.AddAnmRStep(anm_name,0.000)
	Bladex.AddAnmRRelease(anm_name,0.101)
	Bladex.AddAnmRStep(anm_name,0.271)
	Bladex.AddAnmRRelease(anm_name,0.478)
	Bladex.AddAnmRStep(anm_name,1.000)
	Bladex.AddAnmLStep(anm_name,0.000)
	Bladex.AddAnmLRelease(anm_name,0.530)
	Bladex.AddAnmLStep(anm_name,0.692)
	

	anm_name="Bgd_dth_n04"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_dth_n04.BMV",anm_name,0,"BlackGuard_Tkn")
	Bladex.AddAnmRStep(anm_name,0.000)
	Bladex.AddAnmRRelease(anm_name,0.154)
	Bladex.AddAnmRStep(anm_name,0.198)
	Bladex.AddAnmRRelease(anm_name,0.290)
	Bladex.AddAnmRStep(anm_name,0.347)
	Bladex.AddAnmRRelease(anm_name,0.557)
	Bladex.AddAnmRStep(anm_name,0.595)
	Bladex.AddAnmRRelease(anm_name,0.743)
	Bladex.AddAnmRStep(anm_name,0.838)
	Bladex.AddAnmLStep(anm_name,0.000)
	Bladex.AddAnmLRelease(anm_name,0.046)
	Bladex.AddAnmLStep(anm_name,0.069)
	Bladex.AddAnmLRelease(anm_name,0.223)
	Bladex.AddAnmLStep(anm_name,0.295)
	Bladex.AddAnmLRelease(anm_name,0.417)
	Bladex.AddAnmLStep(anm_name,0.479)
	Bladex.AddAnmLRelease(anm_name,0.592)
	Bladex.AddAnmLStep(anm_name,0.728)
	Bladex.AddAnmLRelease(anm_name,0.747)
	Bladex.AddAnmLStep(anm_name,0.886)


	anm_name="Bgd_dth_n05"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_dth_n05.BMV",anm_name,0,"BlackGuard_Tkn")
	Bladex.AddAnmRStep(anm_name,0.000)
	Bladex.AddAnmRRelease(anm_name,0.825)
	Bladex.AddAnmRStep(anm_name,0.979)
	Bladex.AddAnmLStep(anm_name,0.000)
	Bladex.AddAnmLRelease(anm_name,0.050)
	Bladex.AddAnmLStep(anm_name,0.138)
	Bladex.AddAnmLRelease(anm_name,0.816)
	Bladex.AddAnmLStep(anm_name,0.950)
	
	
	anm_name="Bgd_dth_n06"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_dth_n06.BMV",anm_name,0,"BlackGuard_Tkn")
	Bladex.AddAnmRStep(anm_name,0.000)
	Bladex.AddAnmRRelease(anm_name,0.303)
	Bladex.AddAnmRStep(anm_name,0.469)
	Bladex.AddAnmRRelease(anm_name,0.497)
	Bladex.AddAnmRStep(anm_name,0.627)
	Bladex.AddAnmRRelease(anm_name,0.709)
	Bladex.AddAnmRStep(anm_name,0.832)
	Bladex.AddAnmLStep(anm_name,0.000)
	Bladex.AddAnmLRelease(anm_name,0.100)
	Bladex.AddAnmLStep(anm_name,0.305)
	Bladex.AddAnmLRelease(anm_name,0.347)
	Bladex.AddAnmLStep(anm_name,0.417)
	Bladex.AddAnmLRelease(anm_name,0.474)
	Bladex.AddAnmLStep(anm_name,0.690)

	anm_name="Bgd_dth_burn"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_dth_burn.BMV",anm_name,0,"BlackGuard_Tkn")
	Bladex.AddAnmRStep(anm_name,0.000)
	Bladex.AddAnmRRelease(anm_name,0.089)
	Bladex.AddAnmRStep(anm_name,0.119)
	Bladex.AddAnmRRelease(anm_name,0.203)
	Bladex.AddAnmRStep(anm_name,0.242)
	Bladex.AddAnmRRelease(anm_name,0.284)
	Bladex.AddAnmRStep(anm_name,0.330)
	Bladex.AddAnmRRelease(anm_name,0.378)
	Bladex.AddAnmRStep(anm_name,0.414)
	Bladex.AddAnmRRelease(anm_name,0.467)
	Bladex.AddAnmRStep(anm_name,0.486)
	Bladex.AddAnmRRelease(anm_name,0.539)
	Bladex.AddAnmRStep(anm_name,0.570)
	Bladex.AddAnmRRelease(anm_name,0.671)
	Bladex.AddAnmRStep(anm_name,0.715)
	Bladex.AddAnmLStep(anm_name,0.000)
	Bladex.AddAnmLRelease(anm_name,0.046)
	Bladex.AddAnmLStep(anm_name,0.075)
	Bladex.AddAnmLRelease(anm_name,0.145)
	Bladex.AddAnmLStep(anm_name,0.185)
	Bladex.AddAnmLRelease(anm_name,0.256)
	Bladex.AddAnmLStep(anm_name,0.278)
	Bladex.AddAnmLRelease(anm_name,0.411)
	Bladex.AddAnmLStep(anm_name,0.463)
	Bladex.AddAnmLRelease(anm_name,0.563)
	Bladex.AddAnmLStep(anm_name,0.599)
	Bladex.AddAnmLRelease(anm_name,0.627)
	Bladex.AddAnmLStep(anm_name,0.667)
	Bladex.AddAnmLRelease(anm_name,0.678)
	Bladex.AddAnmLStep(anm_name,0.713)


	anm_name="Bgd_dth_rock"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_dth_rock.BMV",anm_name,0,"BlackGuard_Tkn")
	Bladex.AddAnmRStep(anm_name,0.000)
	Bladex.AddAnmLStep(anm_name,0.000)

	anm_name="Bgd_dth_rockfront"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_dth_rockfront.BMV",anm_name,0,"BlackGuard_Tkn")
	Bladex.AddAnmRStep(anm_name,0.000)
	Bladex.AddAnmRRelease(anm_name,0.348)
	Bladex.AddAnmRStep(anm_name,0.796)
	Bladex.AddAnmLStep(anm_name,0.000)
	Bladex.AddAnmLRelease(anm_name,0.335)
	Bladex.AddAnmLStep(anm_name,0.792)



#### BURLAS


	anm_name="Bgd_fury"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Tkn_fury.BMV",anm_name,0,"BlackGuard_Tkn")
	Bladex.AddAnmRStep(anm_name,0.000)
	Bladex.AddAnmLStep(anm_name,0.000)

	anm_name="Bgd_laugh"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Tkn_laugh.BMV",anm_name,0,"BlackGuard_Tkn")
	Bladex.AddAnmRStep(anm_name,0.000)
	Bladex.AddAnmLStep(anm_name,0.000)

	anm_name="Bgd_alarm02"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Tkn_alarm02.BMV",anm_name,0,"BlackGuard_Tkn")
	Bladex.AddAnmRStep(anm_name,0.000)
	Bladex.AddAnmLStep(anm_name,0.000)
		
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Tkn_alarm01.BMV","Bgd_alarm01",0,"BlackGuard_Tkn")	
	Bladex.AddAnmRStep("Bgd_alarm01",0.0)
	Bladex.AddAnmLStep("Bgd_alarm01",0.0)
	Bladex.AddAnmLRelease("Bgd_alarm01",0.265)
	Bladex.AddAnmLStep("Bgd_alarm01",0.420)
	
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Tkn_sleep_wall.BMV","Bgd_sleep_wall",1,"BlackGuard_Tkn")	
	