
import Bladex
import math
import DefAnims




##########################
# Create New Biped Data  #
##########################


    ####################
    #                  #
    # New Black Guard  #
    #                  #
    ####################
    


    
    
import BgdAnm_def
BgdAnm_def.InitBgd()    
 
    
bgd=Bladex.GetCharType("BlackGuard_Tkn","Bgd")
bgd.IntName="Bgd" 

bgd.TurnSpeed=3.4
bgd.Jcost=27000
bgd.MaxFall=5000
bgd.DieFall=7000
bgd.MaxStair=335
bgd.Fov=Fov=math.pi/1.2
bgd.MaxGrab=3500.0
bgd.MedGrab=2500.0
bgd.Min2Grab=1500.0    
bgd.MinTake=-500.0      # Min height above floor barbarian will take
bgd.MaxTake1=450.0	# Max height above floor for Take1 Anim
bgd.MaxTake2=550.0	# Max height above floor for Take2 Anim
bgd.MaxTake3=1300.0	# Max height above floor for Take3 Anim
bgd.MaxTake4=1900.0	# Max height above floor for Take4 Anim
bgd.MaxTake5=3000.0	# Max height above floor for Take5 Anim
bgd.Reach=2000.0	# Max distance from bar centre to obj centre to take
bgd.MovFrwdSpeedInStrafe=1000  #Forwards speed when in strafe(combat mode only)
bgd.MovBkwdSpeedInStrafe=1000  #Idem backwards
bgd.MaxCombatDist=12000
bgd.DistStop=2000.0
bgd.DistStop2=3000 #6000.0
bgd.MaxSeeDist=30000

bgd.NaturalWeapons=0
bgd.SetNCDSpheres(2)
bgd.SetCDSphere(0,250.0,450.0)  #(numero de la espera, altura mm, radio mm)
bgd.SetCDSphere(1,-240.0,450.0)  #(numero de la espera, altura mm, radio mm)


###############################################################################
#

def BlackGuardWhenFirst():
	Bladex.CreateBipedData("Bgd","BlackGuard_Tkn")
	
	####################################################
	# Uncoment this section only after making changes, #
	# otherwise comment out to speed load times        #
	####################################################
	
	#import os

	#try:
	#	os.remove("..\\..\\AnmPak\\Bgd.dat")
	#except:
	#	pass
		
	#####################################################

	exitsPak=Bladex.LoadAnmRaceData("../../AnmPak/Bgd.dat")

	import BgdAnimationSet
	BgdAnimationSet.LoadBgdAnimationSet("Bgd")
	
	import BgdBAct
	import LinkTables
	LinkTables.LinkMe("Bgd")
	import BgdCombos
	import AnmFactBgd
	AnmFactBgd.InitAnmFactBgd()
	import BgdStats
	if not exitsPak:
		Bladex.SaveAnmRaceData("../../AnmPak/Bgd.dat","Bgd")
	
	print"New Bgd Data Set"
	
	Bladex.AddFloorCTolerance("slip",10)


		
		
race=Bladex.GetCharType("BlackGuard_Tkn","Bgd")
race.OnFirst=BlackGuardWhenFirst
