######################################################
#
# Create sets of attacks
#
#        - CKX -
#
######################################################


import Bladex

ATK_UNIQUE=0
ATK_RANDOM=1
ATK_SEQUENTIAL=2


Bladex.SetActionEventTable("Ckx","g_magic","ATTACKING")
Bladex.SetActionEventTable("Ckx","g_01","ATTACKING")
Bladex.SetActionEventTable("Ckx","g_02","ATTACKING")
Bladex.SetActionEventTable("Ckx","g_07","ATTACKING")
Bladex.SetActionEventTable("Ckx","g_08","ATTACKING")
Bladex.SetActionEventTable("Ckx","g_12","ATTACKING")
Bladex.SetActionEventTable("Ckx","g_18","ATTACKING")
Bladex.SetActionEventTable("Ckx","g_31","ATTACKING")


Bladex.SetActionEventTable("Ckx","D_r", "DODGING")
Bladex.SetActionEventTable("Ckx","D_l", "DODGING")
Bladex.SetActionEventTable("Ckx","D_b", "DODGING")


Bladex.SetActionEventTable("Ckx","g_d_r", "ATTACKING")
Bladex.SetActionEventTable("Ckx","g_d_l", "ATTACKING")


ckx=Bladex.GetCharType("ChaosKnight_X","Ckx")


################################################################


ckx.AddAttack("DR_G_2H","Ckx_g_d_r")
ckx.AssignTrail("DR_G_2H","","EstelaRoja1")
ckx.AddLevels("Ckx_g_d_r",0,40)


ckx.AddAttack("DL_G_2H","Ckx_g_d_l")
ckx.AssignTrail("DL_G_2H","","EstelaRoja1")
ckx.AddLevels("Ckx_g_d_l",0,40)



#SP1 group (magic)



ckx.AddAttack("SP1","Ckx_g_magic")
ckx.AddLevels("Ckx_g_magic",0,0)

#GM1 group
ckx.AddAttack("GI_1H","Ckx_g_01")
ckx.AttackWindow("Ckx_g_01",0.001,0.900,"GI_1H_Window")
ckx.AddLevels("Ckx_g_01",0,40)

ckx.AddAttack("GM1_1H","Ckx_g_02")
ckx.AttackWindow("Ckx_g_02",0.408,0.725,"GM1_1H_Window")
ckx.AddLevels("Ckx_g_02",0,40)

ckx.AddAttack("GM2_1H","Ckx_g_07")
ckx.AttackWindow("Ckx_g_07",0.408,0.725,"GM2_1H_Window")
ckx.AddLevels("Ckx_g_07",0,40)

ckx.AddAttack("GM3_1H","Ckx_g_08")
ckx.AttackWindow("Ckx_g_08",0.408,0.725,"GM3_1H_Window")
ckx.AddLevels("Ckx_g_08",0,40)

ckx.AddAttack("GM4_1H","Ckx_g_12")
ckx.AddLevels("Ckx_g_12",0,0)
ckx.AttackWindow("Ckx_g_12",0.408,0.725,"GM4_1H_Window")
ckx.AssignTrail("GM4_1H","","EstelaAmarilla1")


ckx.AddAttack("GM5_1H","Ckx_g_18")
ckx.AddLevels("Ckx_g_18",0,0)
ckx.AssignTrail("GM5_1H","","EstelaRoja1")


ckx.AddAttack("GM6_1H","Ckx_g_31")
ckx.AddLevels("Ckx_g_31",0,0)
ckx.AssignTrail("GM6_1H","","EstelaRoja1")

"""
#GM2 group
ckx.AddAttack("G02","Ckx_g_02")
ckx.AttackTypeFlag("GM2",ATK_UNIQUE)
ckx.AddLevels("Ckx_g_02",0,0)
##########################################
#GM3 group
ckx.AddAttack("G07","Ckx_g_07")
ckx.AttackTypeFlag("GM3",ATK_UNIQUE)
ckx.AddLevels("Ckx_g_07",0,0)
########################################
#GM4 group
ckx.AddAttack("G08","Ckx_g_08")
ckx.AttackTypeFlag("GM4",ATK_UNIQUE)
ckx.AddLevels("Ckx_g_08",0,0)
#####################################################
#GM5 group
ckx.AddAttack("G12","Ckx_g_12")
ckx.AttackTypeFlag("GM5",ATK_UNIQUE)
ckx.AddLevels("Ckx_g_12",0,0)
ckx.AssignTrail("G12","","EstelaAmarilla1")

#GM6 group
ckx.AddAttack("G18","Ckx_g_18")
ckx.AttackTypeFlag("GM6",ATK_UNIQUE)
ckx.AddLevels("Ckx_g_18",0,0)
ckx.AssignTrail("G18","","EstelaRoja1")

#GM7 group
ckx.AddAttack("G31","Ckx_g_31")
ckx.AttackTypeFlag("GM7",ATK_UNIQUE)
ckx.AddLevels("Ckx_g_31",0,0)
ckx.AssignTrail("G31","","EstelaRoja1")
"""

#####################################################


ckx.MetaAttack("GIM_1H","GI_1H")
ckx.MetaAttack("GIM_1H","GM1_1H")
ckx.MetaAttack("GIM_1H","GM2_1H")
ckx.MetaAttack("GIM_1H","GM3_1H")
ckx.MetaAttack("GIM_1H","GM4_1H")
ckx.MetaAttack("GIM_1H","GM5_1H")
ckx.MetaAttack("GIM_1H","GM6_1H")



ckx.MetaAttack("GOLPEINICIAL","GI_1H")

ckx.MetaAttack("COMBO1","GM1_1H")
ckx.MetaAttack("COMBO1","GM2_1H")
ckx.MetaAttack("COMBO1","GM3_1H")
ckx.MetaAttack("COMBO1","GM4_1H")
ckx.MetaAttack("COMBO1","GM5_1H")
ckx.MetaAttack("COMBO1","GM6_1H")








"""
ckx.MetaAttack("GIM_1H","GI_1H")
ckx.MetaAttack("GIM_AXE","GM1_AXE")
ckx.MetaAttack("GIM_2W","GM2_2W")
ckx.MetaAttack("GIM_2W","GM3_2W")
ckx.MetaAttack("GIM_2W","GM4_2W")
ckx.MetaAttack("GIM_SP","GM5_SP")
ckx.MetaAttack("GIM_SP","GM6_SP")
ckx.MetaAttack("GIM_SP","GM7_AXE")
ckx.MetaAttack("GIM_1H","GM8_1H")
ckx.MetaAttack("GIM_1H","GM9_1H")
ckx.MetaAttack("GIM_1H","GM10_1H")
ckx.MetaAttack("GIM_1H","GM11_1H")
ckx.MetaAttack("GIM_1H","GM12_1H")
ckx.MetaAttack("GIM_1H","GM13_1H")
ckx.MetaAttack("GIM_1H","GM14_1H")
ckx.MetaAttack("GIM_1H","GM15_1H")
ckx.MetaAttack("GIM_1H","GM16_1H")
ckx.MetaAttack("GIM_1H","GM17_1H")
ckx.MetaAttack("GIM_1H","GM18_1H")
ckx.MetaAttack("GIM_NO","GM19_NO")
ckx.MetaAttack("GIM_NO","GM20_NO")
ckx.MetaAttack("GIM_NO","GM21_NO")
ckx.MetaAttack("GIM_1H","GM22_1H")
ckx.MetaAttack("GIM_1H","GM43_1H")
ckx.MetaAttack("GIM_1H","GM24_1H")
ckx.MetaAttack("GIM_1H","GM25_1H")
ckx.MetaAttack("GIM_1H","GM26_1H")
ckx.MetaAttack("GIM_1H","GM27_1H")
ckx.MetaAttack("GIM_1H","GM28_1H")
ckx.MetaAttack("GIM_1H","GM29_1H")
ckx.MetaAttack("GIM_1H","GM30_1H")
ckx.MetaAttack("GIM_1H","GM31_1H")
ckx.MetaAttack("GIM_1H","GM32_1H")
ckx.MetaAttack("GIM_1H","GM33_1H")
ckx.MetaAttack("GIM_1H","GM70_1H")
ckx.MetaAttack("GIM_1H","GM71_1H")


ckx.MetaAttack("COMBO1","GM1_AXE")
ckx.MetaAttack("COMBO1","GM2_2W")
ckx.MetaAttack("COMBO1","GM3_2W")
ckx.MetaAttack("COMBO1","GM4_2W")
ckx.MetaAttack("COMBO1","GM5_SP")
ckx.MetaAttack("COMBO1","GM6_SP")
ckx.MetaAttack("COMBO1","GM7_AXE")
ckx.MetaAttack("COMBO1","GM8_1H")
ckx.MetaAttack("COMBO1","GM9_1H")
ckx.MetaAttack("COMBO1","GM10_1H")
ckx.MetaAttack("COMBO1","GM11_1H")
ckx.MetaAttack("COMBO1","GM12_1H")
ckx.MetaAttack("COMBO1","GM13_1H")
ckx.MetaAttack("COMBO1","GM14_1H")
ckx.MetaAttack("COMBO1","GM15_1H")
ckx.MetaAttack("COMBO1","GM16_1H")
ckx.MetaAttack("COMBO1","GM17_1H")
ckx.MetaAttack("COMBO1","GM18_1H")
ckx.MetaAttack("COMBO1","GM19_NO")
ckx.MetaAttack("COMBO1","GM20_NO")
ckx.MetaAttack("COMBO1","GM21_NO")
ckx.MetaAttack("COMBO1","GM22_1H")
ckx.MetaAttack("COMBO1","GM43_1H")
ckx.MetaAttack("COMBO1","GM24_1H")
ckx.MetaAttack("COMBO1","GM25_1H")
ckx.MetaAttack("COMBO1","GM26_1H")
ckx.MetaAttack("COMBO1","GM27_1H")
ckx.MetaAttack("COMBO1","GM28_1H")
ckx.MetaAttack("COMBO1","GM29_1H")
ckx.MetaAttack("COMBO1","GM30_1H")
ckx.MetaAttack("COMBO1","GM31_1H")
ckx.MetaAttack("COMBO1","GM32_1H")
ckx.MetaAttack("COMBO1","GM33_1H")
ckx.MetaAttack("COMBO1","GM70_1H")
ckx.MetaAttack("COMBO1","GM71_1H")

"""
######################################################
#
#        - Attacks themselves -
#
######################################################

# *Name of NEW attack (anm name itself , group name or metagroup)
# *Keys
#       R , L , F , B -> Control keys
#       A -> Attack 
#       D -> Defense(block)
#     
# -->Keys Modifiers
#       a+b . Simultaneous press
#       !c . Should not be pressed
#       &d . Should be already pressed
# *Previous Historial
#       "GA,GA,GM,GGF"
# *Previous NEGATIVE historial
#       +/- idem b4
#
#
##################################################################



ckx.AllowAttack("GI_1H","A","","GIM_1H","GIM_1H_Window","1H")




ckx.AllowAttack("GM1_1H","A+R","","GM1_1H","","1H")
ckx.AllowAttack("GM1_1H","&A+R","","GM1_1H","","1H")


ckx.AllowAttack("GM2_1H","A+L","","GM2_1H","","1H")
ckx.AllowAttack("GM2_1H","&A+L","","GM2_1H","","1H")


ckx.AllowAttack("GM3_1H","A+F","","GM3_1H","","1H")
ckx.AllowAttack("GM3_1H","&A+F","","GM3_1H","","1H")


ckx.AllowAttack("GM4_1H","A+B","","GM4_1H","","1H")
ckx.AllowAttack("GM4_1H","&A+B","","GM4_1H","","1H")



ckx.AllowAttack("GM5_1H","F+R","GI_1H","","GI_1H_Window","1H")


ckx.AllowAttack("GM6_1H","F+L","GI_1H","","GI_1H_Window","1H")