
import Bladex
import math
import DefAnims
##########################
# Create New Biped Data  #
##########################


    #######################
    #                     #
    # Player Chaos Knight #
    #                     #
    #######################
   
    
import ChaosKnight_XAnm_def
ChaosKnight_XAnm_def.InitChaosKnight_X()    
 
ckx=Bladex.GetCharType("ChaosKnight_X","Ckx")

ckx.TurnSpeed=4.5
ckx.Jcost=2700
ckx.MaxFall=4000
ckx.DieFall=14000
ckx.MaxStair=335
ckx.Fov=math.pi*1.5
ckx.MaxGrab=3500.0
ckx.MedGrab=2500.0
ckx.Min2Grab=1500.0

ckx.MinTake=-500.0	# Min height above floor barbarian will take
ckx.MaxTake1=250.0	# Max height above floor for Take1 Anim
ckx.MaxTake2=550.0	# Max height above floor for Take2 Anim
ckx.MaxTake3=1300.0	# Max height above floor for Take3 Anim
ckx.MaxTake4=1900.0	# Max height above floor for Take4 Anim
ckx.MaxTake5=3000.0	# Max height above floor for Take5 Anim
ckx.Reach=2000.0	# Max distance from ckx centre to obj centre to take

ckx.MovFrwdSpeedInStrafe=800  #Forwards speed when in strafe(combat mode only)
ckx.MovBkwdSpeedInStrafe=800  #Idem backwards

ckx.DistStop=2600.0
ckx.DistStop2=6000.0
ckx.DistStopMaxFactor=0.6

ckx.MaxCombatDist=20000
ckx.MaxSeeDist=50000


ckx.SetNCDSpheres(1)            #Numero de esferas en el modelo de colisiones
ckx.SetCDSphere(0,50.0,825.0)  #(numero de la espera, altura mm, radio mm)



###############################################################################


def ChaosKnight_XWhenFirst():
	Bladex.CreateBipedData("Ckx","ChaosKnight_X")
	
	#############################################################
	# Uncoment the following section only after making changes, #
	# otherwise comment out to speed load times                 #
	#############################################################
	
	import os

	try:
		os.remove("..\\..\\AnmPak\\Ckx.dat")
	except:
			pass
		
	#####################################################

	exitsPak=Bladex.LoadAnmRaceData("../../AnmPak/Ckx.dat")

	import ChaosKnight_XAnimationSet
	ChaosKnight_XAnimationSet.LoadChaosKnight_XAnimationSet("Ckx")
	
	import ChaosKnight_XBAct
	import LinkTables
	LinkTables.LinkMe("Ckx")
	
	
	
	
	import ChaosKnight_XCombos
	
	
	import AnmFactChaosKnight_X
	AnmFactChaosKnight_X.InitChaosKnight_X()
	
	
	import ChaosKnight_XStats

	if not exitsPak:
		Bladex.SaveAnmRaceData("../../AnmPak/Ckx.dat","Ckx")
	
	print"New Player Chaos Knight Data Set"
	
	Bladex.AddFloorCTolerance("slip",10)


		
		
race=Bladex.GetCharType("ChaosKnight_X","Ckx")
race.OnFirst=ChaosKnight_XWhenFirst
