from CharData import CharMaxLifeValue
from CharData import CharDamageData
from CharData import CharDefenseData
from CharData import CharResistances
from CharData import CharExperienceCost
from CharData import CharExperienceReward
from CharData import CharAccuracy
from CharData import CharMaxEnergyValue

import Reference

CharMaxLifeValue['ChaosKnight_X']=[  5000,   6000,   7000,   8000,   9000,  10000,  11000,  12000,  13000,  14000,  15000,  16000,  17000,  18000,  19000,  20000,  21000,  22000,  23000,  24000]
CharDamageData['ChaosKnight_X']= [     2,      5,    120,    130,    140,    150,    160,    170,    180,    190,    200,    320,    340,    360,    380,    430,    460,    490,    510,    550]
CharDefenseData['ChaosKnight_X']= [     1,      4,      8,     12,     16,     20,     24,     28,     32,     36,     40,     44,     48,     52,     56,     60,     64,     68,     72,     76]
CharExperienceCost['ChaosKnight_X']=[    50,    100,    200,    400,    800,   1600,   3200,   6400,  12800,  25600,  51200, 102400, 204800, 409600, 819200,1638400,3276800,6553600,13107200,26214400]
CharExperienceReward['ChaosKnight_X']= [    40,     50,     60,    120,    240,    480,    960,   1920,   3840,   7680,  15360,  30720,  61440, 122880, 135000, 150000, 170000, 190000, 210000, 240000]
CharAccuracy['ChaosKnight_X']= [   0.1,    0.1,    0.2,    0.2,    0.3,    0.3,    0.4,    0.4,    0.5,    0.5,    0.6,    0.6,    0.6,    0.7,    0.7,    0.7,    0.8,    0.8,    0.9,    0.9]
CharResistances['ChaosKnight_X']= {'Impale': 0.60, 'Venom': 1.00, 'Slash': 0.40, 'Crush': -0.50, 'Ice': 1.00, 'Fire': 1.00, 'Light': -0.60, 'Drain': 1.00}
CharMaxEnergyValue['ChaosKnight_X']=  [ 140,    220,    380,    540,    640,    885,   1210,   1650,   2000,   2400,   3000,   3800,   4700,   6200,   8600,  14200,   28400,     56800,     112000,     250000,    ]

Reference.DefaultObjectData['ChaosKnight_X']= [Reference.OBJ_WEAPON,   50,  0, 1.0,  Reference.THR_SPINNING, []]



Reference.DefaultSelectionData['EspadonX']=(8.0,4000.0, "Espadon")
Reference.DefaultObjectData['EspadonX']= [Reference.OBJ_WEAPON,   5,  0, 1.0,  Reference.THR_SPINNING, [Reference.W_FLAG_1H,]]





Reference.DefaultObjectData['EscudonX']=[Reference.OBJ_SHIELD,-0.5, 30, Reference.GolpeArmaEscudoMetal, 180.0*Reference.DEG2RADS,   3000, 1250, 10]
Reference.DefaultSelectionData['EscudonX']=(8.0,4000.0, "Escudon")


Reference.DefaultObjectData['FuelCan1']=[Reference.OBJ_USEME]
Reference.DefaultSelectionData['FuelCan1']=(7.0,4000.0, "Fuel Can")

Reference.DefaultObjectData['FuelCan2']=[Reference.OBJ_USEME]
Reference.DefaultSelectionData['FuelCan2']=(7.0,4000.0, "Fuel Can")



import Bladex
Bladex.AddMaterialStepSound("PisadaCaos","default","PiedraCaos")
Bladex.AddActionStepSound("Ckx","default","PisadaCaos")




import Damage

Damage.AnimationData['Ckx_g_magic']=    1.0
Damage.AnimationData['Ckx_g_01']=    1.0
Damage.AnimationData['Ckx_g_02']=    1.2
Damage.AnimationData['Ckx_g_07']=    1.0
Damage.AnimationData['Ckx_g_08']=    1.2
Damage.AnimationData['Ckx_g_12']=    1.5
Damage.AnimationData['Ckx_g_d_r']=   3.0
Damage.AnimationData['Ckx_g_d_l']=   3.0

Damage.AnimationData['Ckx_g_18']=    5.0
Damage.AnimationData['Ckx_g_31']=    8.0


