import Bladex
import Basic_Funcs
import AuxFuncs
import ItemTypes
import Reference
import math
import Actions
import BCopy
import CharStats
import GenFX
import netgame
import B3DLib
import Damage
import darfuncs
import OnInitTake
import InitDataField
import GameText
import MenuText
import PA4Ally_Def
import BUIx


import AniSoundCkx
import CkxScorer







W_FLAG_1H=0     #One handed _whatever_ weapon
W_FLAG_2W=1	#Two handed sword
W_FLAG_AXE=2	#Two handed axe
W_FLAG_SP=3     #Two handed spear



TRUE = 1==1
FALSE = not TRUE


PI = math.pi
TWOPI = PI*2


CHOOSE_FIRST  = -1
CHOOSE_SECOND =  1
CHOOSE_EITHER =  0





CKXWPHit=[40,60,80,100,120,150,200,250,300,360,440,500,560,680,780,900,1000,1200,1500,1800,2000,]
CKXWPDef=[0,-3, -5, -10, -15, -20, -25,-30, -35, -40, -45, -50, -55, -60, -65, -70,-75, -80,-85,-100]		

def SetWeaponDamage(entity="Player1"):
	per=Bladex.GetEntity(entity)
	inv=per.GetInventory()
	if per.Life>0:
		lvl=per.Level
		
		if lvl>19:
			NEWDAMAGE=2500
			NEWDEFENSE=-120
		else:
			NEWDAMAGE=CKXWPHit[lvl]
			NEWDEFENSE=CKXWPDef[lvl]
		
		for x in range(inv.nWeapons):
			weapon_name = inv.GetWeapon(x)
			wp=Bladex.GetEntity(weapon_name)
			print "Setting Damage for: ",weapon_name
			print wp.Kind
			Reference.EntitiesObjectData[weapon_name]= BCopy.deepcopy(Reference.DefaultObjectData[wp.Kind])
			object_data = Reference.EntitiesObjectData[weapon_name]
			
		
			Reference.EntitiesObjectData[weapon_name][1]= NEWDAMAGE
			Reference.EntitiesObjectData[weapon_name][2]= NEWDEFENSE
			print "CK wep0n damage set:",weapon_name


###########################################################################################################################################
###### Travel book


class GladiatorTravelBook(BUIx.B_RectWidget):
	def __init__(self,Parent,Menudesc,StackMenu,VertPos=0):
		import Language
		import Raster
		self.index = 1
		self.images = []
		self.vidw = 1
		self.vidh = 1
		char = Bladex.GetEntity("Player1")
		Raster.UnifyRenderBuffers()
		
		#self.AddImage("..\\..\\Data\\TB\\" + Language.Current + "\\Items\\plantillaGitems.jpg")
		#self.AddImage("..\\..\\Data\\TB\\" + Language.Current + "\\" + char.Kind + "\\plantillaweapons.jpg")
		#self.AddImage("..\\..\\Data\\TB\\" + Language.Current + "\\" + char.Kind + "\\plantillahabilities.jpg")
		
		
				
		self.AddImage("..\\..\\Maps\\ChaosKnightMap\\NUFiles\\NUChaosKnight_XStuff\\CKAbilities2.jpg")
		self.AddImage("..\\..\\Maps\\ChaosKnightMap\\NUFiles\\NUChaosKnight_XStuff\\CKAbilities1.jpg")
			
			
		BUIx.B_RectWidget.__init__(self,Parent,Menudesc["Name"],self.vidw,self.vidh)
		self.Selected=0
		self.Solid=0
		self.Border=0
		self.SetDrawFunc(self.Draw)
		self.SndCorreGema=Bladex.CreateSound("..\\..\\Sounds\\golpe-metal-mediano.wav","Chanje")
		self.SndCorreGema.Volume=0.3
		self.SndCorreGema.MinDistance=1000000.0
		self.SndCorreGema.MaxDistance=2000000



	def AddImage(self, file):
		import BBLib
		image = BBLib.B_BitMap24()
		image.ReadFromFile(file)
		self.images.append(image)


	def Draw(self,x,y,time):
		import Menu
		import Raster
		char = Bladex.GetEntity("Player1")
		x,y = Raster.GetSize()
		Raster.SetPosition((x - 640)/2, (y - 480)/2)
		if self.index < 0:
			self.index = len(self.images) - 1
		if self.index > len(self.images) - 1:
			self.index = 0
		Raster.DrawImage(640,480,"BGR","Normal",self.images[self.index].GetData())
		self.DefDraw(x,y,time)

	def FinalRelease(self):
		BUIx.B_RectWidget.FinalRelease(self)

	def AcceptsFocus(self):
		return 1

	def IncMenuItem(self):
		self.SndCorreGema.PlayStereo()
		self.index = self.index + 1

	def DecMenuItem(self):
		self.SndCorreGema.PlayStereo()
		self.index = self.index - 1

	def GetFocus(self):
	    return self

	def ActivateItem(self,activate):
		import Menu
		Menu.ActivateMenu()















def ExecTravelBook():
	
	import Menu
	import GameText
	import Scorer
	import acts
	GameText.AbortText()
	if not Menu.MENU_PREACTIVATED:
		try:
			Menu.TB_ACTIVATED=1
		except:
			pass
		Menu.MENU_PREACTIVATED = 1
		pepote = Menu.Desc1
		Menu.Desc1={"Name":"TopMenu","FrameKind":GladiatorTravelBook,"ListDescr":[{"Name":"Back","Kind":GladiatorTravelBook}]}
		Menu.ActivateMenu()
		Menu.Desc1 = pepote
		Scorer.HideTBS()
		for kn in acts.GetKeyList("Turn Left"):
			if kn!="Left":
				Bladex.AssocKey("Menu Dec","Keyboard",kn)
		for kn in acts.GetKeyList("Turn Right"):
			if kn!="Right":
				Bladex.AssocKey("Menu Inc","Keyboard",kn)


########################################## Initialise Custom Funcs ########################################################################

def RemapKeys():
	InitNewBindings()
	import acts
	import DefaultSelectionData
	Bladex.AddBoundFunc("Select Enemy",acts.DefArgWrapper ("Player1",CallHelp))
	Bladex.RemoveBoundFunc("Select Enemy",DefaultSelectionData.SelectEnemy)
	MySelectEnemyFunc=MySelectEnemy
	Bladex.AddBoundFunc("Select Enemy",MySelectEnemyFunc)
	
	Bladex.AddBoundFunc("LaunchTravel",ExecTravelBook)
	Bladex.RemoveBoundFunc("LaunchTravel",acts.ExecTravelBookNP)




def InitNewBindings():
	import BInput
	import acts
	InputManager=BInput.GetInputManager()
	InputManager.SetInputActionsSet("Default")  
	
	Bladex.AddInputAction("MyUseFunc", 0)
	Bladex.AddBoundFunc("MyUseFunc",acts.DefArgWrapper("Player1", MyUseFunc))
	Bladex.AssocKey("MyUseFunc","Keyboard","Enter")
	Bladex.AssocKey("MyUseFunc","Keyboard","E")
	
	Bladex.AddBoundFunc("Attack",acts.DefArgWrapper ("Player1", CheckAttack))
	
	Bladex.AddInputAction("FlameOn", 0)
	Bladex.AddBoundFunc("FlameOn", FlameOn)
	Bladex.AssocKey("FlameOn", "Keyboard", "Backspace", 1)
	
	Bladex.AddInputAction("FlameOff", 0)
	Bladex.AddBoundFunc("FlameOff", FlameOff)
	Bladex.AssocKey("FlameOff", "Keyboard", "Backspace", 0)
	
	
	CkxScorer.SetFuelLimits(0,10000)
	try:
		char=Bladex.GetEntity("Player1")
		Flvl=char.Data.FuelLevel
		CkxScorer.SetFuelBarValue(Flvl)
		
	except AttributeError:
		CkxScorer.SetFuelBarValue(10)
	
	
	Bladex.AddInputAction("ToggleBalls", 0)
	Bladex.AddBoundFunc("ToggleBalls", ToggleBalls)
	Bladex.AssocKey("ToggleBalls","Keyboard","0")
	
	Bladex.AddInputAction("Balls1", 0)
	Bladex.AddBoundFunc("Balls1", Balls1)
	Bladex.AssocKey("Balls1","Keyboard","1")
	
	Bladex.AddInputAction("Balls2", 0)
	Bladex.AddBoundFunc("Balls2", Balls2)
	Bladex.AssocKey("Balls2","Keyboard","2")
	
	Bladex.AddInputAction("Balls3", 0)
	Bladex.AddBoundFunc("Balls3", Balls3)
	Bladex.AssocKey("Balls3","Keyboard","3")
	
	Bladex.AddInputAction("Balls4", 0)
	Bladex.AddBoundFunc("Balls4", Balls4)
	Bladex.AssocKey("Balls4","Keyboard","4")
	
	Bladex.AddInputAction("Balls5", 0)
	Bladex.AddBoundFunc("Balls5", Balls5)
	Bladex.AssocKey("Balls5","Keyboard","5")
	
	Bladex.AddInputAction("ToggleBallsMulti", 0)
	Bladex.AddBoundFunc("ToggleBallsMulti", ToggleBallsMulti)
	Bladex.AssocKey("ToggleBallsMulti","Keyboard","9")
	
	Bladex.AddInputAction("SetRange", 0)
	Bladex.AddBoundFunc("SetRange", SetRange)
	Bladex.AssocKey("SetRange","Keyboard","8")
	
	
	
	
	
	
	
	

	
def CallHelp(EntityName):	
	char=Bladex.GetEntity("Player1")
	char.Data.CallHelp("Player1")
	
	
def ToggleBalls():
	char=Bladex.GetEntity("Player1")
	char.Data.BallsOff ("Player1")	
	

def Balls1():
	char=Bladex.GetEntity("Player1")
	char.Data.SetBalls1 ("Player1")
	
def Balls2():
	char=Bladex.GetEntity("Player1")
	char.Data.SetBalls2 ("Player1")
	
def Balls3():
	char=Bladex.GetEntity("Player1")
	char.Data.SetBalls3 ("Player1")
	
def Balls4():
	char=Bladex.GetEntity("Player1")
	char.Data.SetBalls4 ("Player1")
	
def Balls5():
	char=Bladex.GetEntity("Player1")
	char.Data.SetBalls5 ("Player1")
	
	
def ToggleBallsMulti():
	char=Bladex.GetEntity("Player1")
	char.Data.ToggleMultiBalls ("Player1")	
	
	
def SetRange():
	char=Bladex.GetEntity("Player1")
	char.Data.ToggleRange ("Player1")	
	
	
	
def IsHarmless(EntityName):               
	me=Bladex.GetEntity(EntityName)
	try:
		if me.Data.Combatant:
			return FALSE
		else:
			return TRUE
	except:
		return FALSE
	
	
	
stime3=-2

def IntermediateSelect(EntityName):
	MySelectEnemy()


def MySelectEnemy():
	print "select enemy"
	global stime3
	time=Bladex.GetTime()
	if(time-stime3>0.1):
		import Select
		pj=Bladex.GetEntity("Player1")
		if pj.InvRight=="" and pj.InvRightBack<>"" and Reference.GiveObjectFlag(pj.InvRightBack)<>Reference.OBJ_QUIVER:
			if pj.AnmEndedFunc==IntermediateSelect:
				pj.AnmEndedFunc= None
			Actions.StdToggleWeapons("Player1")
			pj.AnmEndedFunc=IntermediateSelect
			return
		if(pj.Data.enemy_locked):
			Select.SelectNextEnemy(pj)
		else:
			Select.GetVisibleEnemies(pj)
			if(pj.Data.selected_enemy):
				pj.Data.enemy_locked=1
		stime3=time
		if pj.Data.selected_enemy:
			ene=Bladex.GetEntity(pj.Data.selected_enemy[0])
			if ene and ene.Person:
				
				if CheckIfEnemy(ene.Name):
					pj.SetActiveEnemy(ene)
	
	
	
	
	
def GetMySelectedEnemy(entity):
	per=Bladex.GetEntity(entity)
	if per.Data.selected_enemy:
		ene=Bladex.GetEntity(per.Data.selected_enemy[0])
		if ene and ene.Person:
			return ene
		return None	
	return None	
	
	
	
	
def AmIRelaxing(entity):
	per=Bladex.GetEntity(entity)
	if per.AnimName[:3] == "rlx" or per.AnimName[:3] == "Rlx":
		return 1
	return 0
	
	
def CheckIfEnemy (EntityName):
	per=Bladex.GetEntity(EntityName)    # returns TRUE for Player Enemies
	if per:		
		if per.Life<=0:
			return FALSE
		if per.Name=="Player1":
			return FALSE
			
		try:
			en=per.Data.NameOfEnemy
			return TRUE
		except AttributeError:
			return FALSE
			
	
	
AttackChecked=0

def ResetAttackCheck():
	global AttackChecked
	if AttackChecked==1:
		AttackChecked=0


def AreEnemiesNear():
	char = Bladex.GetEntity("Player1")
	x,y,z=char.Position
	enlist=[]
	for i in Bladex.GetEntitiesAt(x,y,z,4000):	
		ent=Bladex.GetEntity(i)
		if ent and ent.Person:
			if ent.Life>0:
				if CheckIfEnemy(ent.Name): 
					enlist.append(ent.Name)
					break
	if len(enlist)==0:
		print "no bad guys near..............: "
		return 0
	#print "bad guys near ",enlist
	return 1


def CheckAttack(EntityName):
	char = Bladex.GetEntity("Player1")
	if not char.Data.BallsOn:
		return 0
	throw_pressed = Bladex.GetTimeActionHeld ("Throw")
	if throw_pressed:
		return 0
	
	if AreEnemiesNear():
		return 0
		
	if char.Data.LaunchBalls("Player1"):
		return 1
	return 0
	


def MyUseFunc(EntityName):
	me = Bladex.GetEntity(EntityName)
	MyStdUse(EntityName)
	
	
CKWeapons = ["EspadonX","Maza3","Martillo3","Martillo","Martillo2"]
	
def MyStdUse (EntityName):
	me = Bladex.GetEntity(EntityName)
	if me.Wuea==Reference.WUEA_ENDED:
		return FALSE

	if me.Wuea==Reference.WUEA_WAIT:
		return FALSE

	if me.AnimName=="Rlx" and me.AnmEndedFunc:
		me.AnmEndedFunc= None

	if me.AnmEndedFunc:
		return FALSE

	TryWithAnother = 1
	if (me.Name[0:6]=="Player") and (me.Data.InventoryActive):
		inv = me.GetInventory()
		object_name = inv.GetSelectedObject()
		if object_name:
			object = Bladex.GetEntity(object_name)
			if object and object.CanUse:
				me.Data.obj_used=object
				InitDataField.Initialise(object)
				object.Data.UsedBy = EntityName
				object.UseFunc(object_name, Actions.USE_FROM_INV)
				TryWithAnother = 0


	if TryWithAnother:
		if me.Data and me.Data.selected_entity:
			if Actions.IsValidForUsing (me.Data.selected_entity[0], EntityName):
				object_flag= Reference.GiveObjectFlag(me.Data.selected_entity[0])
				if object_flag!=Reference.OBJ_USEME and object_flag!=Reference.OBJ_ITEM:	# Automatics get picked up first
					object = Bladex.GetEntity(me.Data.selected_entity[0])
					me.Data.obj_used=object
					InitDataField.Initialise(object)
					object.Data.UsedBy = EntityName
					object.UseFunc(object.Name, Actions.USE_FROM_NEARBY)
					return
			
			if Actions.IsValidForTaking (me.Data.selected_entity[0]):
				object = Bladex.GetEntity(me.Data.selected_entity[0])
				flag=Reference.GiveObjectFlag(object.Name)
				
				if object.Weapon and flag == Reference.OBJ_WEAPON:      # and not flag == Reference.OBJ_SHIELD and not flag == Reference.OBJ_BOW and not flag == Reference.OBJ_ARROW and not flag == Reference.OBJ_STANDARD:
					if  not object.Kind in CKWeapons or object.Kind[:6]=="Carcaj":
						Actions.ReportMsg ("This Puny Weapon Is No Use To Me")
						return
			
				me.Data.toggle4t_clearback= FALSE
				me.Data.stuff_onback_b4= Actions.SthOnBack(EntityName)
				if Actions.TryToTake(EntityName, me.Data.selected_entity[0]):
					return
			else:
				Actions.ReportMsg ("The selected object cannot be taken")
		else:
			Actions.ReportMsg ("Nothing selected")

	
#################################################################################################################################################################################################


ComboNames = {
              "ChaosKnight_X"   : {},
              "Default"    : {},
             }
             
             

ComboNames["ChaosKnight_X"]["GI_1H"] = "LIGHTSWIPE"
ComboNames["ChaosKnight_X"]["GM1_1H"] = "GM1"
ComboNames["ChaosKnight_X"]["GM2_1H"] = "GM2"
ComboNames["ChaosKnight_X"]["GM3_1H"] = "GM3"
ComboNames["ChaosKnight_X"]["GM4_1H"] = "GM4"
ComboNames["ChaosKnight_X"]["GM5_1H"] = "GM5"




def GetComboName(EntityName,ComboId):
	kindName = Bladex.GetEntity(EntityName).Kind
	try:
		return ComboNames[kindName][ComboId]
	except:
		try:
			return ComboNames["Default"][ComboId]
		except:
			return None
	
	

	
	

new_combo_sound = Bladex.CreateSound('..\\..\\Sounds\\sesgado-lava2.wav', 'NewComboSound')
new_combo_sound.Volume=1.0
new_combo_sound.MinDistance=5000
new_combo_sound.MaxDistance=20000




Bladex.AddParticleGType("CKFlame","FireParticle",Reference.B_PARTICLE_GTYPE_ADD,21)

for i in range(21):
	if i>=14:
		aux=1.0/3.0+2*(21.0-i)/21.0 
		caux=(21.0-i)/21.0
		saux=3.0*(21.0-i)/21.0 
	elif i>7 and i<14:
		aux=1.0
		caux=1.0/3.0
		saux=1.0
	else:
		aux=1.0-((7.0-i)/7.0) 
		caux=1.0/3.0
		saux=1.0-2*((7.0-i)/7.0) 
	r=155.0*3.0*caux
	g=155.0*3.0*caux
	b=min(255*(1.0-2.0*caux), 255.0)
	a=100.0*aux
	size=300.0+200.0*saux
	Bladex.SetParticleGVal("CKFlame",i,r,g,b,a,size)



Bladex.AddParticleGType("GreenFastEnergyConc","GenericParticle2",Reference.B_PARTICLE_GTYPE_ADD,30)

for i in range(30):
	if i>5:
		traux=(30.0-i)/25.0 
	else:
		traux=i/5.0 
	r=100
	g=255
	b=130
	a=255.0*traux
	size=10.0+150.0*(1-i/30.0)**2.0
	Bladex.SetParticleGVal("GreenFastEnergyConc",i,r,g,b,a,size)
		
		
Bladex.AddParticleGType("GreenMagicMissile","GenericParticle2",Reference.B_PARTICLE_GTYPE_ADD,30)

for i in range(30):
	if i>25:
		traux=(30.0-i)/5.0 
	else:
		traux=i/25.0 
	r=100
	g=255
	b=130
	a=255.0*traux
	size=340.0*(1-(1-i/30.0)**0.5)
	Bladex.SetParticleGVal("GreenMagicMissile",i,r,g,b,a,size)
	
	


Bladex.AddParticleGType("WhiteFastEnergyConc","GenericParticle2",Reference.B_PARTICLE_GTYPE_ADD,30)

for i in range(30):
	if i>5:
		traux=(30.0-i)/25.0 
	else:
		traux=i/5.0 
	r=200
	g=200
	b=255
	a=255.0*traux
	size=10.0+150.0*(1-i/30.0)**2.0
	Bladex.SetParticleGVal("WhiteFastEnergyConc",i,r,g,b,a,size)
		
		
Bladex.AddParticleGType("WhiteMagicMissile","GenericParticle2",Reference.B_PARTICLE_GTYPE_ADD,30)

for i in range(30):
	if i>25:
		traux=(30.0-i)/5.0 
	else:
		traux=i/25.0 
	r=200
	g=200
	b=255
	a=255.0*traux
	size=340.0*(1-(1-i/30.0)**0.5)
	Bladex.SetParticleGVal("WhiteMagicMissile",i,r,g,b,a,size)

		
		
		
		
		
Bladex.AddParticleGType("YellowPaleEnergyConc","GenericParticle2",Reference.B_PARTICLE_GTYPE_ADD,30)

for i in range(30):
	if i>5:
		traux=(30.0-i)/25.0 
	else:
		traux=i/5.0 
	r=100
	g=100
	b=20
	a=255.0*traux
	size=10.0+150.0*(1-i/30.0)**2.0
	Bladex.SetParticleGVal("YellowPaleFastEnergyConc",i,r,g,b,a,size)
		
		
Bladex.AddParticleGType("YellowPaleMagicMissile","GenericParticle2",Reference.B_PARTICLE_GTYPE_ADD,30)

for i in range(30):
	if i>25:
		traux=(30.0-i)/5.0 
	else:
		traux=i/25.0 
	r=100
	g=100
	b=20
	a=255.0*traux
	size=340.0*(1-(1-i/30.0)**0.5)
	Bladex.SetParticleGVal("YellowPaleMagicMissile",i,r,g,b,a,size)
		
		
		
		

def FlameOn():
	char=Bladex.GetEntity("Player1")
	char.Data.StartSpit("Player1")
	
	
def FlameOff():
	char=Bladex.GetEntity("Player1")
	char.Data.StopSpit("Player1")
	
	
#################################################################################################################################################################################################
############## Custom Fatigue Func


def CKCalculateFatigue(EntityName, AnimName):
	me= Bladex.GetEntity(EntityName)	
	if me:
		
	
		me.LaunchAnimation(AnimName)
		return 1
		
		
	return 0
			
			

	
	

#################################################################################################################################################################################################

class PlayerChaosKnight (Basic_Funcs.PlayerPerson):

	
	RightWeapon=""
	LeftWeapon=""
	rightweaponsound=""
	leftweaponsound=""
	chkdisapsound=""
	chklaughsound=""
	missilesound1=None
	missilesound2=None
	missileconcsound=None
	AGE_Number=0
	Flame=""
	FlameOn=0
	FlameSound=None
	FuelLevel=6000
	FuelLevelMax=10000
	AttackNum=1
	DoingBalls=0
	BallAttNum=1
	BallsOn=0
	MultiBalls=0
	pstype=    "FastEnergyConc" # orig ps
	psmissile= "FastEnergyConc" 
	psmissile1="BlueMagicMissile" 
	psmissile2="BlueMagicMissile"
	ImpLuzColour=(200, 200, 255)
	ScatterPos=(0,0,0)
	LongRange=0
	AllyList=[]
	Helpcalled=0
	
	def __init__(self, me):
		Basic_Funcs.PlayerPerson.__init__(self, me)
		
		self.DamageFactorNone  = 0.15
		self.DamageFactorLight = 0.25
		self.DamageFactorHeavy = 0.35
		
		self.missilesound1=Bladex.CreateSound("..\\..\\Sounds\\M-IMPACTO-FUEGO.wav", "MissileSound1")
		self.missilesound1.Volume=0.6
		self.missilesound1.MinDistance=10000
		self.missilesound1.MaxDistance=20000
		
		self.missilesound2=Bladex.CreateSound("..\\..\\Sounds\\M-IMPACTO-FUEGO2.wav", "MissileSound2")
		self.missilesound2.Volume=0.6
		self.missilesound2.MinDistance=10000
		self.missilesound2.MaxDistance=20000
		
		self.missileconcsound=Bladex.CreateSound("..\\..\\Sounds\\aparicion-espada.wav", "MissileConcSound")
		self.missileconcsound.Volume=0.6
		self.missileconcsound.MinDistance=10000
		self.missileconcsound.MaxDistance=20000
		
		self.FlameSound=Bladex.CreateEntity (me.Name+"FlameLoopSound", "Entity Sound", 0, 0, 0)
		self.FlameSound.SetSound("..\\..\\Sounds\\fuego-altar-loop.wav")
		self.FlameSound.MinDistance=5000
		self.FlameSound.MaxDistance=30000
		me.Link(self.FlameSound)
		
		self.FuelLevelMax=10000
		self.FuelLevel=6000
		self.AGE_Number=0
		self.Flame=""
		self.FlameOn=0
		self.AttackNum=1
		self.DoingBalls=0
		self.BallAttNum=1
		self.BallsOn=0
		self.MultiBalls=0
		
		self.pstype="FastEnergyConc" # orig ps
		self.psmissile="FastEnergyConc" 
		self.psmissile1="BlueMagicMissile" 
		self.psmissile2="BlueMagicMissile"
		self.ImpLuzColour=(200, 200, 255)
		self.ScatterPos=(0,0,0)
		self.LongRange=0
		self.AllyList=[]
		self.Helpcalled=0
		
		
		me.AddAnmEventFunc("Ckxmagicstart", self.PrepareShoot)
		me.AddAnmEventFunc("Ckxmagicfire", self.Shoot)
		
		
		
		
		me.AttackFunc= CKCalculateFatigue
		
		
		
		
		
		
	
		
		
		
		
		
	def ResetSounds(self, EntityName):
		me=Bladex.GetEntity(EntityName)
		AniSoundCkx.AsignarSonidosCkx(EntityName)
		
		
	def AddAlly(self, AllyName):
		self.AllyList.append(AllyName)
		print AllyName+" signing on for duty"
		
		
	def RemoveAlly(self, AllyName):
		if AllyName in self.AllyList:
			self.AllyList.remove(AllyName)
			print AllyName+" signing off"
		
		
		
	def ResetHelpcalled(self):
		self.Helpcalled=0
		
		
	def CallHelp(self,EntityName):
		if self.Helpcalled==1:
			return
		self.Helpcalled=1
		me = Bladex.GetEntity(EntityName)
		Bladex.AddScheduledFunc(Bladex.GetTime()+ 0.3,self.CallHelp2,(EntityName,))
		Bladex.AddScheduledFunc(Bladex.GetTime()+ 3.0, self.ResetHelpcalled,())
		
		
	def CallHelp2(self,EntityName):
		me = Bladex.GetEntity(EntityName)
		print "help"
		if len(self.AllyList)==0:
			print "no buddies left"
			return
		
		for id in self.AllyList:
			buddy=Bladex.GetEntity(id)
			if buddy.Life>0 and AmIRelaxing(buddy.Name):
				try:
					if buddy.Data.Asleep:
						buddy.Data.WakeMeUp(buddy.Name)
				except AttributeError:
					print buddy.Name+": Doesn't know what sleep is"
				if buddy.Kind=="Halforc_A":
					Actions.TurnToFaceEntity(buddy.Name,me.Name)
					buddy.SetOnFloor() 
		   		else:
		   			
					buddy.SetOnFloor() 
					myname=buddy.Name
					dist=B3DLib.GetXZDistance('Player1', buddy.Name)
					if buddy.Data.OnGuard:
						if not self.CheckForNearbyEnemy(buddy.Name, EntityName):
							if not buddy.InCombat:
								buddy.Data.GoBackToPost(buddy.Name)
						
					else:
						if buddy.GetActionMode()==PA4Ally_Def.ROUTE_BAY:
							return
						if dist>12000 and dist <40000 and not buddy.CanISee(me) and not buddy.InCombat:
							if me.ActiveEnemy:
								buddy.GoToJogging=1
							else:
								buddy.GoToJogging=0
							x,y,z=me.Rel2AbsPoint(0,-1000,0)# 1 metres in front
							if buddy.AstarState<>PA4Ally_Def.ASTAR_SOLVED:
								buddy.GoTo(x,y,z)
		   						
							else:
								Actions.TurnToFaceEntity(buddy.Name,me.Name)
		   						
		   			
		   				else:
		   					if not self.CheckForNearbyEnemy(buddy.Name, EntityName):
		   						if me.ActiveEnemy:
		   							ene=GetMySelectedEnemy(EntityName)
									if ene and ene.Person:
		   								Actions.TurnToFaceEntity(buddy.Name,ene.Name)
		   								if not ene.CanISee(me) and not ene.InCombat and ene.Life>0:
		   									Actions.QuickTurnToFaceEntity(ene.Name,EntityName)
		   							
		   						else:
		   							Actions.TurnToFaceEntity(buddy.Name,me.Name)
		   											
						

	def CheckForNearbyEnemy(self,AllyName, EntityName):
		buddy= Bladex.GetEntity(AllyName)
		me = Bladex.GetEntity(EntityName)
		pjp=buddy.Position	
		enes=Bladex.GetEntitiesAt(pjp[0],pjp[1],pjp[2],20000)
		for i in enes:
			possene= Bladex.GetEntity(i)
			if possene.Person:			
				if possene.Life>0 and possene.Name!=buddy.Name and possene.Name!="Player1" and CheckIfEnemy(possene.Name) and me.CanISee(possene):
					Actions.TurnToFaceEntity(buddy.Name, possene.Name)
					if not buddy.CanISee(me):
						buddy.Data.StdSeeTheEnemy(buddy.Name)
					
					return 1	
		return 0

		
		
	def SetCKWeaponDamage(self):
		SetWeaponDamage()
		
		
	def NewNewCombo(self,EntityName,ComboName):
		import GameText
		import MenuText
		me = Bladex.GetEntity(EntityName)
		if EntityName != "Player1":
			return
		ComboTXT = GetComboName(EntityName,ComboName)
		if ComboTXT:
			GameText.WriteTextAux(MenuText.GetMenuText("New Attack")+": "+ ComboTXT,2.0,150,180,180,[],None,1)
			new_combo_sound.Stop()
			new_combo_sound.PlayStereo()

		
		
		
	def OnKilledEnemy(self,KilledEntityName):
		
		KilledEntity=Bladex.GetEntity(KilledEntityName)
		if KilledEntity is None:
			print "OnKilledEnemy(): Error: None Entity"
			return
		me=Bladex.GetEntity(self.Name)
		
		me.PartialLevel=me.PartialLevel+CharStats.GetCharExperienceReward(KilledEntity.CharType,KilledEntity.Level)

		LevelLimit=CharStats.GetCharExperienceCost(me.CharType,me.Level)

		if self.Name=="Player1":  
			import Scorer
			
			if me.PartialLevel>=LevelLimit:
				while me.PartialLevel>=LevelLimit:
					me.PartialLevel=me.PartialLevel-LevelLimit
					me.Level=me.Level+1
					LevelLimit=CharStats.GetCharExperienceCost(me.CharType,me.Level)
				Scorer.LevelUp()
				Scorer.SetLevelLimits(0,CharStats.GetCharExperienceCost(me.CharType,me.Level))
				maxlevel=CharStats.GetMaxLevel()
				maxsize=50+(140/maxlevel)*me.Level # 50->190
				maxPPS=120+(600/maxlevel)*me.Level # 120->720
				maxint=0.5+(4.5/maxlevel)*me.Level # 0.5->5.0
				AuraParams=(5, 0, 1, 0, 0, 1)
				AuraGradient=(2, 0.4, 0.6, 1.0, 0.5, 0.0, 0.1, 0.2, 1.0, 0.0, 0.8)
				AuraVar1Args=(5, maxsize, 0, 1, 0.5)
				AuraVar2Args=(maxsize, 5, 1, 0, 1.0)
				PSParams=(self.LevelUpParticleData, "LevelUpParticle", 30, 50, 150, 255, maxPPS, -600, 0.0, 2, 2, 0.4, 30, 0.5)
				GenFX.LevelUpFX("Player1", 1, AuraParams, AuraGradient, AuraVar1Args, AuraVar2Args, PSParams, maxint, "Timer15", 15, "..\\..\\Sounds\\aparicion-escudo.wav")
				
				# Restore state of the player.
				if me.Life >0: # If an enemy death by poison or trowed weapons and.. You are death!
					me.ResetWounds()
					me.Life = CharStats.GetCharMaxLife(me.Kind, me.Level)
				
				Scorer.SlideTBS(0)
				Scorer.LevelUpFlash()
				self.SetCKWeaponDamage()
			if netgame.GetNetState() == 0:
				Scorer.SetLevelBarValue(me.PartialLevel)
		
		
		
	################ Balls Stuff #########################################################################################################################################
	
	
	
	
	
	def LaunchBalls (self, EntityName):
		if self.DoingBalls==1:
			return
		self.LaunchBallAttack(EntityName)
		return 1
	
	
	def LaunchBallAttack (self, EntityName):
		me = Bladex.GetEntity(EntityName)
		if me.Life<0:
			return
			
		 
			
		me.LaunchAnmType("g_magic")
		print "Launch Ball Anim"
	
	
	
	def BallsOff(self, EntityName):
		self.BallsOn=0
		print "BallsOff"
		
		
	def ToggleMultiBalls(self, EntityName):
		if not self.MultiBalls:
			print "MultiBalls On"
			self.MultiBalls=1
		else:
			self.MultiBalls=0
			print "MultiBalls Off"
			
			
			
	def ToggleRange(self, EntityName):
		if not self.LongRange:
			print "LongRange On"
			self.LongRange=1
		else:
			self.LongRange=0
			print "LongRange Off"
		
			
	def SetBalls1(self,EntityName):	
		self.pstype    ="FastEnergyConc"             # orig ps
		self.psmissile ="FastEnergyConc" 
		self.psmissile1="BlueMagicMissile" 
		self.psmissile2="BlueMagicMissile"
		self.ImpLuzColour=(200, 200, 255)
		self.BallsOn=1
		self.AttackNum=1
		print "SetBalls1"
			
			
	def SetBalls2(self,EntityName):	
		self.pstype    ="GreenFastEnergyConc"             # venom ps
		self.psmissile ="GreenFastEnergyConc" 
		self.psmissile1="GreenMagicMissile" 
		self.psmissile2="GreenMagicMissile"
		self.ImpLuzColour=(100, 255, 100)
		self.BallsOn=1
		self.AttackNum=2
		print "SetBalls2"
		
		
	def SetBalls3(self,EntityName):	
		self.pstype    ="DeepOrangeEnergyConc"             # fire
		self.psmissile ="DeepOrangeEnergyConc" 
		self.psmissile1="DeepOrangeMagicMissile" 
		self.psmissile2="DeepOrangeMagicMissile"
		self.ImpLuzColour=(255, 150, 50)
		self.BallsOn=1
		self.AttackNum=3
		print "SetBalls3"
		
		
	def SetBalls4(self,EntityName):	
		self.pstype    ="WhiteFastEnergyConc"             # ice
		self.psmissile ="WhiteFastEnergyConc" 
		self.psmissile1="WhiteMagicMissile" 
		self.psmissile2="WhiteMagicMissile"
		self.ImpLuzColour=(200, 200, 250)
		self.BallsOn=1
		self.AttackNum=4
		print "SetBalls4"
			
	
	
	def SetBalls5(self,EntityName):	
		self.pstype    ="YellowPaleEnergyConc"             # light
		self.psmissile ="YellowPaleEnergyConc" 
		self.psmissile1="YellowPaleMagicMissile" 
		self.psmissile2="YellowPaleMagicMissile"
		self.ImpLuzColour=(180, 170, 100)
		self.BallsOn=1
		self.AttackNum=5
		print "SetBalls5"
			
	
	
	
	
	
	
	
	
	
	def FinishBalls(self, EntityName):
		self.DoingBalls=0	
	

	def ChooseNearest (self,entity1name, entity2name):
		p1 = Bladex.GetEntity(entity1name)
		p2 = Bladex.GetEntity(entity2name)
		if not p1 and not p2:
			return CHOOSE_EITHER
		elif not p1:
			return CHOOSE_SECOND
		elif not p2:
			return CHOOSE_FIRST
		me=Bladex.GetEntity(self.Name)
		val = me.SQDistance2(p1) - me.SQDistance2(p2)
		if val < 0:
			return CHOOSE_FIRST
		elif val > 0:
			return CHOOSE_SECOND
		else:
			return CHOOSE_EITHER			



	
						
						
	
						
	
	def PrepareShoot(self, EntityName, EventName):
		print "prepare shoot"
		me=Bladex.GetEntity(EntityName)
		if me:
			#FinishShootTime= (0.70-me.AnmPos) * Bladex.GetAnimationDuration("Ckx_g_magic")
			#Bladex.AddScheduledFunc(Bladex.GetTime()+FinishShootTime, self.FinishShoot, (EntityName, "Chkmagicfinish"),EntityName+"FinishShoot")
			
			mcps=Bladex.CreateEntity("MissileConcPS", "Entity Particle System Dperson", 0.0, 0.0, 0.0)
			mcps.PersonName=EntityName
			mcps.PersonNodeName="R_Hand"
			mcps.FollowFactor=1.0
			mcps.ParticleType=self.pstype
			mcps.PPS=600
			mcps.YGravity=0.0
			mcps.Friction=0.0
			mcps.Velocity=0.0, 0.0, 0.0
			mcps.RandomVelocity=-8.0
			mcps.NormalVelocity=-8.0
			mcps.Time2Live=30
			mcps.DeathTime=Bladex.GetTime()+2.5
			x,y,z= me.GraspPos("R_Hand")
			self.missileconcsound.Play(x, y, z, 0)
		



	def ScatterBalls(self,EntityName, MissileName):
		missile=Bladex.GetEntity(MissileName)
		me=Bladex.GetEntity(self.Name)
		x,y,z = missile.Position
		targetlist=[]
		head_pos=me.Rel2AbsPoint(0.0,0.0,5000.0) 
		pj_dir=me.Rel2AbsVector(0.0,-1.0,0.0)
		for ename in Bladex.GetEnemiesVisibleFrom(head_pos,50000,pj_dir,0.0):
			ent=Bladex.GetEntity(ename)
			if ent.Person:
				dist=B3DLib.GetXZDistance('Player1', ent.Name)
				if ent.Life>0 and CheckIfEnemy(ent.Name) and dist>3000:
					targetlist.append(ename)
						
				try:
					if not ent.Data.Combatant:
						targetlist.remove(ename)
				except:
					pass
		if len(targetlist)==0:
			return
		ttot=len(targetlist)
		if ttot==1:
			scale=1.0
		elif ttot==2:
			scale= 0.5
		else:
			scale=0.3
		for i in (targetlist):
			target= Bladex.GetEntity(i)
			self.MakeHunterMissile(EntityName, target.Name,scale,2,ttot)
		
		


	def Shoot(self,EntityName,EventName):
		print "shoot"
		me = Bladex.GetEntity(EntityName)
		if me and me.Life>0:
			target=""
		
			if self.MultiBalls:
				self.MakeHunterMissile(EntityName, "",1.0,1)
				print "Launch multi balls"
			
			else:
				#if GetMySelectedEnemy(EntityName):
				#	target = GetMySelectedEnemy(EntityName)
				if me.ActiveEnemy:
					target= Bladex.GetEntity(me.ActiveEnemy)
				
				
					print "Targeting selected enemy "
				else:
					targetlist=[]
					head_pos=me.Rel2AbsPoint(0.0,0.0,2000.0) 
					pj_dir=me.Rel2AbsVector(0.0,-1.0,0.0)
					for ename in Bladex.GetEnemiesVisibleFrom(head_pos,50000,pj_dir,0.0):
						ent=Bladex.GetEntity(ename)
						if ent.Person:
							dist=B3DLib.GetXZDistance('Player1', ent.Name)
							if ent.Life>0 and CheckIfEnemy(ent.Name) and dist>3000:
								targetlist.append(ename)
							try:
								if not ent.Data.Combatant:
									targetlist.remove(ename)
							except:
								pass
					if len(targetlist)==0:
						print "No viable targets near"
						return 
					targetlist.sort(self.ChooseNearest)
					target = Bladex.GetEntity(targetlist[0])	
					self.MakeHunterMissile(EntityName, target.Name)
					print "Launch single ball"
		
				
					
		
	def MakeHunterMissile(self,EntityName, Target, scale=1.0, guide=0, numtargets=1):
		me = Bladex.GetEntity(EntityName)
		
		if not Target and not guide:
			return
		target=Bladex.GetEntity(Target)
		x,y,z= me.GraspPos("R_Hand")
		delay=0.6
		if target:
			target_pos=target.Position
		else:
			if self.LongRange:
				target_pos=me.Rel2AbsPoint(0,-5000,2800)
				delay=1.5
			else:
				target_pos=me.Rel2AbsPoint(0,-4000,1100)# 4 metres in front - 1.1 metres up
			
			
			
			
			
		angle= -B3DLib.GetYAngle(target_pos[0]-x,target_pos[1]-y,target_pos[2]-z)
		vx,vy,vz=me.Rel2AbsVector(0.0, -math.cos(angle)*6000, -math.sin(angle)*6000)
			
			
		msps=Bladex.CreateEntity("MissileShootPS", "Entity Particle System Dperson", 0.0, 0.0, 0.0)
		msps.PersonName=EntityName
		msps.PersonNodeName="R_Hand"
		msps.ParticleType=self.psmissile
		msps.PPS=1800
		msps.YGravity=0.0
		msps.Friction=0.1
		msps.Velocity=0.0, 0.0, 0.0
		msps.RandomVelocity=20.0
		msps.NormalVelocity=40.0
		msps.Time2Live=15
		msps.DeathTime=Bladex.GetTime()+0.2
		if guide !=2:
			self.missilesound1.Play(x, y, z, 0)
		
		missileesphere=Bladex.CreateEntity("MissileEsphere", "EsferaNegra", 0.0, 0.0, 0.0)
		missileesphere.Alpha=0.0
		AuxFuncs.FadeObject(missileesphere.Name, 0.0, 0.7, 1.0)
		missileesphere.Scale=scale
			
		missileps1=Bladex.CreateEntity("MissilePS1", "Entity Particle System D1", 0.0, 0.0, 0.0)
		missileps1.ParticleType=self.psmissile1
		missileps1.PPS=200
		missileps1.YGravity=0.0
		missileps1.Friction=0.08
		missileps1.Velocity=0.0, 0.0, 0.0
		missileps1.RandomVelocity=15.0
		missileps1.Time2Live=30
			
		missileps2=Bladex.CreateEntity("MissilePS2", "Entity Particle System D1", 0.0, 0.0, 0.0)
		missileps2.ParticleType=self.psmissile2
		missileps2.PPS=100
		missileps2.YGravity=0.0
		missileps2.Friction=0.04
		missileps2.Velocity=0.0, 0.0, 0.0
		missileps2.RandomVelocity=-5.0
		missileps2.Time2Live=25
		
		#### Ray colours????
		ray1=Bladex.CreateEntity("Ray1", "Entity ElectricBolt", 0.0, 240.0, 0.0)
		ray1.Target=0.0, -240.0, 0.0
		ray1.FixedTarget=0
		ray1.MaxAmplitude=300
		ray1.MinSectorLength=10000
		ray1.Damage=0
		ray1.Active=1
			
		ray2=Bladex.CreateEntity("Ray2", "Entity ElectricBolt", 240.0, 0.0, 0.0)
		ray2.Target=-240.0, 0.0, 0.0
		ray2.FixedTarget=0
		ray2.MaxAmplitude=300
		ray2.MinSectorLength=10000
		ray2.Damage=0
		ray2.Active=1
			
		ray3=Bladex.CreateEntity("Ray3", "Entity ElectricBolt", 0.0, 0.0, 240.0)
		ray3.Target=0.0, 0.0, -240.0
		ray3.FixedTarget=0
		ray3.MaxAmplitude=300
		ray3.MinSectorLength=10000
		ray3.Damage=0
		ray3.Active=1
			
		if guide==1:
			
			missile=ItemTypes.MakeHunterSeekerMissile("MM1", x,y,z,vx,vy,vz, "")
			Bladex.AddScheduledFunc(Bladex.GetTime()+delay , self.MissileOnHit, (missile.Name, "", 1,))
		elif guide==2:
			x,y,z=self.ScatterPos
			missile=ItemTypes.MakeHunterSeekerMissile("MM1", x,y,z,vx,vy,vz, target.Name)
			
		
		else:
			missile=ItemTypes.MakeHunterSeekerMissile("MM1", x,y,z,vx,vy,vz, target.Name)
			
			
		missile.Intensity=1.0
		missile.Color= self.ImpLuzColour
		missile.CastShadows=0
		missile.Visible=0
		missile.Flick=0
			
		missilesound=Bladex.CreateEntity("MissileSound", "Entity Sound", 0, 0, 0)
		missilesound.SetSound("..\\..\\Sounds\\M-CAMPO-MAG.wav")
		missilesound.MinDistance=10000
		missilesound.MaxDistance=20000
		
		missile.Link(missilesound)
		missile.Link(missileps1)
		missile.Link(missileps2)
		missile.Link(missileesphere)
		
		missileesphere.Link(ray1)
		missileesphere.Link(ray2)
		missileesphere.Link(ray3)
		missileps1.FollowFactor=1.0
		missilesound.PlaySound(-1)
		
		InitDataField.Initialise(missile)
		missile.Data.OldInflictHitFunc=missile.InflictHitFunc
		missile.InflictHitFunc=self.MissileImpact
		missile.OnHitFunc=self.MissileOnHit
		missile.Data.missilesound=missilesound
		missile.Data.Sphere=missileesphere
		missile.Data.MissileRay1=ray1
		missile.Data.MissileRay2=ray2
		missile.Data.MissileRay3=ray3
		print "Creating EntitiesObjectData for sphere in Shoot()"
		###### Damage factors set to player level ############
		
		Reference.EntitiesObjectData[missile.Name]= BCopy.deepcopy(Reference.DefaultObjectData['EsferaNegra'])
		lvl=me.Level+1
		damfact= lvl*50
		spdam=10
		findamfact=10
		if numtargets>1:
			damfact=int(damfact/numtargets)
			
			
		if self.AttackNum==1:
			findamfact=damfact
			Reference.EntitiesObjectData[missile.Name][1]=findamfact
		elif self.AttackNum==2:
			findamfact=damfact/2
			spdam=lvl*10
			Reference.EntitiesObjectData[missile.Name][1]=findamfact
			Reference.EntitiesObjectData[missile.Name].append(['Venom', +spdam])
		elif self.AttackNum==3:
			findamfact=damfact/2
			spdam=lvl*50
			Reference.EntitiesObjectData[missile.Name][1]=findamfact
			Reference.EntitiesObjectData[missile.Name].append(['Fire', +spdam])
		elif self.AttackNum==4:
			findamfact=damfact/2
			spdam=lvl*50
			Reference.EntitiesObjectData[missile.Name][1]=findamfact
			Reference.EntitiesObjectData[missile.Name].append(['Ice', +spdam])
		elif self.AttackNum==4:
			findamfact=damfact/2
			spdam=lvl*100
			Reference.EntitiesObjectData[missile.Name][1]=findamfact
			Reference.EntitiesObjectData[missile.Name].append(['Light', +spdam])
				
		else:
			Reference.EntitiesObjectData[missile.Name][1]=10
				
		
			
		
		



	def FinishShoot(self, EntityName, EventName):
		pass
		
		
		
		
	
	
	
	def MissileOnHit (self, MissileName, hit_entity, guide=0):
		missile=Bladex.GetEntity(MissileName)
		if hit_entity:
			#print MissileName+" hitting "+hit_entity
			pass
		else:
			missile.Data.missilesound.StopSound()
			x, y, z=missile.Position
			self.ScatterPos=x, y, z
			if guide != 1:
				self.missilesound2.Play(x, y, z, 0)
			impactps=Bladex.CreateEntity("ImpactPS", "Entity Particle System D1", x, y, z)
			impactps.ParticleType=self.psmissile1  
			impactps.PPS=2000
			impactps.YGravity=1400.0
			impactps.Friction=0.06
			
			impactps.RandomVelocity=40.0
			impactps.Time2Live=20
			impactps.DeathTime=Bladex.GetTime()+0.25
			luzimp=Bladex.CreateEntity("LuzImpacto", "Entity Spot", x, y, z)
			luzimp.Color=self.ImpLuzColour                                                            
			luzimp.Intensity=1.0
			luzimp.Precission=0.001
			luzimp.CastShadows=0
			luzimp.Flick=0
			luzimp.Visible=0
			
			missileesphere=missile.Data.Sphere			
			if missileesphere:
				missile.Unlink(missileesphere)
				AuxFuncs.FadeObject(missileesphere.Name, missileesphere.Alpha, 0.0, 0.5, 1)
			
			ray1=missile.Data.MissileRay1
			if ray1:
				missileesphere.Unlink(ray1)
				ray1.MaxAmplitude=800
				Bladex.AddScheduledFunc(Bladex.GetTime()+0.1, ray1.SubscribeToList, ("Pin",))
			
			ray2=missile.Data.MissileRay2
			if ray2:
				missileesphere.Unlink(ray2)
				ray2.MaxAmplitude=800
				Bladex.AddScheduledFunc(Bladex.GetTime()+0.2, ray2.SubscribeToList, ("Pin",))
			
			ray3=missile.Data.MissileRay3
			if ray3:			
				ray3.MaxAmplitude=800
				missileesphere.Unlink(ray3)
				Bladex.AddScheduledFunc(Bladex.GetTime()+0.3, ray3.SubscribeToList, ("Pin",))
			
			AuxFuncs.SpotIntensityVariation(luzimp.Name, 1.0, 0.0, 1.0, 1)	
			if guide:
				self.ScatterBalls(self.Name,MissileName)		
						
			Bladex.AddScheduledFunc(Bladex.GetTime(), self.DeleteMissile, (missile.Name,),"DeleteMissile")
			



	def MissileImpact(self, EntityName, VictimName, ImpX, ImpY, ImpZ):
		missile=Bladex.GetEntity(EntityName)
		missile.Data.missilesound.StopSound()
		x, y, z=missile.Position
		
		self.missilesound2.Play(x, y, z, 0)
		impactps=Bladex.CreateEntity("ImpactPS", "Entity Particle System D1", x, y, z)
		impactps.ParticleType=self.psmissile1 
		impactps.PPS=2000
		impactps.YGravity=1400.0
		impactps.Friction=0.06
		impactps.Velocity=-ImpX/5.0, -ImpY/5.0, -ImpZ/5.0
		impactps.RandomVelocity=40.0
		impactps.Time2Live=20
		impactps.DeathTime=Bladex.GetTime()+0.25
		luzimp=Bladex.CreateEntity("LuzImpacto", "Entity Spot", x-ImpX/10.0, y-ImpY/10.0, z-ImpZ/10.0)
		luzimp.Color=self.ImpLuzColour
		luzimp.Intensity=1.0
		luzimp.Precission=0.001
		luzimp.CastShadows=0
		luzimp.Flick=0
		luzimp.Visible=0
		
		missileesphere=missile.Data.Sphere
		if missileesphere:
			missile.Unlink(missileesphere)
			AuxFuncs.FadeObject(missileesphere.Name, missileesphere.Alpha, 0.0, 0.5, 1)
		
		ray1=missile.Data.MissileRay1
		if ray1:
			missileesphere.Unlink(ray1)
			ray1.MaxAmplitude=800
			Bladex.AddScheduledFunc(Bladex.GetTime()+0.1, ray1.SubscribeToList, ("Pin",))
		
		ray2=missile.Data.MissileRay2
		if ray2:
			missileesphere.Unlink(ray2)
			ray2.MaxAmplitude=800
			Bladex.AddScheduledFunc(Bladex.GetTime()+0.2, ray2.SubscribeToList, ("Pin",))
		
		ray3=missile.Data.MissileRay3
		if ray3:			
			ray3.MaxAmplitude=800
			missileesphere.Unlink(ray3)
			Bladex.AddScheduledFunc(Bladex.GetTime()+0.3, ray3.SubscribeToList, ("Pin",))
								
		AuxFuncs.SpotIntensityVariation(luzimp.Name, 1.0, 0.0, 1.0, 1)
								
		missile.Data.OldInflictHitFunc(EntityName, VictimName, ImpX, ImpY, ImpZ)		
		Bladex.AddScheduledFunc(Bladex.GetTime(), self.DeleteMissile, (missile.Name,),"DeleteMissile")




	def DeleteMissile(self, missileName):
		missile=Bladex.GetEntity(missileName)
		if missile:
			if Reference.EntitiesObjectData.has_key(missile.Name):
				del Reference.EntitiesObjectData[missile.Name]
			missile.Damage=0
			missile.SubscribeToList("Pin")
			
			
			
			

		
	

	
	##########################################################################################################################################################################
	########## Flame Thower
	
	
	def AddFuel(self,FuelValue):
		me = Bladex.GetEntity(self.Name)
		newfuellevel=self.FuelLevel+FuelValue
		if newfuellevel<10000:
			CkxScorer.SetFuelBarValue(newfuellevel)
			self.FuelLevel=newfuellevel
			
			print "adding petrol"
		else:
			self.FuelLevel=10000
			CkxScorer.SetFuelBarValue(self.FuelLevel)
			print "can't hold any more petrol"
	
	
	def FirePrtlHit(self,prtl_name,hit_entity,x,y,z,vx,vy,vz,wcx,wcy,wcz,wdx,wdy,wdz):
		if hit_entity != "BWorld":
			victim=Bladex.GetEntity(hit_entity)
			me=Bladex.GetEntity(self.Name)
			firedam=10.0
			lvl=me.Level+1
			firedam=lvl*10
			if victim: 
				if victim.Person and not victim.Kind=="ChaosKnight_X":
					Reference.EntitiesObjectData[prtl_name]= [Reference.OBJ_WEAPON, 0, 0,  1.0,  Reference.THR_STRAIGHT, Reference.W_FLAG_1H, ["Fire", +firedam]]
					victim.DamageFunc(hit_entity, self.Name, prtl_name, "Fire", 1, -1, x, y, z, 0)
					if Reference.EntitiesObjectData.has_key(prtl_name):
						del Reference.EntitiesObjectData[prtl_name]
					
					# Generate a smoke effect
					smoke=Bladex.CreateEntity("FireballSmoke", "Entity Particle System D1", x, y, z)
					smoke.ParticleType="DarkSmoke"
					smoke.YGravity=-3000.0
					smoke.Friction=0.05
					smoke.PPS=8
					smoke.Velocity=0.0, -80.0, 0.0
					smoke.RandomVelocity=5.0
					smoke.DeathTime=Bladex.GetTime()+0.5
					node= 0
					victim.LinkToNode(smoke,node)
					
					
					if victim.Life>0:
						if victim.InCombat:
							Damage.DropInvalidObjectsOnImpact (victim.Name)
							victim.Wuea=Reference.WUEA_ENDED
							victim.InterruptCombat()
							victim.LaunchAnmType("hurt_f_big")
						else:
							Damage.DropInvalidObjectsOnImpact (victim.Name)
							victim.Wuea=Reference.WUEA_ENDED
							victim.InterruptCombat()
							victim.LaunchAnmType("hurt_f_big")
				elif victim.Weapon:
					pass
		# This particle should be removed, as it has been converted to smoke
		ptcl=Bladex.GetEntity(prtl_name)
		ptcl.RemoveFromWorld()
			
		
	def CreateTestParticle(self, fireball_name,end_time,period):
		fireball=Bladex.GetEntity(fireball_name)
		if(fireball):
			prtl=fireball.GetParticleEntity()
			prtl.HitFunc=self.FirePrtlHit
			prtl.ObjCTest= 1
			if(Bladex.GetTime()<end_time):
				Bladex.AddScheduledFunc(Bladex.GetTime()+period,self.CreateTestParticle,(fireball_name,end_time,period))
		else:
			pass
			
			
			
	def UseFuel(self):
		if self.Flame:
			if self.FuelLevel>500:
				self.FuelLevel=self.FuelLevel-300
				Bladex.AddScheduledFunc(Bladex.GetTime()+1.0,self.UseFuel,())
				CkxScorer.SetFuelBarValue(self.FuelLevel)
			else:
				self.StopSpit(self.Name)
			
	
	def StartSpit (self,EntityName):  
		if self.FlameOn:
			return
		me = Bladex.GetEntity(EntityName)
		x,y,z= me.GraspPos("Belly")
		self.AGE_Number=self.AGE_Number+1
		node= me.GetNodeIndex("Center")
		target_pos=me.Rel2AbsPoint(0,-20000,0)# 20 metres in front
		angle= -B3DLib.GetYAngle(target_pos[0]-x,target_pos[1]-y,target_pos[2]-z)
		duration= 20.0
		end_time=Bladex.GetTime()+duration
		period= 0.05
		new_name= EntityName+"_flamethrower_"+`self.AGE_Number`
			
		
		flvl=self.FuelLevel
		if flvl <500:
			print "Low Fuel"
			GameText.WriteTextAux(MenuText.GetMenuText("I am low on fuel"),2.0,255,255,255,[],None,1)
			self.Flame=Bladex.CreateEntity(new_name,"Entity Particle System D1",x,y,z)
			self.Flame.ParticleType="CKFlame" 
			self.Flame.PPS=64 #128
			self.Flame.Time2Live=21
			F= 5000.0             # Vector magnitude
			angle= 	math.fmod(angle+3.15, Actions.TWOPI)
			vx,vy,vz= me.GetDummyAxis("Belly", -math.cos(angle)*F, -math.sin(angle)*F, 0.0, TRUE)
			self.Flame.Velocity=vx,vy,vz
			self.Flame.RandomVelocity=10.0
			self.Flame.Friction=0.012
			self.Flame.YGravity=-4900.0
			#Bladex.AddScheduledFunc(Bladex.GetTime()+0.5,self.StopSpit2,(EntityName,))
			self.FlameOn=1
			return
		
		Bladex.AddScheduledFunc(Bladex.GetTime()+0.0,self.FlameSound.PlaySound,(-1,))
		self.Flame=Bladex.CreateEntity(new_name,"Entity Particle System D1",x,y,z)
		self.Flame.ParticleType="CKFlame" 
		self.Flame.PPS=512
		self.Flame.Time2Live=21
		F= 18000.0             # Vector magnitude
		angle= 	math.fmod(angle+3.15, Actions.TWOPI)
		vx,vy,vz= me.GetDummyAxis("Belly", -math.cos(angle)*F, -math.sin(angle)*F, 0.0, TRUE)
		self.Flame.Velocity=vx,vy,vz
		self.Flame.RandomVelocity=40.0
		self.Flame.Friction=0.012
		self.Flame.YGravity=-4900.0
		self.UseFuel()
		me.LinkToNode(self.Flame,node)
		self.CreateTestParticle(self.Flame.Name, end_time, period)
		self.FlameOn=1



	def StopSpit (self,EntityName):
		if self.FlameOn:
			print "Stopping Flame "
			self.FlameSound.StopSound()
			self.Flame.DeathTime=Bladex.GetTime()
			self.Flame= None
			Bladex.AddScheduledFunc(Bladex.GetTime()+1.1, self.DelayResetVar,())

	def StopSpit2 (self,EntityName):
		if self.FlameOn:
			print "Stopping Flame2 "
			self.Flame.DeathTime=Bladex.GetTime()
			self.Flame= None
			Bladex.AddScheduledFunc(Bladex.GetTime()+1.1, self.DelayResetVar,())
	
	def DelayResetVar(self):
		self.FlameOn = 0
	
	#########################################################################################################################################################################
		
	
	
	def __getstate__(self):
		NPCPerson_state=Enm_Def.NPCPerson.__getstate__(self)
		if(NPCPerson_state[0]!=1):
			return NPCPerson_state
		NPCPerson_state[1]["PlayerChaosKnight"]=(self.RightWeapon,
							 self.LeftWeapon,
							 self.rightweaponsound,
							 self.leftweaponsound,
							 self.chkdisapsound,
							 self.chklaughsound,
							 self.AGE_Number,
							 self.Flame,
							 self.FlameSound.Name,
							 self.FuelLevel,
							 self.AttackNum,
							 self.DoingBalls,
							 self.BallAttNum,
							 self.BallsOn,
							 self.MultiBalls,
							 self.pstype,
							 self.psmissile,
							 self.psmissile1,
							 self.psmissile2,
							 self.ImpLuzColour,
							 self.ScatterPos,
							 self.LongRange,
							 self.AllyList,
							 self.Helpcalled)
		return NPCPerson_state		

	def __setstate__(self,parm):
		
		Enm_Def.NPCPerson.__setstate__(self,parm)
		version=parm[0]
		if version==1:
			parms=parm[1]["PlayerChaosKnight"]
			self.RightWeapon=parms[0]
			self.LeftWeapon=parms[1]
			self.rightweaponsound=parms[2]
			self.leftweaponsound=parms[3]
			self.chkdisapsound=parms[4]
			self.chklaughsound=parms[5]
			self.AGE_Number=parms[6]
			self.Flame=parms[7]
			self.FlameSound= Bladex.GetEntity(parms[8])
			self.FuelLevel=parms[9]
			self.AttackNum=parms[10]
			self.DoingBalls=parms[11]
			self.BallAttNum=parms[12]
			self.BallsOn=parms[13]
			self.MultiBalls=parms[14]
			self.pstype=parms[15]
			self.psmissile=parms[16]
			self.psmissile1=parms[17]
			self.psmissile2=parms[18]
			self.ImpLuzColour=parms[19]
			self.ScatterPos=parms[20]
			self.LongRange=parms[21]
			self.AllyList=parms[22]
			self.Helpcalled=parms[23]
			
			
		me=Bladex.GetEntity(self.Name)
		me.AddAnmEventFunc("Chkmagicstart", self.PrepareShoot)
		me.AddAnmEventFunc("Chkmagicfire", self.Shoot)
		
		me.AddAnmEventFunc("ChkApR", self.ActivateWeapon)
		me.AddAnmEventFunc("ChkDisapR", self.DeactivateWeapon)
		me.AddAnmEventFunc("ChkApL", self.ActivateWeapon)
		me.AddAnmEventFunc("ChkDisapL", self.DeactivateWeapon)
			
		self.missilesound1=Bladex.CreateSound("..\\..\\Sounds\\M-IMPACTO-FUEGO.wav", "MissileSound1")
		self.missilesound1.Volume=0.6
		self.missilesound1.MinDistance=10000
		self.missilesound1.MaxDistance=20000
		self.missilesound2=Bladex.CreateSound("..\\..\\Sounds\\M-IMPACTO-FUEGO2.wav", "MissileSound2")
		self.missilesound2.Volume=0.6
		self.missilesound2.MinDistance=10000
		self.missilesound2.MaxDistance=20000
		self.missileconcsound=Bladex.CreateSound("..\\..\\Sounds\\aparicion-espada.wav", "MissileConcSound")
		self.missileconcsound.Volume=0.6
		self.missileconcsound.MinDistance=10000
		self.missileconcsound.MaxDistance=20000
		
		
		
################################################################################################################################################################################################


XFUELCAN_STATE_USED = 0
XFUELCAN_STATE_UNUSED = 1






class FuelCan:
	def __init__(self,pot):
		self.Hand = 0
		self.Estado = XFUELCAN_STATE_UNUSED
		self.Sonido=0
		self.OHand = ""		
		self.FadeDelta = (0.2 /60.0)
		self.Takeable=1


	def FadeOut(self,entity,timer):		
		poc = Bladex.GetEntity(entity)
		poc.Alpha = poc.Alpha - poc.Data.FadeDelta
		
		if poc.Alpha <= 0:
			poc.SubscribeToList("Pin")




def RestoreMyHand(entidad):	
	per = Bladex.GetEntity(entidad)
	per.AddAnmEventFunc("ChangeREvent",Actions.ToggleWEvent)
	per.LaunchAnmType("Chg_r")


def TakeFuelCanUsed():
	pass

def FuelCanNoSoltada(entidad):
	Reference.debugprint("FuelCanNoSoltada")
	per = Bladex.GetEntity(entidad)	
	object = Bladex.GetEntity(per.Data.obj_used)
	
	if object.Data.Estado == XFUELCAN_STATE_USED:
		SoltarFuelCan(entidad,0)
	else:
		object.ExcludeHitFor(per)
		inv = per.GetInventory()
		object.Data.Estado = FUELCAN_STATE_USED
		object.Data.Takeable= 0
		inv.LinkRightHand("None")		
		if object.Data.Hand == 1:
			per.AnmEndedFunc = RestoreMyHand
		inv.RemoveObject(per.Data.obj_used)
		impulse = per.Rel2AbsVector(-1000.0 * object.Mass, -1000.0 * object.Mass, 0.0)	
		object.Impulse(impulse[0],impulse[1],impulse[2])	



def SoltarFuelCan(Entidad,Evento = 0):
	per = Bladex.GetEntity(Entidad)
	per.AnmEndedFunc = ""
	if Evento:
		per.DelAnmEventFunc(Evento)
	object = Bladex.GetEntity(per.Data.obj_used)
	object.ExcludeHitFor(per)
	#object.TimerFunc = object.Data.FadeOut
	#object.SubscribeToList("Timer60")
	object.Data.Takeable=0
	inv = per.GetInventory()


	inv.LinkRightHand("None")		
		
	if object.Data.Hand == 1:			
		per.AnmEndedFunc = RestoreMyHand
	else:
		per.AnmEndedFunc= Actions.TakeStraightRecover
	inv.RemoveObject(per.Data.obj_used)
	impulse = per.Rel2AbsVector(-1000.0 * object.Mass, -1000.0 * object.Mass, 0.0)	
	object.Impulse(impulse[0],impulse[1],impulse[2])
	Reference.EntitiesSelectionData[object.Name]=(7.0,3000.0,MenuText.GetMenuText("Empty Fuel Can"))
	#darfuncs.SetHint(object,"Empty Fuel Can")
	OnInitTake.AddOnInitTakeEvent(object.Name,TakeFuelCanUsed)
	Pot = object.Data	
	Bladex.AddScheduledFunc(Bladex.GetTime()+1.0,Pot.Sonido2.Play,(per.Position[0],per.Position[1],per.Position[2],0,)) ###########



def BeberFuelCan(Entidad,Evento):
	per = Bladex.GetEntity(Entidad)
	per.DelAnmEventFunc(Evento)
	Poti = Bladex.GetEntity(per.Data.obj_used)
	Pot = Poti.Data	
	Pot.Estado = XFUELCAN_STATE_USED
	Pot.Takeable=0
	inc=3000
	if Poti.Kind=="FuelCan2":
		inc=2000
	elif Poti.Kind=="FuelCan1":
		inc=1000

	try:
		per.Data.AddFuel(inc)
	except:	
		pass	
	Pot.Sonido.Play(per.Position[0],per.Position[1],per.Position[2],0)

	
def UseFuelCan3(Entity):	
	per = Bladex.GetEntity(Entity)	
	UseFuelCan2(per.Data.obj_used)



def UseFuelCan2(NombreFuelCan):	
	FuelCan = Bladex.GetEntity(NombreFuelCan)
	per = Bladex.GetEntity(FuelCan.Data.UsedBy)
	per.AnmEndedFunc= Actions.TakeStraightRecover
	per.LaunchAnmType("gulp00")
	per.AddAnmEventFunc("PickBottle",PickPotion)
	per.AddAnmEventFunc("drinkingEvent",BeberFuelCan)
	per.AddAnmEventFunc("ThrowBottle",SoltarFuelCan)
	
	
	
	
	
def TryToUseFuelCan(me, object):
	if Reference.DefaultObjectData[object.Kind][0] == Reference.OBJ_ITEM:
		return 1
	return CanIUseTheFuelCan(me,object)


def CanIUseTheFuelCan(me,object):
	
	if me.InCombat:
		GameText.WriteTextAux(MenuText.GetMenuText("I Cannot Drink While Fighting"),2.0,255,255,255,[],None,1)
		return
	if me.Kind!= "ChaosKnight_X" and object.Kind[:7]=="FuelCan":
		GameText.WriteTextAux(MenuText.GetMenuText("I Cannot Drink This"),2.0,255,255,255,[],None,1)
		return 0
	try:	
		if me.Data.FuelLevel==me.Data.FuelLevelMax:
			GameText.WriteTextAux(MenuText.GetMenuText("I have had the full dosage"),2.0,255,255,255,[],None,1)
			return 0
	except:
		GameText.WriteTextAux(MenuText.GetMenuText("I Cannot Drink This"),2.0,255,255,255,[],None,1)
		return 0
		
	return 1
		
	

  
def UseFuelCan (NombreFuelCan,TipoUso):
	print"Using Fuel Can"
	FuelCan = Bladex.GetEntity(NombreFuelCan)
	per = Bladex.GetEntity(FuelCan.Data.UsedBy)
	
	if not CanIUseTheFuelCan(per,FuelCan):
		print "Fuel Can Not OK to drink. returning......"
		return
		
	if (TipoUso == Actions.USE_FROM_TAKE and FuelCan.Data.Estado == XFUELCAN_STATE_USED):
		GameText.WriteTextAux(MenuText.GetMenuText("This Can is Empty"),2.0,255,255,255,[],None,1)
		return
		
	
	if (TipoUso == Actions.USE_FROM_INV and FuelCan.Data.Estado == XFUELCAN_STATE_UNUSED):
		print "This should not happen"
		pass
		
	elif (TipoUso == Actions.USE_FROM_TAKE and FuelCan.Data.Estado == XFUELCAN_STATE_UNUSED):
		# Automatic use from take 		
		FuelCan.Data.Hand = 0
		per.Data.obj_used = NombreFuelCan	
		per.AnmEndedFunc=UseFuelCan3
		


def PickPotion(Entidad,Evento):
	per=Bladex.GetEntity(Entidad)
	per.DelAnmEventFunc(Evento)
	FuelCan = per.Data.obj_used		
	object = Bladex.GetEntity(per.Data.obj_used)

	inv = per.GetInventory()
	if object.Data.Type==3:
		inv.LinkLeftHand2(FuelCan)
	else:
		inv.LinkRightHand(FuelCan)


def CreateFuelCan(Nombre):
	Pot = Bladex.GetEntity(Nombre)
	Pot.Static = 0
	Pot.Data = FuelCan(Pot)
	Pot.UseFunc = UseFuelCan	
	Pot.Data.Sonido = Bladex.CreateSound('..\\..\\Sounds\\Drink.wav', 'Drinking')
	Pot.Data.Sonido.Volume=1
	Pot.Data.Sonido.MinDistance=10000
	Pot.Data.Sonido.MaxDistance=20000
	Pot.Data.Sonido2 = Bladex.CreateSound('..\\..\\Sounds\\golpe-maza-armfort.wav', 'Clang')
	Pot.Data.Sonido2.Volume=1
	Pot.Data.Sonido2.Pitch=1
	Pot.Data.Sonido2.MinDistance=10000
	Pot.Data.Sonido2.MaxDistance=20000
	return Pot.Data

#################################################################################################################################################################################################























#################################################################################################################################################################################################
################# Chaos Knight Damage Func




def CalculateCKDamage(VictimName, AttackerName, WeaponName, DamageType, DamageZone, DamageNode, x, y, z, Shielded):
	
	
	Damage.CheckRightHandToDrop(VictimName)

	
	charF = 0
	animF = 1.0
	weaponF = 0	
	randomF = 0
	throwF = 0
	shieldF = 0
	bowF = 0
	
	
	locationF = 1.0
	magicF = 1.0
	thrown_flag= 0
	
	#
	# The ATTACK....
	#
	
	######################################################################################	
	# We start with the weapon component, there is always a weapon... #
	######################################################################################	
	weaponData= None
	if WeaponName:	
		if Reference.EntitiesObjectData.has_key(WeaponName):
			if Reference.EntitiesObjectData[WeaponName][0] == Reference.OBJ_WEAPON or Reference.EntitiesObjectData[WeaponName][0] == Reference.OBJ_STANDARD or Reference.EntitiesObjectData[WeaponName][0] == Reference.OBJ_ARROW:
				weaponData = Reference.EntitiesObjectData[WeaponName]
				if len (weaponData) > 1:
					weaponF = weaponData[1]
		else:
			kind = Bladex.GetEntity(WeaponName).Kind
			if Reference.DefaultObjectData.has_key(kind):
				if Reference.DefaultObjectData[kind][0] == Reference.OBJ_WEAPON or Reference.DefaultObjectData[kind][0] == Reference.OBJ_STANDARD or Reference.DefaultObjectData[kind][0] == Reference.OBJ_ARROW:
					weaponData = Reference.DefaultObjectData[kind]
					if len (weaponData) > 1:
						weaponF = weaponData[1]
		
		if (not AttackerName) and weaponData and len (weaponData) > 2:
			
			
			weapon= Bladex.GetEntity(WeaponName)
			if weapon:
				try:
					if weapon.Data and weapon.Data.ThrownBy:
						AttackerName= weapon.Data.ThrownBy.Name
						thrown_flag= 1
						if len (weaponData) > 3:
							throwF = weaponData[3]
				except AttributeError:	# No ThrownBy set, could be an arrow thrown by a trap
					if weapon.Arrow:
						thrown_flag= 1
						if len (weaponData) > 3:
							throwF = weaponData[3]
				try:
					if weapon.Person:
						AttackerName=WeaponName
				except: pass
	

	

	######################################################################################
	# Animation component, character type, level and magical components #
	######################################################################################
	
	attacker= None
	if AttackerName:
		attacker=Bladex.GetEntity(AttackerName)
		
		if attacker and attacker.Person: 
			magicF = attacker.Data.FAttack
			if DamageType=="Impale" or DamageType=="Slash" or DamageType=="Crush":
				if netgame.GetNetState() == 0:
					charF=CharStats.GetCharDamageData(attacker.CharType,attacker.Level)
				else:
					charF=NetWeapon.GetDamage(attacker.CharType,attacker.Data.NetLevel)

			# Animation component #
			
			if not thrown_flag:
				if AnimationData.has_key(attacker.AnimFullName):
					animF = AnimationData[attacker.AnimFullName]
					if InflictDamageFXData.has_key(attacker.AnimFullName) and (netgame.GetNetState() != 1):
						aura_size_var, aura_exp_time, r, g, b, light_intensity, sound, volume, pitch = InflictDamageFXData[attacker.AnimFullName]
						GenFX.InflictDamageFX(VictimName, aura_size_var, aura_exp_time, r, g, b, light_intensity, sound, volume, pitch)
				elif AnimationData.has_key(attacker.AnimName):
					animF = AnimationData[attacker.AnimName]
					if InflictDamageFXData.has_key(attacker.AnimFullName) and (netgame.GetNetState() != 1):
						aura_size_var, aura_exp_time, r, g, b, light_intensity, sound, volume, pitch = InflictDamageFXData[attacker.AnimFullName]
						GenFX.InflictDamageFX(VictimName, aura_size_var, aura_exp_time, r, g, b, light_intensity, sound, volume, pitch)
		
	randomF= round(whrandom.uniform(-0.05, 0.05)*charF)
	charF= max (charF + randomF, 0)
	

	######################################################################################
	# Damage Zone Multipliers #
	######################################################################################
	
	
	if DamageZone==Reference.BODY_HEAD and DamageType=="Impale" and thrown_flag and weaponData[0]==Reference.OBJ_ARROW:
		locationF= 4.0
	
	
	######################################################################################
	# Shield component #
	######################################################################################
	
	
	if AttackerName:
		shieldName= attacker.GetInventory().GetActiveShield()
		if shieldName and not thrown_flag:
			if Reference.EntitiesObjectData.has_key(shieldName):
				if Reference.EntitiesObjectData[shieldName][0] ==  Reference.OBJ_SHIELD:
					shieldF = Reference.EntitiesObjectData[shieldName][1]
			else:
				kind = Bladex.GetEntity(shieldName).Kind	
				if Reference.DefaultObjectData.has_key(kind):
					if Reference.DefaultObjectData[kind][0] ==  Reference.OBJ_SHIELD:
						shieldF = Reference.DefaultObjectData[kind][1]
						
						
	
	
	######################################################################################
	# Bow component #
	######################################################################################
	
	if AttackerName and attacker and attacker.GetInventory().HoldingBow and thrown_flag:
		if Reference.EntitiesObjectData.has_key(attacker.InvLeft):
			if Reference.EntitiesObjectData[attacker.InvLeft][0] ==  Reference.OBJ_BOW:
				bowF = Reference.EntitiesObjectData[attacker.InvLeft][1]
		else:
			kind = Bladex.GetEntity(attacker.InvLeft).Kind
			if Reference.DefaultObjectData.has_key(kind):
				if Reference.DefaultObjectData[kind][0] ==  Reference.OBJ_BOW:
					bowF = Reference.DefaultObjectData[kind][1]
					
	######################################################################################
	
	if AttackerName and attacker and attacker.Person:
		lvl= attacker.Level+1
	else:
		lvl=0
		
	basic_damage = ((charF * magicF * locationF) + weaponF + throwF + bowF + shieldF) * animF
	basic_damage = max( basic_damage, 0 )
	
	
	
	#
	# The DEFENSE....
	#
	
	
	# target defence #
	
	me=Bladex.GetEntity(VictimName)
	charF = 0
	shieldF = 0	
	weaponF = 0
	magicF = me.Data.FDefense
	randomF = 0
	shield_breakable=0	
	victimsShieldData=None
	
	######################################################################################
	# Shield component OR block with 2H weapon #
	######################################################################################	
	
	blocking_with_weapon=0
	if Shielded:
		victimsShieldName = me.GetInventory().GetActiveShield()
		# Based on the characteristics of whatever you are carrying in the left hand
		if victimsShieldName:
			if Reference.EntitiesObjectData.has_key( victimsShieldName):
				if Reference.EntitiesObjectData[victimsShieldName][0] ==  Reference.OBJ_SHIELD:
					victimsShieldData= Reference.EntitiesObjectData[victimsShieldName]
					shieldF = victimsShieldData[2]
					shield_breakable= victimsShieldData[7]
					
			else:
				kind = Bladex.GetEntity(victimsShieldName).Kind
				if Reference.DefaultObjectData.has_key(kind):
					if Reference.DefaultObjectData[kind][0] ==  Reference.OBJ_SHIELD:
						victimsShieldData= Reference.DefaultObjectData[kind]
						shieldF = Reference.DefaultObjectData[kind][2]
						shield_breakable=Reference.DefaultObjectData[kind][7]
			
		else:
			# Blocking with a weapon
			victimsWeaponName = me.InvRight
			if not victimsWeaponName or victimsWeaponName=="" or victimsWeaponName=="None":
				print "Unexpected error in CalculateDamage"
				print "Blocking but nothing in hands?"
				return
			w_weapon=Bladex.GetEntity(victimsWeaponName)
			w_flag=Reference.GiveObjectFlag(victimsWeaponName)
			if w_flag<>Reference.OBJ_WEAPON:
				print "Error in CalculateDamage"
				print "Blocking with an unexpected type of weapon"
				return
			 
			if Reference.EntitiesObjectData.has_key( victimsWeaponName):
				victimsShieldData=Reference.EntitiesObjectData[victimsWeaponName]
			else:
				kind = Bladex.GetEntity(victimsWeaponName).Kind
				if Reference.DefaultObjectData.has_key(kind):
					victimsShieldData=Reference.DefaultObjectData[kind]

			if not victimsShieldData or len(victimsShieldData[5])<1 or victimsShieldData[5][0]==Reference.W_FLAG_1H:
				print "Error in CalculateDamage"
				print "Trying to wblock with a one handed weapon!"
			else:				
				shieldF = victimsShieldData[5][4]
				shield_breakable=victimsShieldData[5][5]
				blocking_with_weapon=1
	else:
		inv=me.GetInventory()
		if inv.GetMagicShield():
			# Patch, this damage should be shielded....
			shield= Bladex.GetEntity(inv.GetMagicShield())
			ximpulse= 1.0
			yimpulse= 0.0
			zimpulse= 0.0
			shield.HitShieldFunc (shield.Name,WeaponName,x,y,z,ximpulse,yimpulse,zimpulse,DamageType)
			return

	
	
	######################################################################################
	# Character Type component #
	######################################################################################

	if netgame.GetNetState() == 0:
		charF= CharStats.GetCharDefenseData(me.CharType,me.Level) + me.Data.armour_prot_factor
	else:
		charF=NetWeapon.GetDefense(me.CharType,me.Data.NetLevel)
	
	randomF= round(whrandom.uniform(-0.05, 0.05)*charF)
	charF=  max(charF+randomF, 0)
	
	
	
	
	######################################################################################
	# Weapon component #
	######################################################################################
	
	victimsWeaponData= None
	if me.GetInventory().HoldingBow:
		victimsWeaponName = me.InvLeft
	else:
		victimsWeaponName = me.InvRight
	if victimsWeaponName and blocking_with_weapon==0:	
		if Reference.EntitiesObjectData.has_key(victimsWeaponName):
			if Reference.EntitiesObjectData[victimsWeaponName][0] == Reference.OBJ_WEAPON or Reference.EntitiesObjectData[victimsWeaponName][0] == Reference.OBJ_STANDARD or Reference.EntitiesObjectData[victimsWeaponName][0] == Reference.OBJ_ARROW or Reference.EntitiesObjectData[victimsWeaponName][0] == Reference.OBJ_BOW:
				victimsWeaponData = Reference.EntitiesObjectData[victimsWeaponName]
				if len (victimsWeaponData) > 2:
					weaponF = victimsWeaponData[2]
		else:
			kind = Bladex.GetEntity(victimsWeaponName).Kind	
			if Reference.DefaultObjectData.has_key(kind):
				if Reference.DefaultObjectData[kind][0] == Reference.OBJ_WEAPON or Reference.DefaultObjectData[kind][0] == Reference.OBJ_STANDARD or Reference.DefaultObjectData[kind][0] == Reference.OBJ_ARROW  or Reference.DefaultObjectData[kind][0] == Reference.OBJ_BOW:
					victimsWeaponData = Reference.DefaultObjectData[kind]
					if len (victimsWeaponData) > 2:
						weaponF = victimsWeaponData[2]
						
						
	######################################################################################
	
	DEF= (charF * magicF) + shieldF + weaponF
	effective_damage = basic_damage - DEF
	effective_damage = max( effective_damage, 0 )


	

	if Shielded:
		damage_withstood= int (max (basic_damage - (DEF-shieldF), 0))
		if not blocking_with_weapon:
			shield= Bladex.GetEntity(me.GetInventory().GetActiveShield())
			try:
				if shield:
					if shield_breakable:
						# Lower the resistance of the shield
						if victimsShieldData:
							if not Reference.EntitiesObjectData.has_key(shield.Name):
								Reference.EntitiesObjectData[shield.Name]= BCopy.deepcopy(victimsShieldData)
								victimsShieldData= Reference.EntitiesObjectData[shield.Name]
							victimsShieldData[2]= victimsShieldData[2]-damage_withstood
							
							# Break the shield if 0 resistance
							if victimsShieldData[2] <= 0.0:
								victimsShieldData[2]=0.0
								if shield.Data.brkobjdata:
									BreakMyShield(me.Name)
									Shielded=0
							elif attacker and attacker.InDestructorAttack==1 and damage_withstood > shield_breakable:
								if shield.Data.brkobjdata:
									BreakMyShield(me.Name)
									Shielded=0
									
					if Shielded:
						pass
						#rules out cases where shield has broken
						#if (not thrown_flag) and attacker and attacker.Person and attacker.GotAnmType("sw_react"):
							#attacker.Wuea=Reference.WUEA_ENDED
							#attacker.LaunchAnmType("sw_react")
			except AttributeError: pass
			try:
				if shield and shield.Data and shield.Data.AbsorbFunc:
					shield.Data.AbsorbFunc (AttackerName, WeaponName, damage_withstood)
			except AttributeError: pass
		else:
			weapon= Bladex.GetEntity(me.GetInventory().GetActiveWeapon())
			try:
				if weapon:
					if weapon.Data.brkobjdata:
						# Lower the resistance of the shield
						if victimsShieldData:
							if not Reference.EntitiesObjectData.has_key(weapon.Name):
								Reference.EntitiesObjectData[weapon.Name]= BCopy.deepcopy(victimsShieldData)
								victimsShieldData= Reference.EntitiesObjectData[weapon.Name]
							victimsShieldData[5][4]= victimsShieldData[5][4]-damage_withstood
							
							# Break the shield if 0 resistance
							if victimsShieldData[5][4] <= 0.0:
								victimsShieldData[5][4]=0.0
								if weapon.Data.brkobjdata:
									BreakMySword(me.Name)
									Shielded=0
							elif attacker and attacker.InDestructorAttack==1 and damage_withstood > shield_breakable:
								if weapon.Data.brkobjdata:
									BreakMySword(me.Name)
									Shielded=0
									
					if Shielded:
						#rules out cases where shield has broken
						if (not thrown_flag) and attacker and attacker.Person and attacker.GotAnmType("sw_react"):
							attacker.Wuea=Reference.WUEA_ENDED
							attacker.LaunchAnmType("sw_react")
			except AttributeError: pass
			try:
				if weapon and weapon.Data and weapon.Data.AbsorbFunc:
					weapon.Data.AbsorbFunc (AttackerName, WeaponName, damage_withstood)
			except AttributeError: pass


	# personal magical resistance can reduce this damage
	damage_resistance= me.Data.GetResistance(DamageType)
	if damage_resistance != 0.0:
		
		effective_damage= effective_damage*(1.0-damage_resistance)
	
	# store the damage type for later processing
	if effective_damage>0:
		me.Data.LastDamageType= DamageType
	
	# special damage e.g. Fire, poison,
	special_damage= 0.0	
	if not (Shielded and effective_damage<=0):
		if weaponData and len (weaponData) > 6:
			for special in weaponData[6:]:
				special_resistance= me.Data.GetResistance(special[0])
				
				if SpecialDamageFuncs.has_key(special[0]):
					special_damage_func= SpecialDamageFuncs[special[0]]
					special_damage= special_damage + special_damage_func (special, special_resistance, effective_damage, VictimName, AttackerName, WeaponName, DamageType, DamageZone, DamageNode, x, y, z, Shielded)
					
				else:
					
					special_damage= special_damage + special[1]*(1.0-special_resistance)
		
		effective_damage= effective_damage + special_damage
	
	if(not Shielded) and (DamageType=="Impale" or DamageType=="Slash") and Bladex.GetBloodLevel()>0:
		me.Data.TakeBleedingImpact= effective_damage
	else:
		me.Data.TakeBleedingImpact= 0
	
	prevLife=me.Life
	
	if not me.Data.Invincibility:
		me.Life= me.Life - effective_damage
	
	if effective_damage>0:
		me.Data.Mutilate= me.Life <= 0 and DamageType=="Slash"
	else:
		me.Data.Mutilate= 0
		if not Shielded:
			effective_damage=1.0
			
	if thrown_flag==1:
		try:
			if me.Data.Respond2Thrown:
				me.Data.Respond2Thrown(me.Name,AttackerName)
		except AttributeError: pass

	me.Data.RespondToHit(me.Name, AttackerName, effective_damage, DamageType, DamageZone, Shielded)
	
	if PlayerHitFunc !="":
		PlayerHitFunc( VictimName, AttackerName, me.Life, prevLife)

	if me.Life <= 0.0:
		if (AttackerName):
			attacker=Bladex.GetEntity(AttackerName)
			if attacker and attacker.InDestructorAttack==1 and effective_damage>1:
				try:
					if victimsShieldName:
						victimsShield= Bladex.GetEntity(victimsShieldName)
						if victimsShield and victimsShield.Data.brkobjdata:
							BreakMyShield(me.Name)
				except:
					pass
				try:
					if victimsWeaponName:
						victimsWeapon= Bladex.GetEntity(victimsWeaponName)
						if victimsWeapon and victimsWeaponName.Data.brkobjdata:
							BreakMySword(me.Name)
				except:
					pass
			if (prevLife>0) and (netgame.GetNetState() == 0):
				AttackerEntity=Bladex.GetEntity(AttackerName)
				if AttackerEntity:
					AttackerEntity.Data.OnKilledEnemy(VictimName)

	# Sticking to player
	# Check type of weapon
	if thrown_flag and weapon.Arrow:
		weapon.MessageEvent(Reference.MESSAGE_STOP_WEAPON,0,0)
		weapon.MessageEvent(Reference.MESSAGE_STOP_TRAIL,0,0)
		weapon.Stop(x, y, z)
		# Check type of damage
		if me and (not me.Data.Mutilate) and DamageNode!=-1 and DamageZone!=Reference.BODY_HEAD and me.Life>0.0:
			me.LinkToNode(weapon, DamageNode)
			sticktime= (3.0)/weapon.Mass
			
			Bladex.AddScheduledFunc (Bladex.GetTime()+sticktime, StuckWeaponFall, (weapon.Name, VictimName), weapon.Name+"_StuckWeaponFall")
			if weapon.StickFunc:
				weapon.StickFunc (weapon.Name, me.Name)
		else:
			weapon.Impulse (0.0,1.0,0.0)
			
	if me.Data.Mutilate:
		print "Mutilation"
	if Bladex.GetMutilationLevel()==0 or me.Kind[:5]=="Golem":
		return 0
	else:
		return me.Data.Mutilate	
