import Bladex
import Enm_Def

def LoadIronWarriorAnimationSet(ct_name):                   

	print "Loading the IronWarrior animation sets..."    


######  RELAX
	
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Chk_rlx_1h.BMV","Rlx_1h_Iwr",1,"IronWarrior")      
	Bladex.AddAnmRStep("Rlx_1h_Iwr",0)                                           
	Bladex.AddAnmLStep("Rlx_1h_Iwr",0)                                           
	

	Bladex.LoadSampledAnimation("..\\..\\Anm\\Chk_rlx_f_s.BMV","Rlx_f_s_Iwr",1,"IronWarrior")      
	Bladex.AddAnmRStep("Rlx_f_s_Iwr",0)                                           
	Bladex.AddAnmLStep("Rlx_f_s_Iwr",0)                                           
	


	Bladex.LoadSampledAnimation("..\\..\\Anm\\Chk_rlx_f.BMV","Rlx_f_Iwr",1,"IronWarrior")      
	Bladex.AddAnmRStep("Rlx_f_Iwr",0)                                           
	Bladex.AddAnmLStep("Rlx_f_Iwr",0)                                           
	


	Bladex.LoadSampledAnimation("..\\..\\Anm\\Chk_appears.BMV","Iwr_appears",0,"IronWarrior")      
	Bladex.AddAnmRStep("Iwr_appears",0)                                           
	Bladex.AddAnmLStep("Iwr_appears",0)


###### MOVIMIENTOS

	Bladex.LoadSampledAnimation("..\\..\\Anm\\Chk_attack_b.BMV","Wbk_1h_Iwr",1,"IronWarrior")     
	Bladex.AddAnmRStep("Wbk_1h_Iwr",0)
	Bladex.AddAnmLStep("Wbk_1h_Iwr",0)
	Bladex.AddAnmRRelease("Wbk_1h_Iwr",0.302)
	Bladex.AddAnmRStep("Wbk_1h_Iwr",0.486)
	Bladex.AddAnmLRelease("Wbk_1h_Iwr",0.829)
	Bladex.AddAnmLStep("Wbk_1h_Iwr",1)
	Bladex.AddStopTests("Wbk_1h_Iwr")

	anm_name="Wlk_1h_Iwr"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Chk_wlk_1h.BMV","Wlk_1h_Iwr",1,"IronWarrior")      
	Bladex.AddAnmRStep(anm_name,0.000)
	Bladex.AddAnmRRelease(anm_name,0.538)
	Bladex.AddAnmRStep(anm_name,1.000)
	Bladex.AddAnmLStep(anm_name,0.000)
	Bladex.AddAnmLRelease(anm_name,0.085)
	Bladex.AddAnmLStep(anm_name,0.511)                                        
	Bladex.AddStopTests("Wlk_1h_Iwr")

###############ENCARADO	 


	anm_name="Attack_f_s_Iwr"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Chk_attack_f_s.BMV","Attack_f_s_Iwr",1,"IronWarrior")      
	Bladex.AddAnmRStep(anm_name,0.000)
	Bladex.AddAnmRRelease(anm_name,0.538)
	Bladex.AddAnmRStep(anm_name,1.000)
	Bladex.AddAnmLStep(anm_name,0.000)
	Bladex.AddAnmLRelease(anm_name,0.085)
	Bladex.AddAnmLStep(anm_name,0.511)                                  


	Bladex.LoadSampledAnimation("..\\..\\Anm\\Chk_attack_b.BMV","Attack_b_Iwr",1,"IronWarrior")      
	Bladex.AddAnmRStep("Attack_b_Iwr",0)                                           
	Bladex.AddAnmLStep("Attack_b_Iwr",0)                                           
	Bladex.AddAnmRRelease("Attack_b_Iwr",0.302)                                    
	Bladex.AddAnmRStep("Attack_b_Iwr",0.486)                                       
	Bladex.AddAnmLRelease("Attack_b_Iwr",0.829)                                          
	Bladex.AddAnmLStep("Attack_b_Iwr",1)                                      
	Bladex.AddStopTests("Attack_b_Iwr")
	 


	Bladex.LoadSampledAnimation("..\\..\\Anm\\Chk_attack_b_s.BMV","Attack_b_s_Iwr",1,"IronWarrior")      
	Bladex.AddAnmRStep("Attack_b_s_Iwr",0)                                           
	Bladex.AddAnmLStep("Attack_b_s_Iwr",0)                                           
	Bladex.AddAnmRRelease("Attack_b_s_Iwr",0.286)                                    
	Bladex.AddAnmRStep("Attack_b_s_Iwr",0.497)                                       
	Bladex.AddAnmLRelease("Attack_b_s_Iwr",0.792)                                           
	Bladex.AddAnmLStep("Attack_b_s_Iwr",1)                                      
	Bladex.AddStopTests("Attack_b_s_Iwr")





###### HERIDAS y MUERTE

	Bladex.LoadSampledAnimation("..\\..\\Anm\\Chk_hurt01.BMV","Iwr_hurt01",0,"IronWarrior")      
	Bladex.AddAnmRStep("Iwr_hurt01",0)                                           
	Bladex.AddAnmLStep("Iwr_hurt01",0)    
	Bladex.AddAnmLRelease("Iwr_hurt01",0.071)     
	Bladex.AddAnmLStep("Iwr_hurt01",0.195)                                       
	Bladex.AddAnmLRelease("Iwr_hurt01",0.813)                                     
	Bladex.AddAnmLStep("Iwr_hurt01",0.945)
	
	
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Chk_hurt_hip.BMV","Iwr_hurt_hip",0,"IronWarrior")      
	Bladex.AddAnmRStep("Iwr_hurt_hip",0)                                           
	Bladex.AddAnmLStep("Iwr_hurt_hip",0)    
	
	
	#Bladex.LoadSampledAnimation("..\\..\\Anm\\Chk_dth0.BMV","Iwr_dth0",0,"IronWarrior")      
	#Bladex.AddAnmRStep("Iwr_dth0",0)                                           
	#Bladex.AddAnmLStep("Iwr_dth0",0)    
	
	anm_name="Iwr_dth0"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Glm_dth0.BMV",anm_name,0,"IronWarrior")
	Bladex.AddAnmRStep(anm_name,0.000)
	Bladex.AddAnmRRelease(anm_name,0.117)
	Bladex.AddAnmRStep(anm_name,0.239)
	Bladex.AddAnmRRelease(anm_name,0.769)
	Bladex.AddAnmLStep(anm_name,0.000)
	Bladex.AddAnmLRelease(anm_name,0.253)
	Bladex.AddAnmLStep(anm_name,0.378)
	Bladex.AddAnmLRelease(anm_name,0.758)

	
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Chk_disappear.BMV","Iwr_disappear",0,"IronWarrior")     
	Bladex.AddAnmRStep("Iwr_disappear",0)                                           
	Bladex.AddAnmLStep("Iwr_disappear",0)    




###### ATAQUES


	Bladex.LoadSampledAnimation("..\\..\\Anm\\Chk_g_01.BMV","Iwr_g_01",0,"IronWarrior")     
	Bladex.AddAnmRStep("Iwr_g_01",0)                                           
	Bladex.AddAnmLStep("Iwr_g_01",0)


	Bladex.LoadSampledAnimation("..\\..\\Anm\\Chk_g_02.BMV","Iwr_g_02",0,"IronWarrior")      
	Bladex.AddAnmRStep("Iwr_g_02",0)                                           
	Bladex.AddAnmLStep("Iwr_g_02",0)

	
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Chk_g_07.BMV","Iwr_g_07",0,"IronWarrior")      
	Bladex.AddAnmRStep("Iwr_g_07",0)                                           
	Bladex.AddAnmLStep("Iwr_g_07",0)
	

	
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Chk_g_08.BMV","Iwr_g_08",0,"IronWarrior")     
	#Bladex.AddAnmRStep("Iwr_g_08",0)                                           
	Bladex.AddAnmLStep("Iwr_g_08",0)                                           
	#Bladex.AddAnmRRelease("Iwr_g_08",0.143)                                    
	#Bladex.AddAnmRStep("Iwr_g_08",0.350)                                       
	#Bladex.AddAnmRRelease("Iwr_g_08",0.588)                                     
	#Bladex.AddAnmRStep("Iwr_g_08",0.874)


	Bladex.LoadSampledAnimation("..\\..\\Anm\\Chk_g_12.BMV","Iwr_g_12",0,"IronWarrior")      
	#Bladex.AddAnmRStep("Iwr_g_12",0)                                           
	Bladex.AddAnmLStep("Iwr_g_12",0)                                           
	#Bladex.AddAnmRRelease("Iwr_g_12",0.113)                                    
	#Bladex.AddAnmRStep("Iwr_g_12",0.265)                                       
	#Bladex.AddAnmRRelease("Iwr_g_12",0.691)                                     
	#Bladex.AddAnmRStep("Iwr_g_12",0.843)

	
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Chk_g_18.BMV","Iwr_g_18",0,"IronWarrior")      
	#Bladex.AddAnmRStep("Iwr_g_18",0)                                           
	Bladex.AddAnmLStep("Iwr_g_18",0)                                           
	#Bladex.AddAnmRRelease("Iwr_g_18",0.115)                                    
	#Bladex.AddAnmRStep("Iwr_g_18",0.313)                                       
	#Bladex.AddAnmRRelease("Iwr_g_18",0.658)                                     
	#Bladex.AddAnmRStep("Iwr_g_18",0.802)


	Bladex.LoadSampledAnimation("..\\..\\Anm\\Chk_g_31.BMV","Iwr_g_31",0,"IronWarrior")      
	Bladex.AddAnmRStep("Iwr_g_31",0)                                           
	Bladex.AddAnmLStep("Iwr_g_31",0)                                           
	Bladex.AddAnmRRelease("Iwr_g_31",0.421)                                    
	Bladex.AddAnmRStep("Iwr_g_31",0.502)                                       
	Bladex.AddAnmRRelease("Iwr_g_31",0.745)                                     
	Bladex.AddAnmRStep("Iwr_g_31",0.872)


	Bladex.LoadSampledAnimation("..\\..\\Anm\\Chk_g_magic.BMV","Iwr_g_magic",0,"IronWarrior")      
	Bladex.AddAnmRStep("Iwr_g_magic",0)                                           
	Bladex.AddAnmLStep("Iwr_g_magic",0)                                           
	Bladex.AddAnmRRelease("Iwr_g_magic",0.376)                                    
	Bladex.AddAnmRStep("Iwr_g_magic",0.430)                                       
	Bladex.AddAnmRRelease("Iwr_g_magic",0.626)                                     
	Bladex.AddAnmRStep("Iwr_g_magic",0.697)


######  VARIOS


	Bladex.LoadSampledAnimation("..\\..\\Anm\\Chk_powerup.BMV","Iwr_powerup",0,"IronWarrior")      
	Bladex.AddAnmRStep("Iwr_powerup",0)                                           
	Bladex.AddAnmLStep("Iwr_powerup",0)	
	Bladex.AddAnmLRelease("Iwr_powerup",0.072)     
	Bladex.AddAnmLStep("Iwr_powerup",0.145)                                       
	Bladex.AddAnmLRelease("Iwr_powerup",0.821)                                     
	Bladex.AddAnmLStep("Iwr_powerup",0.890)



	#
	# Slip
	#
	anm_name="Iwr_slip"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_slip.BMV",anm_name,1,"IronWarrior")
	Bladex.AddAnmRStep(anm_name,0)
	Bladex.AddAnmLStep(anm_name,0)

	anm_name="Iwr_slip_b"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_slip_b.BMV",anm_name,1,"IronWarrior")
	Bladex.AddAnmRStep(anm_name,0)
	Bladex.AddAnmLStep(anm_name,0)

	anm_name="Iwr_derrape"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_derrape.BMV",anm_name,0,"IronWarrior")
	Bladex.AddAnmRStep(anm_name,0)
	Bladex.AddAnmLStep(anm_name,0)


#
#Caida enorme
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Chk_dth_fll.BMV","Dth_Fll_Iwr",0,"IronWarrior")
	#Bladex.AddAnmRStep("Dth_Fll_Iwr",0.0)
	#Bladex.AddAnmLStep("Dth_Fll_Iwr",0.0)

	Bladex.LoadSampledAnimation("..\\..\\Anm\\Chk_dth_fll2.BMV","Dth_Fll2_Iwr",0,"IronWarrior")
	Bladex.AddAnmRStep("Dth_Fll2_Iwr",0.0)
	Bladex.AddAnmLStep("Dth_Fll2_Iwr",0.0)


