from CharData import CharMaxLifeValue
from CharData import CharDamageData
from CharData import CharDefenseData
from CharData import CharResistances
from CharData import CharExperienceCost
from CharData import CharExperienceReward
from CharData import CharAccuracy


import Reference
import Damage


CharMaxLifeValue['IronWarrior']=     [  300,   600,   1000,   1200,   1700,   2100,   2600,   3600,   5000,   6500,   8000,   9000,  10000,  11500,  12600,  13500,  14400,  15300,  16200,  17100]
CharDamageData['IronWarrior']=       [    52,     53,     54,     55,     56,     57,     58,     59,     60,     61,     62,     63,     64,     65,     66,     67,     68,     69,     70,     71]
CharDefenseData['IronWarrior']=      [     0,      0,      0,      0,      0,      0,      0,      0,      0,      0,      0,      0,      0,      0,      0,      0,      0,      0,      0,      0]
CharExperienceCost['IronWarrior']=  [    50,    100,    200,    400,    800,   1600,   3200,   6400,  12800,  25600,  51200, 102400, 204800, 409600, 819200,1638400,3276800,6553600,13107200,26214400]
CharExperienceReward['IronWarrior']=[   400,    800,    1800,   4000,   8000,   16000,  26800,  50000,  100000,  200000,  400000, 600000, 800000, 1000000, 2000000, 3000000, 4000000, 5000000, 6000000, 8000000]
CharResistances['IronWarrior']=     {'Impale': 0.80, 'Venom': 1.00, 'Slash': 0.70, 'Crush': 0.60, 'Ice': -0.70, 'Fire': 0.40, 'Light': 0.00, 'Drain': 1.00}




Reference.DefaultObjectData['IronWarrior'] = [Reference.OBJ_WEAPON,  50,  0, 1.0,  Reference.THR_SPINNING, []]


Reference.DefaultSelectionData['IronHammer']=(8.0,4000.0, "Iron Hammer")
Reference.DefaultObjectData['IronHammer']=[Reference.OBJ_WEAPON,  3, 0, 2.3,  Reference.THR_SPINNING, [Reference.W_FLAG_1H,]]


Reference.DefaultSelectionData['IronAxe']=(8.0,4000.0, "Iron Axe")
Reference.DefaultObjectData['IronAxe']=[Reference.OBJ_WEAPON,  3, 0, 2.3,  Reference.THR_SPINNING, [Reference.W_FLAG_1H,]]





Damage.AnimationData['Iwr_g_01']=    1.0
Damage.AnimationData['Iwr_g_02']=    1.3
Damage.AnimationData['Iwr_g_07']=    1.0
Damage.AnimationData['Iwr_g_08']=    1.5
Damage.AnimationData['Iwr_g_12']=    2.4
Damage.AnimationData['Iwr_g_18']=    2.8
Damage.AnimationData['Iwr_g_31']=    4.0

import Bladex
Bladex.AddActionStepSound("Iwr","default","PisadaCaos")










