import Bladex
import math

##########################
# Create New Biped Data  #
##########################


    ########################
    #                      #
    # WarTroll             #
    #                      #
    ########################
    

  
    
    
import WarTrollAnm_def
WarTrollAnm_def.InitWarTroll()    
 
    
wtl=Bladex.GetCharType("WarTroll_A","Wtl")
wtl.IntName="Wtl" 

wtl.TurnSpeed=4.5
wtl.Jcost=27000
wtl.MaxFall=5000
wtl.DieFall=14000
wtl.MaxStair=335
wtl.Fov=math.pi*1.5
wtl.MaxGrab=3500.0
wtl.MedGrab=2500.0
wtl.Min2Grab=1500.0    
wtl.MinTake=-500.0	# Min height above floor barbarian will take
wtl.MaxTake1=250.0	# Max height above floor for Take1 Anim
wtl.MaxTake2=550.0	# Max height above floor for Take2 Anim
wtl.MaxTake3=1300.0	# Max height above floor for Take3 Anim
wtl.MaxTake4=1900.0	# Max height above floor for Take4 Anim
wtl.MaxTake5=3000.0	# Max height above floor for Take5 Anim
wtl.Reach=2000.0	# Max distance from wtl centre to obj centre to take
wtl.MovFrwdSpeedInStrafe=800  #Forwards speed when in strafe(combat mode only)
wtl.MovBkwdSpeedInStrafe=800  #Idem backwards
wtl.MaxCombatDist=14000
wtl.MaxSeeDist=30000

wtl.DistStop=2600.0
wtl.DistStop2=6000.0
wtl.DistStopMaxFactor=0.6

wtl.MaxCombatDist=10000
wtl.MaxSeeDist=20000


wtl.SetNCDSpheres(1)           #Numero de esferas en el modelo de colisiones
wtl.SetCDSphere(0,50.0,700.0)  #(numero de la espera, altura mm, radio mm)


wtl.NaturalWeapons=0

###############################################################################
#

def WarTrollWhenFirst():
	Bladex.CreateBipedData("Wtl","WarTroll_A")
	
	#############################################################
	# Uncoment the following section only after making changes, #
	# otherwise comment out to speed load times                 #
	#############################################################
	
	#import os

	#try:
	#	os.remove("..\\..\\AnmPak\\Wtl.dat")
	#except:
	#	pass
		
	#####################################################

	exitsPak=Bladex.LoadAnmRaceData("../../AnmPak/Wtl.dat")

	import WarTrollAnimationSet
	WarTrollAnimationSet.LoadWarTrollAnimationSet("Wtl")
	
	import WarTrollBAct
	import LinkTables
	LinkTables.LinkMe("Wtl")
	
	import WarTrollCombos
	
	import AnmFactWarTroll
	AnmFactWarTroll.InitAnmFactWarTroll()
	import WarTrollStats
	if not exitsPak:
		Bladex.SaveAnmRaceData("../../AnmPak/Wtl.dat","Wtl")
	
	print"New Wtl Data Set"
	
	Bladex.AddFloorCTolerance("slip",10)


		
		
race=Bladex.GetCharType("WarTroll_A","Wtl")
race.OnFirst=WarTrollWhenFirst
