import Bladex
import darfuncs



AllyArcherList=[]
AlliesActive=[]

import AllyNPCTypes

starc1=Bladex.CreateEntity("AllyStaticArcher1","Bgd_Arch",24000,-9900,-14500, "Person")
starc1.Angle=0.5
starc1.Level=1
starc1.Data=AllyNPCTypes.AllyArcher(starc1)
starc1.Data.ToolUp()
starc1.Data.AttackOnSight=1
starc1.SetOnFloor()
starc1.Data.GoPos=(-6550,-11700,-12500)
starc1.Data.GoAng=5.0
starc1.Data.Deploy()
starc1.Data.DeathFunc=BlackGuardDead
starc1.Data.DeathArgs=(starc1.Name,)
AllyArcherList.append("AllyStaticArcher1")


starc2=Bladex.CreateEntity("AllyStaticArcher2","Bgd_Arch",24000,-9900,-14500, "Person")
starc2.Angle=0.5
starc2.Level=1
starc2.Data=AllyNPCTypes.AllyArcher(starc2)
starc2.Data.ToolUp()
starc2.Data.AttackOnSight=0
starc2.SetOnFloor()
starc2.Data.GoPos=(7250,-11700,-12500)
starc2.Data.GoAng=1.0
starc2.Data.Deploy()
starc2.Data.DeathFunc=BlackGuardDead
starc2.Data.DeathArgs=(starc2.Name,)
starc2.Data.EnemyRaces.append("WarTroll_A")
AllyArcherList.append("AllyStaticArcher2")


starc3=Bladex.CreateEntity("AllyStaticArcher3","Bgd_Arch",24000,-3900,-14500, "Person")
starc3.Angle=0.5
starc3.Level=1
starc3.Data=AllyNPCTypes.AllyArcher(starc3)
starc3.Data.ToolUp()
starc3.Data.AttackOnSight=0
starc3.SetOnFloor()
starc3.Data.GoPos=(-6550,-5700,-12500)
starc3.Data.GoAng=5.0
starc3.Data.Deploy()
starc3.Data.DeathFunc=BlackGuardDead
starc3.Data.DeathArgs=(starc3.Name,)
starc3.Data.EnemyRaces.append("WarTroll_A")
AllyArcherList.append("AllyStaticArcher3")


starc4=Bladex.CreateEntity("AllyStaticArcher4","Bgd_Arch",24000,-9900,-14500, "Person")
starc4.Angle=0.5
starc4.Level=1
starc4.Data=AllyNPCTypes.AllyArcher(starc4)
starc4.Data.ToolUp()
starc4.Data.AttackOnSight=0
starc4.SetOnFloor()
starc4.Data.GoPos=(7250,-5700,-12500)
starc4.Data.GoAng=1.0
starc4.Data.Deploy()
starc4.Data.DeathFunc=BlackGuardDead
starc4.Data.DeathArgs=(starc4.Name,)
starc4.Data.EnemyRaces.append("WarTroll_A")
AllyArcherList.append("AllyStaticArcher4")



#######################################################################


bgd1=Bladex.CreateEntity("BlackGuard1","BlackGuard_Tkn",-3000,-900,-11000, "Person")
bgd1.Angle=0.0
bgd1.Level=3
bgd1.Data=AllyNPCTypes.BlackGuard(bgd1)
bgd1wp=Bladex.CreateEntity("BlackGuard1WP","Maza",0,0,0,"Weapon")
Actions.TakeObject("BlackGuard1","BlackGuard1WP")
bgd1sh=Bladex.CreateEntity("BlackGuard1SH","Escudo4",0,0,0,"Weapon")
ItemTypes.ItemDefaultFuncs(bgd1sh)
Actions.TakeObject("BlackGuard1","BlackGuard1SH")
bgd1.Data=AllyNPCTypes.BlackGuard(bgd1)
bgd1.Data.SetGuardPoint()
bgd1.SetOnFloor()
bgd1.Data.DeathFunc=BlackGuardDead
bgd1.Data.DeathArgs=(bgd1.Name,)
bgd1.Data.LevelupFunc=AllyNPCTypes.BlackGuardLevelUpFunc
bgd1.Data.LevelupArgs=(bgd1.Name,)
AllyNPCTypes.BlackGuardLevelUpFunc(bgd1.Name)
SignOn("BlackGuard1")
AlliesActive.append("BlackGuard1")

bgd2=Bladex.CreateEntity("BlackGuard2","BlackGuard_Tkn",3500,-900,-11000, "Person")
bgd2.Angle=0.0
bgd2.Level=3
bgd2.Data=AllyNPCTypes.BlackGuard(bgd2)
bgd2wp=Bladex.CreateEntity("BlackGuard2WP","Espadaromana",0,0,0,"Weapon")
Actions.TakeObject("BlackGuard2","BlackGuard2WP")
bgd2sh=Bladex.CreateEntity("BlackGuard2SH","Escudo4",0,0,0,"Weapon")
ItemTypes.ItemDefaultFuncs(bgd1sh)
Actions.TakeObject("BlackGuard2","BlackGuard2SH")
bgd2.Data=AllyNPCTypes.BlackGuard(bgd2)
bgd2.Data.SetGuardPoint()
bgd2.SetOnFloor()
bgd2.Data.DeathFunc=BlackGuardDead
bgd2.Data.DeathArgs=(bgd2.Name,)
bgd2.Data.LevelupFunc=AllyNPCTypes.BlackGuardLevelUpFunc
bgd2.Data.LevelupArgs=(bgd2.Name,)
AllyNPCTypes.BlackGuardLevelUpFunc(bgd2.Name)
SignOn("BlackGuard2")
AlliesActive.append("BlackGuard2")

bgd3=Bladex.CreateEntity("BlackGuard3","BlackGuard_Tkn",-2791,-1466,-6639, "Person")
bgd3.Angle=0.0
bgd3.Level=3
bgd3.Data=AllyNPCTypes.BlackGuard(bgd3)
bgd3wp=Bladex.CreateEntity("BlackGuard3WP","Gladius",0,0,0,"Weapon")
Actions.TakeObject("BlackGuard3","BlackGuard3WP")
bgd3sh=Bladex.CreateEntity("BlackGuard3SH","Escudo4",0,0,0,"Weapon")
ItemTypes.ItemDefaultFuncs(bgd1sh)
Actions.TakeObject("BlackGuard3","BlackGuard3SH")
bgd3.Data=AllyNPCTypes.BlackGuard(bgd3)
bgd3.Data.SetGuardPoint()
bgd3.SetOnFloor()
bgd3.Data.DeathFunc=BlackGuardDead
bgd3.Data.DeathArgs=(bgd3.Name,)
bgd3.Data.LevelupFunc=AllyNPCTypes.BlackGuardLevelUpFunc
bgd3.Data.LevelupArgs=(bgd3.Name,)
AllyNPCTypes.BlackGuardLevelUpFunc(bgd3.Name)
SignOn("BlackGuard3")
AlliesActive.append("BlackGuard3")

bgd4=Bladex.CreateEntity("BlackGuard4","BlackGuard_Tkn",2672,-1459,-5701, "Person")
bgd4.Angle=0.0
bgd4.Level=4
bgd4.Data=AllyNPCTypes.BlackGuard(bgd4)
bgd4wp=Bladex.CreateEntity("BlackGuard4WP","Espadaromana",0,0,0,"Weapon")
Actions.TakeObject("BlackGuard4","BlackGuard4WP")
bgd4sh=Bladex.CreateEntity("BlackGuard4SH","Escudo4",0,0,0,"Weapon")
ItemTypes.ItemDefaultFuncs(bgd1sh)
Actions.TakeObject("BlackGuard4","BlackGuard4SH")
bgd4.Data=AllyNPCTypes.BlackGuard(bgd4)
bgd4.Data.SetGuardPoint()
bgd4.SetOnFloor()
bgd4.Data.DeathFunc=BlackGuardDead
bgd4.Data.DeathArgs=(bgd4.Name,)
bgd4.Data.LevelupFunc=AllyNPCTypes.BlackGuardLevelUpFunc
bgd4.Data.LevelupArgs=(bgd4.Name,)
AllyNPCTypes.BlackGuardLevelUpFunc(bgd1.Name)
SignOn("BlackGuard4")
AlliesActive.append("BlackGuard4")



########## reserves

bgd5=Bladex.CreateEntity("BlackGuard5","BlackGuard_Tkn",-1500,-900,-22000, "Person")
bgd5.Angle=0.0
bgd5.Level=5
bgd5.Data=AllyNPCTypes.BlackGuard(bgd5)
bgd5wp=Bladex.CreateEntity("BlackGuard5WP","Maza2",0,0,0,"Weapon")
Actions.TakeObject("BlackGuard5","BlackGuard5WP")
bgd5sh=Bladex.CreateEntity("BlackGuard5SH","Escudo4",0,0,0,"Weapon")
ItemTypes.ItemDefaultFuncs(bgd5sh)
Actions.TakeObject("BlackGuard5","BlackGuard5SH")
bgd5.Data=AllyNPCTypes.BlackGuard(bgd5)
bgd5.SetOnFloor()
bgd5.Data.DeathFunc=BlackGuardDead
bgd5.Data.DeathArgs=(bgd5.Name,)
bgd5.Data.LevelupFunc=AllyNPCTypes.BlackGuardLevelUpFunc
bgd5.Data.LevelupArgs=(bgd5.Name,)
AllyNPCTypes.BlackGuardLevelUpFunc(bgd5.Name)
darfuncs.HideBadGuy("BlackGuard5")


bgd6=Bladex.CreateEntity("BlackGuard6","BlackGuard_Tkn",1500,-900,-22000, "Person")
bgd6.Angle=0.0
bgd6.Level=5
bgd6.Data=AllyNPCTypes.BlackGuard(bgd6)
bgd6wp=Bladex.CreateEntity("BlackGuard6WP","Maza2",0,0,0,"Weapon")
Actions.TakeObject("BlackGuard6","BlackGuard6WP")
bgd6sh=Bladex.CreateEntity("BlackGuard6SH","Escudo4",0,0,0,"Weapon")
ItemTypes.ItemDefaultFuncs(bgd6sh)
Actions.TakeObject("BlackGuard6","BlackGuard6SH")
bgd6.Data=AllyNPCTypes.BlackGuard(bgd6)
bgd6.SetOnFloor()
bgd6.Data.DeathFunc=BlackGuardDead
bgd6.Data.DeathArgs=(bgd6.Name,)
bgd6.Data.LevelupFunc=AllyNPCTypes.BlackGuardLevelUpFunc
bgd6.Data.LevelupArgs=(bgd6.Name,)
AllyNPCTypes.BlackGuardLevelUpFunc(bgd6.Name)
darfuncs.HideBadGuy("BlackGuard6")

bgd7=Bladex.CreateEntity("BlackGuard7","BlackGuard_Tkn",-1500,-900,-24000, "Person")
bgd7.Angle=0.0
bgd7.Level=5
bgd7.Data=AllyNPCTypes.BlackGuard(bgd7)
bgd7wp=Bladex.CreateEntity("BlackGuard7WP","EgyptSword",0,0,0,"Weapon")
Actions.TakeObject("BlackGuard7","BlackGuard7WP")
bgd7sh=Bladex.CreateEntity("BlackGuard7SH","Escudo4",0,0,0,"Weapon")
ItemTypes.ItemDefaultFuncs(bgd7sh)
Actions.TakeObject("BlackGuard7","BlackGuard7SH")
bgd7.Data=AllyNPCTypes.BlackGuard(bgd7)
bgd7.SetOnFloor()
bgd7.Data.DeathFunc=BlackGuardDead
bgd7.Data.DeathArgs=(bgd7.Name,)
bgd7.Data.LevelupFunc=AllyNPCTypes.BlackGuardLevelUpFunc
bgd7.Data.LevelupArgs=(bgd7.Name,)
AllyNPCTypes.BlackGuardLevelUpFunc(bgd7.Name)
darfuncs.HideBadGuy("BlackGuard7")

bgd8=Bladex.CreateEntity("BlackGuard8","BlackGuard_Tkn",1500,-900,-24000, "Person")
bgd8.Angle=0.0
bgd8.Level=5
bgd8.Data=AllyNPCTypes.BlackGuard(bgd8)
bgd8wp=Bladex.CreateEntity("BlackGuard8WP","EgyptSword",0,0,0,"Weapon")
Actions.TakeObject("BlackGuard8","BlackGuard8WP")
bgd8sh=Bladex.CreateEntity("BlackGuard8SH","Escudo4",0,0,0,"Weapon")
ItemTypes.ItemDefaultFuncs(bgd8sh)
Actions.TakeObject("BlackGuard8","BlackGuard8SH")
bgd8.Data=AllyNPCTypes.BlackGuard(bgd8)
bgd8.SetOnFloor()
bgd8.Data.DeathFunc=BlackGuardDead
bgd8.Data.DeathArgs=(bgd8.Name,)
bgd8.Data.LevelupFunc=AllyNPCTypes.BlackGuardLevelUpFunc
bgd8.Data.LevelupArgs=(bgd8.Name,)
AllyNPCTypes.BlackGuardLevelUpFunc(bgd8.Name)
darfuncs.HideBadGuy("BlackGuard8")



