import Bladex
import Doors
import Levers
import Sounds
import Objects




maderadesliz=Sounds.CreateEntitySound("..\\..\\Sounds\\puerta-madera-deslizando.wav", "MaderaDesliz")

maderagolpe=Sounds.CreateEntitySound("..\\..\\Sounds\\golpe-madera-pesada.wav", "MaderaGolpe")

loopelevador=Sounds.CreateEntitySound("..\\..\\Sounds\\drawbridge-loop.wav", "LoopElevador")

golpeelevador=Sounds.CreateEntitySound("..\\..\\Sounds\\metal-lever3.wav", "GolpeElevador")

deslizrasanexo=Sounds.CreateEntitySound("..\\..\\Sounds\\rastrillo.wav", "DeslizRasanexo")
deslizrasanexo.Volume=0.6
deslizrasanexo.MinDistance=5000
deslizrasanexo.MaxDistance=20000

golperasanexo=Sounds.CreateEntitySound("..\\..\\Sounds\\golpe-metal-mediano.wav", "GolpeRasanexo")
golperasanexo.Volume=0.6
golperasanexo.MinDistance=5000
golperasanexo.MaxDistance=20000


################################################



# open= -8200

gate1=Bladex.CreateEntity("Gate1","Rastrillo10",855,-5600,-17816, Reference.ObjType("Rastrillo10"))
gate1.Scale=1.6
gate1.Orientation=(0.707,0.707,0.0,0.0)
gate1din=Objects.CreateDinamicObject("Gate1")





gate1lvrout=Levers.PlaceLever("Gate1LeverOut",Levers.LeverType3,(4174,-1376,-13705),(0.5,0.5,0.5,-0.5),1.0)
gate1lvrout.mode=1

gate1lvrout.OnTurnOnFunc=OperateMainGate
gate1lvrout.OnTurnOnArgs=()


gate1lvrin=Levers.PlaceLever("Gate1LeverIn",Levers.LeverType3,(5314,-1674,-20343),(0.707,0.707,0.0,0.0),1.0)
gate1lvrin.mode=1

gate1lvrin.OnTurnOnFunc=OperateMainGate
gate1lvrin.OnTurnOnArgs=()


################################################


Bdooropen=0


door1=Doors.CreateDoor("BridgeDoor", (0,0,42250), (0,1,0), 2500, 6000, Doors.CLOSED)
door1.opentype=Doors.UNIF
door1.o_med_vel=-800
door1.o_med_displ=3500

door1.closetype=Doors.AC
door1.c_init_displ=3500
door1.c_med_vel=2000

door1.SetWhileOpenSound(maderadesliz)
door1.SetEndOpenSound(maderagolpe)

door1.OnEndOpenFunc= BridgeDoorOpen
door1.OnEndCloseFunc= BridgeDoorClosed

door1.Squezze=1

###################################################

gatedoora=Doors.CreateDoor("GateDoorA", (-2000,-1000,-16750), (1,0,0), 500, 4250, Doors.CLOSED)
gatedoora.opentype=Doors.UNIF
gatedoora.o_med_vel=-800
gatedoora.o_med_displ=3750

gatedoora.closetype=Doors.AC
gatedoora.c_init_displ=3500
gatedoora.c_med_vel=2000

gatedoora.SetWhileOpenSound(maderadesliz)
gatedoora.SetEndOpenSound(maderagolpe)

gatedoora.Squezze=1


gatedoorb=Doors.CreateDoor("GateDoorB", (2000,-1000,-16750), (-1,0,0), 500, 4250, Doors.CLOSED)
gatedoorb.opentype=Doors.UNIF
gatedoorb.o_med_vel=-800
gatedoorb.o_med_displ=3750

gatedoorb.closetype=Doors.AC
gatedoorb.c_init_displ=3500
gatedoorb.c_med_vel=2000

gatedoorb.Squezze=1





###################

Adooropen=0

door2a=Doors.CreateDoor("ArchDoorA", (-2000,-1000,-43750), (1,0,0), 500, 4250, Doors.CLOSED)
door2a.opentype=Doors.UNIF
door2a.o_med_vel=-800
door2a.o_med_displ=3750

door2a.closetype=Doors.AC
door2a.c_init_displ=3500
door2a.c_med_vel=2000

door2a.SetWhileOpenSound(maderadesliz)
door2a.SetEndOpenSound(maderagolpe)

door2a.OnEndOpenFunc= ArchDoorOpen
door2a.OnEndCloseFunc= ArchDoorClosed

door2a.Squezze=1


door2b=Doors.CreateDoor("ArchDoorB", (2000,-1000,-43750), (-1,0,0), 500, 4250, Doors.CLOSED)
door2b.opentype=Doors.UNIF
door2b.o_med_vel=-800
door2b.o_med_displ=3750

door2b.closetype=Doors.AC
door2b.c_init_displ=3500
door2b.c_med_vel=2000





door2b.Squezze=1