####################################################################################

global ModName
global ModDesc
global ModVersion
global ModAuthor
global ModAuthorInfo
global NewFiles
global RepFiles
global MakeDirs

####################################################################################
# Mod Info
####################################################################################

# Mod Name
ModName          = "Choas Knight Demo Map"
# Mod Description
import Language
if Language.Current == 'Spanish':
	ModDesc = (
		"""Testing Chaos Knight as Player"""
		)
else:
	ModDesc = (
		"""Testing Chaos Knight as Player"""
		)

# Mod Version
ModVersion       = "1.1"
# Author name
ModAuthor        = "ProsperoProductions"
# Author info: email, url,...
ModAuthorInfo    = "peterrobinsonfineart@btinternet.com"

####################################################################################
# Mod Data
####################################################################################

# Make new directories

MakeDirs = ['../ChaosKnightMap', 
            '../ChaosKnightMap/NUFiles',
            '../ChaosKnightMap/NUFiles/NUChaosKnight_XStuff',
            '../ChaosKnightMap/NUFiles/NUBlackGuardArcherStuff',
            '../ChaosKnightMap/NUFiles/NUIronWarriorStuff',
            '../ChaosKnightMap/NUFiles/NUWarTrollStuff',
            '../ChaosKnightMap/NUFiles/NUBlackGuardStuff']
            
          

# New Files added by Mod and destination directory


NewFiles[0]      = {'File': 'pj.py'                                               ,    'Dest': '../ChaosKnightMap'}
NewFiles[1]      = {'File': 'DefFuncs.py'                                         ,    'Dest': '../ChaosKnightMap'}
NewFiles[2]      = {'File': 'cfg.py'                                              ,    'Dest': '../ChaosKnightMap'}
NewFiles[3]      = {'File': 'ChaosKnightMap.lvl'                                  ,	'Dest': '../ChaosKnightMap'}
NewFiles[4]      = {'File': 'Blade_progress.jpg'                                  ,    'Dest': '../ChaosKnightMap'}
NewFiles[5]      = {'File': 'ChaosKnightMapMenu/ChaosKnightMapMenu.bmp'                       ,    'Dest': '../ChaosKnightMap'}
NewFiles[6]      = {'File': 'ChaosKnightMapMenu/ChaosKnightMapMenu.py'                        ,    'Dest': '../../Scripts'}
NewFiles[7]      = {'File': 'TextureMaterials.py'                                 ,    'Dest': '../ChaosKnightMap'}
NewFiles[8]      = {'File': 'InitNewChars.py'                                  	  ,    'Dest': '../ChaosKnightMap'}
NewFiles[9]      = {'File': 'ActorsInit.py'                                  	  ,    'Dest': '../ChaosKnightMap'}
NewFiles[10]     = {'File': 'Blade_progress2.jpg'                                 ,    'Dest': '../ChaosKnightMap'}
NewFiles[11]     = {'File': 'objs.py'                                             ,    'Dest': '../ChaosKnightMap'}
NewFiles[12]     = {'File': 'NUFiles/NUChaosKnight_XStuff/ChaosKnight_XData.py'                        ,    'Dest': '../ChaosKnightMap/NUFiles/NUChaosKnight_XStuff'}
NewFiles[13]     = {'File': 'NUFiles/NUChaosKnight_XStuff/ChaosKnight_XAnm_def.py'                     ,    'Dest': '../ChaosKnightMap/NUFiles/NUChaosKnight_XStuff'}
NewFiles[14]     = {'File': 'NUFiles/NUChaosKnight_XStuff/ChaosKnight_XBAct.py'                        ,    'Dest': '../ChaosKnightMap/NUFiles/NUChaosKnight_XStuff'}
NewFiles[15]     = {'File': 'NUFiles/NUChaosKnight_XStuff/ChaosKnight_XAnimationSet.py'                ,    'Dest': '../ChaosKnightMap/NUFiles/NUChaosKnight_XStuff'}
NewFiles[16]     = {'File': 'NUFiles/NUChaosKnight_XStuff/ChaosKnight_XCombos.py'                ,    'Dest': '../ChaosKnightMap/NUFiles/NUChaosKnight_XStuff'}
NewFiles[17]     = {'File': 'NUFiles/NUChaosKnight_XStuff/ChaosKnight_XStats.py'                ,    'Dest': '../ChaosKnightMap/NUFiles/NUChaosKnight_XStuff'}
NewFiles[18]     = {'File': 'NUFiles/NUChaosKnight_XStuff/AnmFactChaosKnight_X.py'                ,    'Dest': '../ChaosKnightMap/NUFiles/NUChaosKnight_XStuff'}
NewFiles[19]     = {'File': 'NUFiles/NUChaosKnight_XStuff/AniSoundCkx.py'                ,    'Dest': '../ChaosKnightMap/NUFiles/NUChaosKnight_XStuff'}
NewFiles[20]     = {'File': 'NUFiles/NUChaosKnight_XStuff/AniSoundCkxX.py'                ,    'Dest': '../ChaosKnightMap/NUFiles/NUChaosKnight_XStuff'}
NewFiles[21]     = {'File': 'NUFiles/NUChaosKnight_XStuff/ChaosKnight_XTypes.py'                ,    'Dest': '../ChaosKnightMap/NUFiles/NUChaosKnight_XStuff'}
NewFiles[22]     = {'File': 'NUFiles/NUChaosKnight_XStuff/CkxScorer.py'                ,    'Dest': '../ChaosKnightMap/NUFiles/NUChaosKnight_XStuff'}
NewFiles[23]     = {'File': 'NUFiles/NUChaosKnight_XStuff/Ckxbarwidget.mmp'                ,    'Dest': '../ChaosKnightMap/NUFiles/NUChaosKnight_XStuff'}
NewFiles[24]     = {'File': 'NUFiles/NUChaosKnight_XStuff/mslider.bmp'                ,    'Dest': '../ChaosKnightMap/NUFiles/NUChaosKnight_XStuff'}
NewFiles[25]     = {'File': 'proarena4.mmp'                                             ,    'Dest': '../ChaosKnightMap'}
NewFiles[26]     = {'File': 'CKMap.bw'                                             ,    'Dest': '../ChaosKnightMap'}
NewFiles[27]     = {'File': 'enemigos.py'                                             ,    'Dest': '../ChaosKnightMap'}
NewFiles[28]     = {'File': 'ROCAS.mmp'                                             ,    'Dest': '../ChaosKnightMap'}
NewFiles[29]     = {'File': 'food.py'                                             ,    'Dest': '../ChaosKnightMap'}
NewFiles[30]     = {'File': 'obj_def.py'                                             ,    'Dest': '../ChaosKnightMap'}
NewFiles[31]     = {'File': 'puertas.py'                                             ,    'Dest': '../ChaosKnightMap'}
NewFiles[32]     = {'File': 'EnemyCharTypes.py'                                             ,    'Dest': '../ChaosKnightMap'}
NewFiles[33]     = {'File': 'NPCStats.py'                                             ,    'Dest': '../ChaosKnightMap'}
NewFiles[34]     = {'File': 'IWweps.mmp'                                             ,    'Dest': '../ChaosKnightMap'}
NewFiles[35]     = {'File': 'counter.py'                                             ,    'Dest': '../ChaosKnightMap'}
NewFiles[36]     = {'File': 'PA4AllyCombat.py'                                             ,    'Dest': '../ChaosKnightMap'}
NewFiles[37]     = {'File': 'PA4Ally_Def.py'                                             ,    'Dest': '../ChaosKnightMap'}
NewFiles[38]     = {'File': 'AllyNPCTypes.py'                                             ,    'Dest': '../ChaosKnightMap'}
NewFiles[39]     = {'File': 'NUFiles/NUBlackGuardArcherStuff/bgarcher.mmp'                          ,      'Dest': '../ChaosKnightMap/NUFiles/NUBlackGuardArcherStuff'}
NewFiles[40]     = {'File': 'NUFiles/NUBlackGuardArcherStuff/BlackGuardArcherData.py'               ,      'Dest': '../ChaosKnightMap/NUFiles/NUBlackGuardArcherStuff'}
NewFiles[41]     = {'File': 'NUFiles/NUBlackGuardArcherStuff/BlackGuardArcherAnm_def.py'            ,      'Dest': '../ChaosKnightMap/NUFiles/NUBlackGuardArcherStuff'}
NewFiles[42]     = {'File': 'NUFiles/NUBlackGuardArcherStuff/BlackGuardArcherAnimationSet.py'       ,      'Dest': '../ChaosKnightMap/NUFiles/NUBlackGuardArcherStuff'}
NewFiles[43]     = {'File': 'NUFiles/NUBlackGuardArcherStuff/BlackGuardArcherBAct.py'               ,      'Dest': '../ChaosKnightMap/NUFiles/NUBlackGuardArcherStuff'}
NewFiles[44]     = {'File': 'NUFiles/NUBlackGuardArcherStuff/BlackGuardArcherStats.py'              ,      'Dest': '../ChaosKnightMap/NUFiles/NUBlackGuardArcherStuff'}
NewFiles[45]     = {'File': 'NUFiles/NUBlackGuardArcherStuff/AnmFactBlackGuardArcher.py'            ,      'Dest': '../ChaosKnightMap/NUFiles/NUBlackGuardArcherStuff'}
NewFiles[46]     = {'File': 'NUFiles/NUBlackGuardArcherStuff/BGarcherIcon.bmp'                      ,      'Dest': '../ChaosKnightMap/NUFiles/NUBlackGuardArcherStuff'}
NewFiles[47]     = {'File': 'adome2.mmp'                                             ,    'Dest': '../ChaosKnightMap'}
NewFiles[48]     = {'File': 'Positions.py'                                             ,    'Dest': '../ChaosKnightMap'}
NewFiles[49]     = {'File': 'NUFiles/NUIronWarriorStuff/ironwarrior.mmp'               ,      'Dest': '../ChaosKnightMap/NUFiles/NUIronWarriorStuff'}
NewFiles[50]     = {'File': 'NUFiles/NUIronWarriorStuff/IronWarriorData.py'            ,      'Dest': '../ChaosKnightMap/NUFiles/NUIronWarriorStuff'}
NewFiles[51]     = {'File': 'NUFiles/NUIronWarriorStuff/IronWarriorAnm_def.py'         ,      'Dest': '../ChaosKnightMap/NUFiles/NUIronWarriorStuff'}
NewFiles[52]     = {'File': 'NUFiles/NUIronWarriorStuff/IronWarriorAnimationSet.py'    ,      'Dest': '../ChaosKnightMap/NUFiles/NUIronWarriorStuff'}
NewFiles[53]     = {'File': 'NUFiles/NUIronWarriorStuff/IronWarriorBAct.py'            ,      'Dest': '../ChaosKnightMap/NUFiles/NUIronWarriorStuff'}
NewFiles[54]     = {'File': 'NUFiles/NUIronWarriorStuff/AnmFactIronWarrior.py'         ,      'Dest': '../ChaosKnightMap/NUFiles/NUIronWarriorStuff'}
NewFiles[55]     = {'File': 'NUFiles/NUIronWarriorStuff/IronWarriorStats.py'           ,      'Dest': '../ChaosKnightMap/NUFiles/NUIronWarriorStuff'}
NewFiles[56]     = {'File': 'NUFiles/NUIronWarriorStuff/IronWarriorCombos.py'          ,      'Dest': '../ChaosKnightMap/NUFiles/NUIronWarriorStuff'}
NewFiles[57]     = {'File': 'NUFiles/NUIronWarriorStuff/AniSoundIronWarrior.py'        ,      'Dest': '../ChaosKnightMap/NUFiles/NUIronWarriorStuff'}
NewFiles[58]     = {'File': 'NUFiles/NUIronWarriorStuff/AniSoundIronWarriorX.py'       ,      'Dest': '../ChaosKnightMap/NUFiles/NUIronWarriorStuff'}
NewFiles[59]     = {'File': 'NUFiles/NUIronWarriorStuff/IronWarriorIcon.bmp'           ,      'Dest': '../ChaosKnightMap/NUFiles/NUIronWarriorStuff'}
NewFiles[60]     = {'File': 'NUFiles/NUWarTrollStuff/wartroll.mmp',                      'Dest': '../ChaosKnightMap/NUFiles/NUWarTrollStuff'}
NewFiles[61]     = {'File': 'NUFiles/NUWarTrollStuff/WarTrollAIcon.bmp',                 'Dest': '../ChaosKnightMap/NUFiles/NUWarTrollStuff'}
NewFiles[62]     = {'File': 'NUFiles/NUWarTrollStuff/WarTrollData.py',                   'Dest': '../ChaosKnightMap/NUFiles/NUWarTrollStuff'}
NewFiles[63]     = {'File': 'NUFiles/NUWarTrollStuff/WarTrollAnm_def.py',                'Dest': '../ChaosKnightMap/NUFiles/NUWarTrollStuff'}
NewFiles[64]     = {'File': 'NUFiles/NUWarTrollStuff/WarTrollAnimationSet.py',           'Dest': '../ChaosKnightMap/NUFiles/NUWarTrollStuff'}
NewFiles[65]     = {'File': 'NUFiles/NUWarTrollStuff/WarTrollBAct.py',                   'Dest': '../ChaosKnightMap/NUFiles/NUWarTrollStuff'}
NewFiles[66]     = {'File': 'NUFiles/NUWarTrollStuff/WarTrollStats.py',                  'Dest': '../ChaosKnightMap/NUFiles/NUWarTrollStuff'}
NewFiles[67]     = {'File': 'NUFiles/NUWarTrollStuff/WarTrollCombos.py',                 'Dest': '../ChaosKnightMap/NUFiles/NUWarTrollStuff'}
NewFiles[68]     = {'File': 'NUFiles/NUWarTrollStuff/AnmFactWarTroll.py',                'Dest': '../ChaosKnightMap/NUFiles/NUWarTrollStuff'}
NewFiles[69]     = {'File': 'NUFiles/NUWarTrollStuff/AniSoundWarTroll.py',               'Dest': '../ChaosKnightMap/NUFiles/NUWarTrollStuff'}
NewFiles[70]     = {'File': 'NUFiles/NUWarTrollStuff/AniSoundWarTrollX.py',              'Dest': '../ChaosKnightMap/NUFiles/NUWarTrollStuff'}
NewFiles[71]     = {'File': 'triggsect.py'                                               ,    'Dest': '../ChaosKnightMap'}
NewFiles[72]     = {'File': 'QuiverTypes.py'                                             ,    'Dest': '../ChaosKnightMap'}
NewFiles[73]     = {'File': 'NUFiles/NUBlackGuardStuff/BgdData.py'                 ,      'Dest': '../ChaosKnightMap/NUFiles/NUBlackGuardStuff'}
NewFiles[74]     = {'File': 'NUFiles/NUBlackGuardStuff/BgdAnimationSet.py'         ,      'Dest': '../ChaosKnightMap/NUFiles/NUBlackGuardStuff'}
NewFiles[75]     = {'File': 'NUFiles/NUBlackGuardStuff/BgdAnm_def.py'              ,      'Dest': '../ChaosKnightMap/NUFiles/NUBlackGuardStuff'}
NewFiles[76]     = {'File': 'NUFiles/NUBlackGuardStuff/BgdStats.py'                ,      'Dest': '../ChaosKnightMap/NUFiles/NUBlackGuardStuff'}
NewFiles[77]     = {'File': 'NUFiles/NUBlackGuardStuff/BgdCombos.py'               ,      'Dest': '../ChaosKnightMap/NUFiles/NUBlackGuardStuff'}
NewFiles[78]     = {'File': 'NUFiles/NUBlackGuardStuff/BgdBAct.py'                 ,      'Dest': '../ChaosKnightMap/NUFiles/NUBlackGuardStuff'}
NewFiles[79]     = {'File': 'NUFiles/NUBlackGuardStuff/Bgd.bmp'                    ,      'Dest': '../ChaosKnightMap/NUFiles/NUBlackGuardStuff'}
NewFiles[80]     = {'File': 'NUFiles/NUBlackGuardStuff/bgd.mmp'                    ,      'Dest': '../ChaosKnightMap/NUFiles/NUBlackGuardStuff'}
NewFiles[81]     = {'File': 'NUFiles/NUBlackGuardStuff/AnmFactBgd.py'              ,      'Dest': '../ChaosKnightMap/NUFiles/NUBlackGuardStuff'}
NewFiles[82]     = {'File': 'NUFiles/NUBlackGuardStuff/AniSoundBgd.py'             ,      'Dest': '../ChaosKnightMap/NUFiles/NUBlackGuardStuff'}
NewFiles[83]     = {'File': 'amigos.py'                                                   ,      'Dest': '../ChaosKnightMap'}
NewFiles[84]     = {'File': 'NUFiles/NUChaosKnight_XStuff/CKAbilities1.jpg'                ,    'Dest': '../ChaosKnightMap/NUFiles/NUChaosKnight_XStuff'}
NewFiles[85]     = {'File': 'NUFiles/NUChaosKnight_XStuff/CKAbilities2.jpg'                ,    'Dest': '../ChaosKnightMap/NUFiles/NUChaosKnight_XStuff'}
NewFiles[86]     = {'File': 'climbers.py'                                               ,    'Dest': '../ChaosKnightMap'}
NewFiles[87]     = {'File': 'MusicEvents.py'                                               ,    'Dest': '../ChaosKnightMap'}




inststuff=0

if inststuff==0:
	try:
		execfile("../../BODLoader/Mods/ChaosKnightMap/Installnewstuff.py")
     		instuff=1
      		
     	except:
      		pass























