import Bladex
import Enm_Def
import Reference
import AniSound
import BCopy
import math
import Actions
import Interpolator
import CharStats
import ItemTypes
import AuxFuncs
import Sparks
import Objects
import InitDataField
import Blood
import B3DLib
import Damage
import darfuncs
import GenFX
import ObjStore
import GameText
import ScorerActions
import Basic_Funcs


import Combat
import EnemyTypes
import Auras
import Sounds
import GameStateAux

import pocimac
import MenuText
import copy




import os

TRUE = 1==1
FALSE = not TRUE



CHOOSE_FIRST  = -1
CHOOSE_SECOND =  1
CHOOSE_EITHER =  0





def CheckIfEnemy (EntityName):
	me=Bladex.GetEntity(EntityName)    # returns TRUE for Player Enemies
	if me:		
		if me.Name=="Player1":
			return TRUE   
		else:
			try:
	           		enemyName=me.Data.EnemyName
	           		return TRUE                       
	        	except AttributeError:  
	 	   		return FALSE   

	 	   
def IsHoldingBow(EntityName):
	me=Bladex.GetEntity(EntityName)
	ObjectName=me.InvLeft
	object_flag=Reference.GiveObjectFlag(ObjectName)
	if object_flag==Reference.OBJ_BOW:
		return TRUE
	else:
		return FALSE
		
		
		
def DumpMe(entity):
	per=Bladex.GetEntity(entity)		
	per.Position=0,30000,0
		
		

		
def RemoveMyCorpse(PersonName, dx, dz):
	
	me = Bladex.GetEntity(PersonName)
	me.Alpha=1.00
	me.RasterMode="Read"
	me.CastShadows=0
	AuxFuncs.FadeObject(PersonName, 1.00, 0.0, 4.0)
	Bladex.AddScheduledFunc(Bladex.GetTime()+4.5, me.SubscribeToList,("Pin",))


def RemoveMyWeapon(WeaponName):
	wp = Bladex.GetEntity(WeaponName)
	if wp:
		wp.Alpha=1.00
		wp.RasterMode="Read"
		wp.CastShadows=0
		AuxFuncs.FadeObject(WeaponName, 1.00, 0.0, 4.0)
		Bladex.AddScheduledFunc(Bladex.GetTime()+4.1, DumpMe,(wp.Name,))


	



def GoAway(entity):
	thing=Bladex.GetEntity(entity)
	thing.Position=(0,50000,0)
	
	
	
def CheckIfAlly (EntityName):
	me=Bladex.GetEntity(EntityName)
	# return false for enemies of Player
	if me:		
		try:
	           	enemyName=me.Data.EnemyName
	           	return TRUE                       
	        except AttributeError:  
	 	   	return FALSE   
	 	   	
	 	   	

def CheckNearerOpponent(EntityName):
	me=Bladex.GetEntity(EntityName) 
	x,y,z = me.Position	   
	for i in Bladex.GetEntitiesAt(x,y,z,2200):	
		ent=Bladex.GetEntity(i)
		if ent and ent.Person:
			if ent.Life>0:
				if CheckIfAlly(ent.Name): 
					print EntityName+" there is some sod behind me: "+ent.Name
					
					
	 	   			if me.Kind=="Dwarf_N":
						if Actions.IsBehindEntity(ent.Name, EntityName):
							me.SetNextAttack("GM33_1H")   # back attack
							return 1
	 	   				else:
	 	   					if ent.ActiveEnemy and ent.ActiveEnemy==EntityName:
	 	   						me.Data.SwitchOpponent(EntityName, ent.Name)
	 	   						return 1
	return 0
	 	   	

	
"""
def CheckNearerOpponent(EntityName):
	me=Bladex.GetEntity(EntityName) 
	x,y,z = me.Position	   
	for i in Bladex.GetEntitiesAt(x,y,z,2200):	
		ent=Bladex.GetEntity(i)
		if ent and ent.Person:
			if ent.Life>0:
				if CheckIfEnemy(ent.Name): 
					if ent.ActiveEnemy and ent.ActiveEnemy==EntityName:
	 	   				me.Data.SwitchOpponent(EntityName, ent.Name)
	 	   				return 1
	return 0		
"""		


Bladex.AddParticleGType("NPCLevelUpParticle","GenericParticle2",Reference.B_PARTICLE_GTYPE_ADD,30)

for i in range(30):
	if i>25:
		traux=(30.0-i)/5.0 
		aux=traux**0.5
	else:
		traux=i/25.0 
		aux=traux**2.0
	r=255
	g=255
	b=255
	a=255.0*traux
	size=200.0*aux
	Bladex.SetParticleGVal("NPCLevelUpParticle",i,r,g,b,a,size)
	
	
	
	
WarTrollHit=[5,8,15,25,35,50,65,85,100,120,150,190,240,300,380,460,550,650,820,950,1200]


def WarTrollLevelUpFunc(EntityName):
	per=Bladex.GetEntity(EntityName)
	if per.Life>0:
		lvl=per.Level
		inv=per.GetInventory()
		if lvl>19:
			NEWDAMAGE=1200
			
		else:
			NEWDAMAGE=WarTrollHit[lvl]
			
		rwp=Bladex.GetEntity(per.InvRight)
		if rwp:
			Reference.EntitiesObjectData[rwp.Name]= [Reference.OBJ_WEAPON,  5, 0, 2.5,  Reference.THR_SPINNING, [Reference.W_FLAG_1H,]]
			Reference.EntitiesObjectData[rwp.Name][1]= NEWDAMAGE
			

DefaultSwordHit=[5,8,15,25,35,50,65,85,100,120,150,190,240,300,380,460,550,650,820,950]
DefaultSwordHDef=[0,-3, -5, -10, -15, -20, -25,-30, -35, -40, -45, -50, -55, -60, -65, -70,-75, -80,-85, -100]

TKNSwordHit=[8,15,25,35,50,65,85,100,120,150,190,240,300,380,460,550,650,820,950,1000]


def TraitorKnightLevelUpFunc(EntityName):
	per=Bladex.GetEntity(EntityName)
	if per.Life>0:
		lvl=per.Level
		inv=per.GetInventory()
		if lvl>19:
			NEWDAMAGE=1200
			NEWDEFENSE=-120
		else:
			NEWDAMAGE=TKNSwordHit[lvl]
			NEWDEFENSE=DefaultSwordHDef[lvl]
		rwp=Bladex.GetEntity(per.InvRight)
		if rwp:
			Reference.EntitiesObjectData[rwp.Name]= [Reference.OBJ_WEAPON,  5, 0, 2.5,  Reference.THR_SPINNING, [Reference.W_FLAG_1H,]]
			Reference.EntitiesObjectData[rwp.Name][1]= NEWDAMAGE
			Reference.EntitiesObjectData[rwp.Name][2]= NEWDEFENSE
				

	
###########################################################################################################################################################
#### Base Enemy Class


class EnemyChar (Enm_Def.NPCPerson):

	DeathFunc=None
	DeathArgs=()
	LevelupFunc=None
	LevelupArgs=()
	NPCLevelUpParticleData=[]
	NameOfEnemy=None
	GuardPosition=(0,0,0)
	GuardAngle=0
	Dusted=1
	AttackOnSight=1
	Combatant=1
	
	

	def __init__(self, me):
		Enm_Def.NPCPerson.__init__(self, me)
		
		me.ImDeadFunc=self.NewImDeadFunc
		
		self.NPCLevelUpParticleData=[]
		
		for i in range(30):
			if i>25:
				traux=(30.0-i)/5.0 
				aux=traux**0.5
			else:
				traux=i/25.0 
				aux=traux**2.0
			r=255
			g=255
			b=255
			a=255.0*traux
			size=200.0*aux
			self.NPCLevelUpParticleData.append(a)
			self.NPCLevelUpParticleData.append(size)
			Bladex.SetParticleGVal("NPCLevelUpParticle",i,r,g,b,a,size)
			
		self.lupsnd1=Bladex.CreateSound("..\\..\\Sounds\\aparicion-escudo.wav", "LUPSnd1")
		self.lupsnd1.Volume=1.0
		self.lupsnd1.MinDistance=10000
		self.lupsnd1.MaxDistance=30000	
		
		self.GuardPosition=(0,30000,0)
		self.GuardAngle=0
		self.AttackOnSight=1
		self.Combatant=1
		
		
	def SwitchOpponent(self,EntityName,NewAttackerName):
		me = Bladex.GetEntity(EntityName)
		newen=Bladex.GetEntity(NewAttackerName)
		if me.ActiveEnemy:
			if me.CanISee(newen):
				me.Wuea=Reference.WUEA_ENDED
				me.InterruptCombat()
				me.SetEnemy(newen)
				me.SetActiveEnemy(newen)
				me.Chase(newen, me.ActionAreaMax)
				if me.GetActionMode()==Enm_Def.ROUTE_CHASE and self.IsArcher():
					self.Switch2MeleeWeapons(EntityName)
				return 1	
			else:
				me.Wuea=Reference.WUEA_ENDED
				me.InterruptCombat()
				Actions.TurnToFaceEntity(EntityName,NewAttackerName)
				Bladex.AddScheduledFunc(Bladex.GetTime()+0.6,self.SwitchOpponent2,(EntityName,NewAttackerName,))
				return 1
		return 0
		
		
	def SwitchOpponent2(self,EntityName,NewAttackerName):
		me = Bladex.GetEntity(EntityName)
		newen=Bladex.GetEntity(NewAttackerName)
		
		if me.CanISee(newen):
			me.SetEnemy(newen)
			me.SetActiveEnemy(newen)
			me.Chase(newen, me.ActionAreaMax)
			if me.GetActionMode()==Enm_Def.ROUTE_CHASE and self.IsArcher():
				self.Switch2MeleeWeapons(EntityName)
		
		
		
	def PeriodicLook(self):
		me=Bladex.GetEntity(self.Name)
		if me.Life<0:
			return
		char=Bladex.GetEntity("Player1")
		if not me.InCombat and not me.CanISee(char):
			self.StdSeeTheEnemy(self.Name)
		Bladex.AddScheduledFunc(Bladex.GetTime()+5,self.PeriodicLook,())
		
		

	def MutilateFunc(self,EntityName,obj_name,x,y,z,nx,ny,nz,node):
		limb= Bladex.GetEntity(obj_name)
		InitDataField.Initialise(limb)
		Reference.EntitiesSelectionData[limb.Name]=()
		Bladex.AddScheduledFunc(Bladex.GetTime()+13, RemoveMyWeapon,(obj_name,))


	def NewImDeadFunc (self,EntityName):
		print EntityName+": NEW ImDeadFunc"
		
		me = Bladex.GetEntity(EntityName)
		inv=me.GetInventory()
		lwp=Bladex.GetEntity(me.InvLeft)
		rwp=Bladex.GetEntity(me.InvRight)
		if self.Dusted:
			if lwp:
				Reference.EntitiesSelectionData[lwp.Name]=()
				Bladex.AddScheduledFunc(Bladex.GetTime()+15,RemoveMyWeapon,(lwp.Name,))
			if rwp:
				Reference.EntitiesSelectionData[rwp.Name]=()
				Bladex.AddScheduledFunc(Bladex.GetTime()+15,RemoveMyWeapon,(rwp.Name,))
			for x in range(inv.nWeapons):
				weapon_name = inv.GetWeapon(x)
				print "registering:"+weapon_name
				Reference.EntitiesSelectionData[weapon_name]=()
				Bladex.AddScheduledFunc(Bladex.GetTime()+15,RemoveMyWeapon,(weapon_name,))
			Bladex.AddScheduledFunc(Bladex.GetTime()+12,RemoveMyCorpse,(EntityName,100,0,))
		Enm_Def.NPCPerson.StdImDead(self,EntityName)
		if self.DeathFunc:
			apply(self.DeathFunc,self.DeathArgs)
		
			
			
			
	
				
				
	
	def OnKilledEnemy(self,KilledEntityName):
		print "Enemy Leveling up"
		KilledEntity=Bladex.GetEntity(KilledEntityName)
		if KilledEntity is None:
			return
		if KilledEntityName=="Player1":
			Reference.debugprint ("Enemy Char: I have killed the Player")
			return
		me=Bladex.GetEntity(self.Name)
		
		me.PartialLevel=me.PartialLevel+CharStats.GetCharExperienceReward(KilledEntity.CharType,KilledEntity.Level)
		
		LevelLimit=CharStats.GetCharExperienceCost(me.CharType,me.Level)
		
		if me.PartialLevel>=LevelLimit and me.Life>0:
			
			while me.PartialLevel>=LevelLimit:
				me.PartialLevel=me.PartialLevel-LevelLimit
				me.Level=me.Level+1
				LevelLimit=CharStats.GetCharExperienceCost(me.CharType,me.Level)
				self.LevelUp()
			
	
	def LevelUp(self):
		me=Bladex.GetEntity(self.Name)
	
		maxlevel=CharStats.GetMaxLevel()
		maxsize=50+(140/maxlevel)*me.Level 
		maxPPS=120+(600/maxlevel)*me.Level 
		maxint=0.5+(4.5/maxlevel)*me.Level 
		AuraParams=(5, 0, 1, 0, 0, 1)
		AuraGradient=(2, 0.4, 0.6, 1.0, 0.5, 0.0, 0.1, 0.2, 1.0, 0.0, 0.8)
		AuraVar1Args=(5, maxsize, 0, 1, 0.5)
		AuraVar2Args=(maxsize, 5, 1, 0, 1.0)
		print "Levelup PS params set"
		PSParams=(self.NPCLevelUpParticleData, "NPCLevelUpParticle", 30, 50, 150, 255, maxPPS, -600, 0.0, 2, 2, 0.4, 30, 0.5)
			
		GenFX.LevelUpFX(me.Name, 1, AuraParams, AuraGradient, AuraVar1Args, AuraVar2Args, PSParams, maxint, "Timer15", 15)
			
		if me.Life >0: # If an enemy death by poison or trowed weapons and.. You are death!
			me.ResetWounds()
			me.Life = CharStats.GetCharMaxLife(me.Kind, me.Level)
		self.lupsnd1.Play(me.Position[0],me.Position[1],me.Position[2],0)
		if self.LevelupFunc:
			apply(self.LevelupFunc,self.LevelupArgs)
	
	
	
			
				
	def MyGetEnemyName (self):
		
		me=Bladex.GetEntity(self.Name)
	        if not self.NameOfEnemy or Bladex.GetEntity(self.NameOfEnemy).Life <=0:
                   	pjp = me.Position
		   	enemyList=[]
		   	pj_dir=me.Rel2AbsVector(0.0,-1.0,0.0)
			pjp=me.Position
			for ename in Bladex.GetEnemiesVisibleFrom(pjp,30000,pj_dir,0.0):
                       		ene=Bladex.GetEntity(ename)
                       		if self.IsValidEnemy(ene):
                         		enemyList.append(ene.Name)
                        char=Bladex.GetEntity("Player1")
                        if me.CanISee(char):
	        		enemyList.append("Player1")
                   	if len (enemyList) == 0: 
                   		return None
                   	enemyList.sort(self.ChooseCanISeeNearest)
                   	self.NameOfEnemy=enemyList[0]
		enemy=Bladex.GetEntity(self.NameOfEnemy)
                me.SetEnemy(enemy)
		return self.NameOfEnemy			
				
				
		
	def IsValidEnemy (self, entity):
		me=Bladex.GetEntity(self.Name)
		if not entity.Person: 
			return FALSE
		if not entity.Life > 0:
			return FALSE
		if entity.Alpha<0.9:
			return FALSE
		if entity.Name == self.Name:
			return FALSE
		if entity.Kind==me.Kind:
			return FALSE
		if IsHoldingBow(entity.Name):
			return FALSE
		
		if  CheckIfEnemy(entity.Name): 
			return TRUE
		else:
			return FALSE
			
			
			
	def ChooseCanISeeNearest (self, entity1name, entity2name):
		p1 = Bladex.GetEntity(entity1name)
		p2 = Bladex.GetEntity(entity2name)
		if not p1 and not p2:
			return CHOOSE_EITHER
		elif not p1:
			return CHOOSE_SECOND
		elif not p2:
			return CHOOSE_FIRST
		if p1.Life <= 0 and p2.Life <= 0:
			return CHOOSE_EITHER
		elif p1.Life <= 0:
			return CHOOSE_SECOND
		elif p2.Life <= 0:
			return CHOOSE_FIRST
		me=Bladex.GetEntity(self.Name)
		if not me.CanISee(p1) and not me.CanISee(p2) <= 0:
			return CHOOSE_EITHER
		elif not me.CanISee(p1):
			return CHOOSE_SECOND
		elif not me.CanISee(p2):
			return CHOOSE_FIRST
		val = me.SQDistance2(p1) - me.SQDistance2(p2)
		if val < 0:
			return CHOOSE_FIRST
		elif val > 0:
			return CHOOSE_SECOND
		else:
			return CHOOSE_EITHER
		

		
	def StdSeeTheEnemy(self,EntityName):
	
		if not self.AttackOnSight:
			return
		
	
		me = Bladex.GetEntity(EntityName)
		life = me.Life
		if life > 0.0:		
			if not self.MyGetEnemyName(): 
				return
			Reference.debugprint (EntityName + ": I spy a GOOD guy")
			ene=Bladex.GetEntity(self.MyGetEnemyName())
			if ene:
				if self.IsValidEnemy(ene):
					Reference.debugprint (EntityName + ": Your Name is "+ene.Name+ " I will do you over")
					if self.Asleep:
						self.WakeMeUp(EntityName)
				me.LookAtEntity(ene.Name)
			
				#Just in case we were doing a wait animation
				if me.GetActionMode() == Enm_Def.ROUTE_BAY:	
					me.Wuea=Reference.WUEA_ENDED

				self.CheckToJoin(EntityName)
				if me.GetActionMode()!=Enm_Def.ROUTE_CHASE:
					self.StdStartChase(EntityName)
				
				if me.GetActionMode()==Enm_Def.ROUTE_BOWING: 
					if self.AimPressed:
						angle= Reference.TARGET_ANGLE_MAX- me.Accuracy*(Reference.TARGET_ANGLE_MAX-Reference.TARGET_ANGLE_MIN)
						if me.AimOffTarget<angle:
							print "Releasing Arrow"
							Actions.TestReleaseArrow(EntityName)
					else: 
						if me.Wuea!=Reference.WUEA_WAIT:
							#print "Drawing Bow"
							Actions.TestDrawBow (EntityName)
				elif me.Aim or Actions.CurrentlyBowing(EntityName):
					me.Wuea=Reference.WUEA_ENDED
					Actions.EndBowMode(EntityName)
					me.SetOnFloor()




					
	def RespondToHit(self, EntityName, AttackerName, DamagePoints, DamageType, DamageZone, Shielded):
		# launch appropriate hurt anim
		if self.Asleep:
			self.WakeMeUp(EntityName)
		if not self.AttackOnSight:
			self.AttackOnSight=1
		Basic_Funcs.PlayerPerson.RespondToHit(self, EntityName, AttackerName, DamagePoints, DamageType, DamageZone, Shielded)
		
		if AttackerName and AttackerName != 'BWorld' and AttackerName != EntityName:
			me = Bladex.GetEntity(EntityName)
			if me and me.Life > 0:
				
					
				if self.NameOfEnemy and self.NameOfEnemy != AttackerName:
					#Reference.debugprint(AttackerName+": Is NOT my current enemy")
					attacker = Bladex.GetEntity(AttackerName)
					
					if attacker and self.AttacksOwnKind or attacker.Kind != me.Kind : 
						if IsHoldingBow(AttackerName):
							print EntityName+" :Hit by Arrow from "+AttackerName
							return
						if not self.IsValidEnemy(attacker):
							return
						#Reference.debugprint(EntityName+": I will respond")
						# Only attack NPCs if not already, otherwise we get multiple scheduled funcs
						if (not attacker.Data.NPC) or (not self.AttackingNPC):
							#Reference.debugprint("attacker.Data.NPC: "+ `attacker.Data.NPC`+ ", self.AttackingNPC: " + `self.AttackingNPC`)
								
							Damage.DropInvalidObjectsOnImpact (EntityName)
							me.Wuea=Reference.WUEA_ENDED
							me.InterruptCombat()
							me.SetEnemy(attacker)
							me.SetActiveEnemy(attacker)
							me.Chase(attacker, me.ActionAreaMax)
							if me.GetActionMode()==Enm_Def.ROUTE_CHASE and self.IsArcher():
								self.Switch2MeleeWeapons(EntityName)		
	
				
	def StdDelayNoSeen(self,EntityName):
		me = Bladex.GetEntity(EntityName)
		if me.Life > 0:
			if (not self.Asleep) and (not me.Blind):
				if me.Aim or Actions.CurrentlyBowing(EntityName):
					me.Wuea=Reference.WUEA_ENDED
					Actions.EndBowMode(EntityName)
					me.SetOnFloor()
				me.StopLooking()
				self.PutMeToSleep(EntityName)
				if not self.NameOfEnemy:
					self.LookForAnotherOpponent(EntityName)
				Reference.debugprint(EntityName+": I have got bored and dropped to sleep")
				
							
				
				
	def LookForAnotherOpponent(self,EntityName):
		Reference.debugprint(EntityName+": I am looking for another opponent")
		me = Bladex.GetEntity(EntityName)
		self.LaunchMyWatch (EntityName)
		mep=me.Position
		for ename in Bladex.GetEntitiesAt(mep[0],mep[1],mep[2], 30000):
			en=Bladex.GetEntity(ename)
			if en.Person:
				if self.Asleep:
					self.WakeMeUp(EntityName)
				if self.IsValidEnemy(en) and en.Name != me.Name:
					self.NameOfEnemy= en.Name
					#Actions.TurnToFaceEntity(EntityName, en.Name)
					me.GoTo(en.Position[0],en.Position[1],en.Position[2])
					print EntityName+" I have found a new enemy and I am going to sort the bugger out "
					break
                    				
		       			
	
	
	

	
	def ResetCombat (self,EntityName):		
		Enm_Def.NPCPerson.ResetCombat(self, EntityName)
		me = Bladex.GetEntity(EntityName)
		if me and me.Life>0:
			self.AttackNPCTime = 100
	
	
	
	
	def PutMeToSleep(self,EntityName):
		if not self.Asleep:
			me = Bladex.GetEntity(EntityName)
			me.Blind=1  
			me.Deaf=1
			self.Asleep = TRUE


	def WakeMeUp(self,EntityName):
		if self.Asleep:
			me = Bladex.GetEntity(EntityName)
			me.Blind=0  
			me.Deaf=0
			self.Asleep = FALSE
		
				
	
	# Functions for loading and saving state
	def __getstate__(self):	
		NPCPerson_state=Enm_Def.NPCPerson.__getstate__(self)
		if(NPCPerson_state[0]!=1):
			return NPCPerson_state
		NPCPerson_state[1]["EnemyChar"]=(GameStateAux.SaveFunctionAux(self.DeathFunc),
		                                 self.DeathArgs,
		                                 GameStateAux.SaveFunctionAux(self.LevelupFunc),
		                                 self.LevelupArgs,
		                                 self.NameOfEnemy,
						 self.GuardPosition,
						 self.GuardAngle,
						 self.Dusted,
						 self.AttackOnSight,
						 self.Combatant)
		return NPCPerson_state
	
	
	def __setstate__(self,parm):
		Enm_Def.NPCPerson.__setstate__(self,parm)
		version=parm[0]
		if version==1:
			parms=parm[1]["EnemyChar"]
			GameStateAux.LoadFunctionAux(parms[0],self,"DeathFunc")
			self.DeathArgs=parms[1]
			GameStateAux.LoadFunctionAux(parms[2],self,"LevelupFunc")
			self.LevelupArgs=parms[3]
			self.NameOfEnemy=parms[4]
			self.GuardPosition=parms[5]
			self.GuardAngle=parms[6]
			self.Dusted=parms[7]
			self.AttackOnSight=parms[8]
			self.Combatant=parms[9]
		self.NPCLevelUpParticleData=[]
		for i in range(30):
			if i>25:
				traux=(30.0-i)/5.0 
				aux=traux**0.5
			else:
				traux=i/25.0 
				aux=traux**2.0
			r=255
			g=255
			b=255
			a=255.0*traux
			size=200.0*aux
			self.NPCLevelUpParticleData.append(a)
			self.NPCLevelUpParticleData.append(size)
		Bladex.SetParticleGVal("NPCLevelUpParticle",i,r,g,b,a,size)
		me=Bladex.GetEntity(self.Name)
		
				
		self.lupsnd1=Bladex.CreateSound("..\\..\\Sounds\\aparicion-escudo.wav", "LUPSnd1")
		self.lupsnd1.Volume=1.0
		self.lupsnd1.MinDistance=10000
		self.lupsnd1.MaxDistance=30000	
		me.ImDeadFunc=self.NewImDeadFunc
		
		
##########################################################################################################################################################


import AniSoundWarTroll

class WarTroll (EnemyChar):
	
	def __init__(self, me):
		EnemyChar.__init__(self, me)

		self.DamageFactorNone  = 0.15
		self.DamageFactorLight = 0.25
		self.DamageFactorHeavy = 0.35
		
	
		# Set up specific sound priorities
		self.SoundPriorities[Reference.SND_ARROW]   = 10.0
		self.SoundPriorities[Reference.SND_HIT]     = 50.0
		self.SoundPriorities[Reference.SND_NPC]     = 25.0
		self.SoundPriorities[Reference.SND_NOISYPC] = 30.0
		self.SoundPriorities[Reference.SND_PC]      = 40.0
		
		
		
	def ResetSounds(self, EntityName):
		AniSoundWarTroll.AsignarSonidosWarTroll(EntityName)
		me=Bladex.GetEntity(EntityName)
		if me.MeshName=="WarTroll_B":
			Bladex.ReadBitMap("../../Maps/ChaosKnightMap/NUFiles/NUWarTrollStuff/WarTrollBIcon.bmp","WarTrollBIcon")
			Reference.EnemiesScorerData[self.Name]=("WarTrollBIcon","Wtl")
		else:
			Bladex.ReadBitMap("../../Maps/ChaosKnightMap/NUFiles/NUWarTrollStuff/WarTrollAIcon.bmp","WarTrollAIcon")
			Reference.EnemiesScorerData[self.Name]=("WarTrollAIcon","Wtl")
			
			
			
			
			
			
	def ResetCombat (self,EntityName):
		Enm_Def.NPCPerson.ResetCombat(self, EntityName)
		me = Bladex.GetEntity(EntityName)
		if me and me.Life>0:
			self.AttacksOwnKind=FALSE
			me.AttackList = BCopy.deepcopy(WarTrollAttackData)
			
		
			
		
	"""
	def __getstate__(self):
		NPCPerson_state=EnemyChar.__getstate__(self)
		if(NPCPerson_state[0]!=1):
			return NPCPerson_state
		NPCPerson_state[1]["WarTroll"]=()
		return NPCPerson_state		


	def __setstate__(self,parm):
		EnemyChar.__setstate__(self,parm)
		version=parm[0]
		if version==1:
			parms=parm[1]["WarTroll"]
	"""
			
			
WarTrollAttackData =	[ 
           # inner zone blocks:
            [Combat.BLOCK,  0.85, (),                   500.0, 1000.0, 3000.0, 0.35],
			         
            [Combat.ATTACK, 0.20, ("G01",),            1190.0, 2195.0, 2900.0, 0.35],
            [Combat.ATTACK, 0.15, ("G02",),            1410.0, 2105.0, 2800.0, 0.35],
            [Combat.ATTACK, 0.15, ("G07",),            1550.0, 2225.0, 2900.0, 0.35],
            [Combat.ATTACK, 0.15, ("G08",),            1700.0, 2375.0, 3050.0, 0.35],
            [Combat.ATTACK, 0.17, ("G12",),            1850.0, 2525.0, 3200.0, 0.35],
            [Combat.ATTACK, 0.17, ("G18",),            3050.0, 3600.0, 3850.0, 0.35],
            #[Combat.ATTACK, 0.15, ("G31",),            2450.0, 3600.0, 3850.0, 0.35],
            #[Combat.ATTACK, 0.15, ("G21",),            1450.0, 2600.0, 2850.0, 0.35], # big swing
]

#########################################################################################################


class EnemyOrk (EnemyChar):
	def __init__(self, me):
		# base class init
		EnemyChar.__init__(self, me)

		# anims
		me.AnmTranFunc=AuxTran.AuxTranOrc

		# Set up orc specific sound priorities
		self.SoundPriorities[Reference.SND_ARROW]   = 10.0
		self.SoundPriorities[Reference.SND_HIT]     = 50.0
		self.SoundPriorities[Reference.SND_NPC]     = 25.0
		self.SoundPriorities[Reference.SND_NOISYPC] = 30.0
		self.SoundPriorities[Reference.SND_PC]      = 80.0
		
	def ResetSounds(self, EntityName):
		me=Bladex.GetEntity(EntityName)
		if me.Kind=="Ork":
			AniSound.AsignarSonidosOrco(EntityName)
		elif me.Kind=="Great_Ork":
			AniSound.AsignarSonidosOrcoGrande(EntityName)
		elif me.Kind=="Dark_Ork":
			AniSound.AsignarSonidosOrcoOscuro(EntityName)


	def ResetCombat (self,EntityName):
		EnemyChar.ResetCombat(self, EntityName)
		me = Bladex.GetEntity(EntityName)
		if me and me.Life>0:
			me.BlockingPropensity = 0.7
			me.AttackList = BCopy.deepcopy(Combat.OrkAttackData)
			self.ChanceOfFuryOnHurt = 0.45	
			
		
###########################################################################################################################################################

class EnemyMinotaur (EnemyChar):
	def __init__(self, me):
		
		EnemyChar.__init__(self, me)

		# Set up traitor knight specific sound priorities
		self.SoundPriorities[Reference.SND_ARROW]   = 10.0
		self.SoundPriorities[Reference.SND_HIT]     = 50.0
		self.SoundPriorities[Reference.SND_NPC]     = 25.0
		self.SoundPriorities[Reference.SND_NOISYPC] = 30.0
		self.SoundPriorities[Reference.SND_PC]      = 80.0
		self.DamageFactorNone  = 0.25
		self.DamageFactorLight = 0.33
		self.DamageFactorHeavy = 0.5
		
		
	def ResetSounds(self, EntityName):
		AniSound.AsignarSonidosMinotaur(EntityName)

	def ResetCombat (self,EntityName):
		EnemyChar.ResetCombat(self, EntityName)
		me = Bladex.GetEntity(EntityName)	
		if me and me.Life>0:
			self.AttacksOwnKind=TRUE
			me.BlockingPropensity = 0.6
			me.AttackList = BCopy.deepcopy(Combat.MinotaurAttackData)
			self.ChanceOfFuryOnHurt = 0.0
			self.ChanceOfFuryOnLeaderDeath = 0.0
			
			
			
			
class EnemyTraitorKnight (EnemyChar):
	def __init__(self, me):
		
		EnemyChar.__init__(self, me)
		
		me.MeshName="Mortimer"
		
		
		# Set up traitor knight specific sound priorities
		self.SoundPriorities[Reference.SND_ARROW]   = 10.0
		self.SoundPriorities[Reference.SND_HIT]     = 50.0
		self.SoundPriorities[Reference.SND_NPC]     = 25.0
		self.SoundPriorities[Reference.SND_NOISYPC] = 30.0
		self.SoundPriorities[Reference.SND_PC]      = 80.0
	
	def ResetSounds(self, EntityName):
		me=Bladex.GetEntity(EntityName)
		if me.Kind=="Knight_Traitor":
			AniSound.AsignarSonidosCaballeroTraidor(EntityName)
		elif me.Kind=="Dark_Knight":
			AniSound.AsignarSonidosCaballeroOscuro(EntityName)




	# Functions for loading and saving state
	def __getstate__(self):	
		NPCPerson_state=EnemyChar.__getstate__(self)
		if(NPCPerson_state[0]!=1):
			return NPCPerson_state
		NPCPerson_state[1]["EnemyTraitorKnight"]=()
		return NPCPerson_state
	
	def __setstate__(self,parm):
		EnemyChar.__setstate__(self,parm)
		version=parm[0]
		if version==1:
			parms=parm[1]["EnemyTraitorKnight"]
			

	def ResetCombat (self,EntityName):		
		Enm_Def.NPCPerson.ResetCombat(self, EntityName)
		me = Bladex.GetEntity(EntityName)	
		if me and me.Life>0:
			self.AttacksOwnKind=TRUE
			self.AttackNPCTime = 1.5
			me.BlockingPropensity = 0.7
			me.AttackList = BCopy.deepcopy(Combat.TraitorKnightAttackData)
			self.ChanceOfFuryOnHurt = 0.25
			self.ChanceOfFuryOnLeaderDeath = 1.00
			me.AttackList.append ([Combat.ATTACK, 0.60, CheckNearerOpponent,     0.0, 3000.0, 9000.0, 0.35])
			
			
			
			

			
class EnemySkeleton (EnemyChar):

	def __init__(self, me):
		EnemyChar.__init__(self, me)

		# Set up skeleton specific sound priorities
		self.SoundPriorities[Reference.SND_ARROW]   =  1.0
		self.SoundPriorities[Reference.SND_HIT]     =  1.0
		self.SoundPriorities[Reference.SND_NPC]     = -1.0
		self.SoundPriorities[Reference.SND_NOISYPC] =  3.0
		self.SoundPriorities[Reference.SND_PC]      =  2.0
		

	def ResetSounds(self, EntityName):
		AniSound.AsignarSonidosEsqueleto(EntityName)



	# Functions for loading and saving state
	def __getstate__(self):
		NPCPerson_state=EnemyChar.__getstate__(self)		
		if(NPCPerson_state[0]!=1):
			return NPCPerson_state
		NPCPerson_state[1]["EnemySkeleton"]=()
		return NPCPerson_state
		

	def __setstate__(self,parm):
		EnemyChar.__setstate__(self,parm)
		version=parm[0]
		if version==1:
			parms=parm[1]["EnemySkeleton"]
			
	def ResetCombat (self,EntityName):
		Enm_Def.NPCPerson.ResetCombat(self, EntityName)
		me = Bladex.GetEntity(EntityName)
		if me and me.Life>0:
			me.BlockingPropensity = 0.6
			me.AttackList = BCopy.deepcopy(Combat.SkeletonAttackData)
			
			
	




#############################################################################################################################################################################################


import AniSoundIronWarrior




class IronWarrior (EnemyChar):

	HitPower=[15,28,40,78,100,135,150,165,185,210,240,280,340,420,540,650,750,850,950,1100]

	def __init__(self, me):
			
		EnemyChar.__init__(self, me)

		self.DamageFactorNone  = 0.15
		self.DamageFactorLight = 0.25
		self.DamageFactorHeavy = 0.35
		
		self.HitPower=[15,28,40,78,100,135,150,165,185,210,240,280,340,420,540,650,750,850,950,1100]

		# Set up specific sound priorities
		self.SoundPriorities[Reference.SND_ARROW]   = 10.0
		self.SoundPriorities[Reference.SND_HIT]     = 50.0
		self.SoundPriorities[Reference.SND_NPC]     = 25.0
		self.SoundPriorities[Reference.SND_NOISYPC] = 30.0
		self.SoundPriorities[Reference.SND_PC]      = 80.0

		self.UpdateMyPower()
	
	

			
	

	def ResetSounds(self, EntityName):
		AniSoundIronWarrior.AsignarSonidosIronWarrior(EntityName)
		Bladex.ReadBitMap("../../Maps/ProsperoArena1/NUFiles/NUNWNGolemStuff/IronWarriorIcon.bmp","IronWarriorIcon")
		Reference.EnemiesScorerData[self.Name]=("IronWarriorIcon","Iwr")




	def ResetCombat (self,EntityName):
		Enm_Def.NPCPerson.ResetCombat(self, EntityName)
		me = Bladex.GetEntity(EntityName)
		if me and me.Life>0:
			self.AttacksOwnKind=FALSE
			me.AttackList = BCopy.deepcopy(IronWarriorAttackData)


	def OnKilledEnemy(self,KilledEntityName):
		print "IronWarrior Leveling up"
		KilledEntity=Bladex.GetEntity(KilledEntityName)
		if KilledEntity is None:
			return
		me=Bladex.GetEntity(self.Name)
		Bladex.AddScheduledFunc(Bladex.GetTime()+1.0, self.LookForAnotherOpponent,(self.Name,))
		me.PartialLevel=me.PartialLevel+CharStats.GetCharExperienceReward(KilledEntity.CharType,KilledEntity.Level)
		LevelLimit=CharStats.GetCharExperienceCost(me.CharType,me.Level)
		if me.PartialLevel>=LevelLimit and me.Life>0:
			while me.PartialLevel>=LevelLimit:
				me.PartialLevel=me.PartialLevel-LevelLimit
				me.Level=me.Level+1
				LevelLimit=CharStats.GetCharExperienceCost(me.CharType,me.Level)
			maxlevel=CharStats.GetMaxLevel()
			maxsize=50+(140/maxlevel)*me.Level 
			maxPPS=120+(600/maxlevel)*me.Level 
			maxint=0.5+(4.5/maxlevel)*me.Level 
			AuraParams=(5, 0, 1, 0, 0, 1)
			AuraGradient=(2, 0.4, 0.6, 1.0, 0.5, 0.0, 0.1, 0.2, 1.0, 0.0, 0.8)
			AuraVar1Args=(5, maxsize, 0, 1, 0.5)
			AuraVar2Args=(maxsize, 5, 1, 0, 1.0)
			print "Levelup PS params set"
			PSParams=(self.NPCLevelUpParticleData, "NPCLevelUpParticle", 30, 50, 150, 255, maxPPS, -600, 0.0, 2, 2, 0.4, 30, 0.5)
			GenFX.LevelUpFX(me.Name, 1, AuraParams, AuraGradient, AuraVar1Args, AuraVar2Args, PSParams, maxint, "Timer15", 15)
			if me.Life >0: # If an enemy death by poison or trowed weapons and.. You are death!
				me.ResetWounds()
				me.Life = CharStats.GetCharMaxLife(me.Kind, me.Level)
			self.lupsnd1.Play(me.Position[0],me.Position[1],me.Position[2],0)
			if self.LevelupFunc:
				apply(self.LevelupFunc,self.LevelupArgs)
			self.UpdateMyPower()
			
			
			
	def UpdateMyPower(self):
		me=Bladex.GetEntity(self.Name)
		rwp=Bladex.GetEntity(me.InvRight)
		if not rwp:
			return
		LEVEL=me.Level
		hitpower=2
		if LEVEL>19:
			hitpower=1500
		else:
			hitpower=self.HitPower[LEVEL]
		if not Reference.EntitiesObjectData.has_key(rwp.Name):
			Reference.EntitiesObjectData[rwp.Name]=BCopy.deepcopy(Reference.DefaultObjectData[rwp.Kind])
		Reference.EntitiesObjectData[rwp.Name][1]=hitpower
		print "ironWarrior Weapon Power Increased"
			
			
	def ToolUp(self,WeaponType="IronHammer"):
		me=Bladex.GetEntity(self.Name)
		rwp=Bladex.CreateEntity(self.Name+" RightWeapon",WeaponType,0,0,0,"Weapon")
		Reference.EntitiesObjectData[rwp.Name]=BCopy.deepcopy(Reference.DefaultObjectData[rwp.Kind])
		Actions.TakeObject(me.Name,rwp.Name)
		self.UpdateMyPower()
		print "IronWarrior tooled up"	
			


	# Functions for loading and saving state
	def __getstate__(self):
		NPCPerson_state=EnemyChar.__getstate__(self)
		if(NPCPerson_state[0]!=1):
			return NPCPerson_state
		NPCPerson_state[1]["IronWarrior"]=()
		return NPCPerson_state		

	def __setstate__(self,parm):
		EnemyChar.__setstate__(self,parm)
		version=parm[0]
		if version==1:
			parms=parm[1]["IronWarrior"]
			



IronWarriorAttackData =	[ 
           # inner zone blocks:
            #[BLOCK,  0.85, (),                   500.0, 1000.0, 3000.0, 0.35],
			         
           # attacks:
            [Combat.ATTACK, 0.20, ("G01",),            1490.0, 2195.0, 2900.0, 0.35],
            [Combat.ATTACK, 0.15, ("G02",),            1410.0, 2105.0, 2800.0, 0.35],
            [Combat.ATTACK, 0.10, ("G07",),            1550.0, 2225.0, 2900.0, 0.35],
            [Combat.ATTACK, 0.10, ("G08",),            1700.0, 2375.0, 3050.0, 0.35],
            [Combat.ATTACK, 0.07, ("G12",),            2850.0, 3425.0, 3900.0, 0.35],
            [Combat.ATTACK, 0.07, ("G18",),            3050.0, 3600.0, 3850.0, 0.35],
            [Combat.ATTACK, 0.05, ("G31",),            3400.0, 3700.0, 4000.0, 0.35],
]

		
		
		
######


class EnemyDwarf (EnemyChar):
	def __init__(self, me):
		
		EnemyChar.__init__(self, me)
		
		# Set up traitor knight specific sound priorities
		self.SoundPriorities[Reference.SND_ARROW]   = 10.0
		self.SoundPriorities[Reference.SND_HIT]     = 50.0
		self.SoundPriorities[Reference.SND_NPC]     = 25.0
		self.SoundPriorities[Reference.SND_NOISYPC] = 30.0
		self.SoundPriorities[Reference.SND_PC]      = 80.0
		
		
	
	def ResetSounds(self, EntityName):
		me = Bladex.GetEntity(EntityName)
		AniSound.AsignarSonidosEnano(EntityName)
		if me.MeshName == "Enano1":
			Bladex.ReadBitMap("../../Data/Icons/Enano1.bmp","Enano1Icon")
			Reference.EnemiesScorerData[self.Name]=("Enano1Icon","Dwf")	
		elif me.MeshName == "Enano2":
			Bladex.ReadBitMap("../../Data/Icons/Enano2.bmp","Enano2Icon")
			Reference.EnemiesScorerData[self.Name]=("Enano2Icon","Dwf")	
		elif me.MeshName == "Enano3":
			Bladex.ReadBitMap("../../Data/Icons/Enano3.bmp","Enano3Icon")
			Reference.EnemiesScorerData[self.Name]=("Enano3Icon","Dwf")
		elif me.MeshName == "Enano4":
			Bladex.ReadBitMap("../../Data/Icons/Enano4.bmp","Enano4Icon")
			Reference.EnemiesScorerData[self.Name]=("Enano4Icon","Dwf")	
		elif me.MeshName == "DwfSkin2":
			try:
				Bladex.ReadBitMap("../../Fugskins/herb.bmp","HerbertIcon")
				Reference.EnemiesScorerData[self.Name]=("HerbertIcon","Herbert")
			except:
				Reference.EnemiesScorerData[self.Name]=("DwarfIcon","Dwf")
		elif me.MeshName == "DwfSkin1":
			try:
				Bladex.ReadBitMap("../../Fugskins/glof.bmp","GlofrorIcon")
				Reference.EnemiesScorerData[self.Name]=("GlofrorIcon","Glofror")
			except:
				Reference.EnemiesScorerData[self.Name]=("DwarfIcon","Dwf")
		else:
			Bladex.ReadBitMap("../../Data/Icons/icono enano.bmp","Dwarf_NIcon")
			Reference.EnemiesScorerData[self.Name]=("Dwarf_NIcon","Dwf")	
			
	
	def OnKilledEnemy(self,KilledEntityName):
		print "Enemy Leveling up"
		KilledEntity=Bladex.GetEntity(KilledEntityName)
		if KilledEntity is None:
			return
		if KilledEntityName=="Player1":
			Reference.debugprint ("Enemy Char: I have killed the Player")
			return
		me=Bladex.GetEntity(self.Name)
		
		
		me.PartialLevel=me.PartialLevel+CharStats.GetCharExperienceReward(KilledEntity.CharType,KilledEntity.Level)
		
		LevelLimit=CharStats.GetCharExperienceCost(me.CharType,me.Level)
		
		if me.PartialLevel>=LevelLimit and me.Life>0:
			
			while me.PartialLevel>=LevelLimit:
				me.PartialLevel=me.PartialLevel-LevelLimit
				me.Level=me.Level+1
				LevelLimit=CharStats.GetCharExperienceCost(me.CharType,me.Level)
				self.LevelUp()
				TraitorKnightLevelUpFunc(self.Name)
	
	
	

	def ResetCombat (self,EntityName):		
		Enm_Def.NPCPerson.ResetCombat(self, EntityName)
		me = Bladex.GetEntity(EntityName)
		if me and me.Life>0:
			self.AttacksOwnKind=FALSE
			me.BlockingPropensity = 0.8
			self.AttackNPCTime = 100
			rwp=Bladex.GetEntity(me.InvRight)
			if rwp:
				me.AttackList = BCopy.deepcopy(EnemyDwarfAttackData)
				self.ChanceOfFuryOnHurt = 0.25
				self.ChanceOfFuryOnLeaderDeath = 1.00
				if me.Level>1:
					me.AttackList.append([Combat.ATTACK, 0.08, ("GM43_1H",), 	  800.0, 1200.0, 2500.0, 0.35],)
				if me.Level>3:
					me.AttackList.append([Combat.ATTACK, 0.12, ("GM30_1H",), 	  800.0, 1200.0, 2500.0, 0.35],)
				if me.Level>5:
					me.AttackList.append([Combat.ATTACK, 0.12, ("GM31_1H",), 	  800.0, 1200.0, 2500.0, 0.35],)
				if me.Level>7:
					me.AttackList.append([Combat.ATTACK, 0.12, ("GM15_1H",), 	  800.0, 1200.0, 2500.0, 0.35],)
				if me.Level>9:
					me.AttackList.append([Combat.ATTACK, 0.12, ("GM17_1H",), 	  800.0, 1200.0, 2500.0, 0.35],)
				if me.Level>12:
					me.AttackList.append([Combat.ATTACK, 0.12, ("GM26_1H",), 	  800.0, 1200.0, 2500.0, 0.35],)
				if me.Level>12:
					me.AttackList.append([Combat.ATTACK, 0.12, ("GM11_1H",), 	  800.0, 1200.0, 2500.0, 0.35],)
				if me.Level>17:
					me.AttackList.append([Combat.ATTACK, 0.12, ("GM22_1H",), 	  800.0, 1200.0, 2500.0, 0.35],)
			else:
				me.AttackList = BCopy.deepcopy(EnemyDwarfUnarmedAttackData)
					
					
					
			
EnemyDwarfAttackData = [
           # inner zone blocks:
            [Combat.BLOCK,  0.08, (),                   500.0, 1000.0, 3000.0, 0.35],
            [Combat.BLOCK,  0.05, "tr",                 750.0, 1500.0, 3500.0, 0.50],
            [Combat.BLOCK,  0.05, "tl",                 750.0, 1500.0, 3500.0, 0.50],
            [Combat.BLOCK,  0.05, "tb",                 750.0, 1500.0, 3500.0, 0.50],
            [Combat.BLOCK,  0.20, "tf",                 750.0, 1500.0, 3500.0, 0.50],

           # outer zone blocks:
            [Combat.BLOCK,  0.05, "tr",                3500.0, 7000.0, 9000.0, 0.50],
            [Combat.BLOCK,  0.05, "tl",                3500.0, 7000.0, 9000.0, 0.50],
            [Combat.BLOCK,  0.35, "tb",                3500.0, 7000.0, 9000.0, 0.50],
            [Combat.BLOCK,  0.10, "tf",                3500.0, 7000.0, 9000.0, 0.50],

           # dodges:
            [Combat.DODGE,  0.25, "d_r",                500.0, 1200.0, 2800.0, 0.35],
            [Combat.DODGE,  0.25, "d_l",                500.0, 1200.0, 2800.0, 0.35],
            [Combat.DODGE,  0.00, "d_b",                500.0, 1200.0, 2800.0, 0.35],

            # basic attacks
	    [Combat.ATTACK, 0.1, ("GI_1H",),            500, 1500.0, 2500.0, 0.35], # Light Attack 
	    [Combat.ATTACK, 0.1, ("GM12_1H",),          500, 1500.0, 2500.0, 0.35], # Light High Attack 
	    [Combat.ATTACK, 0.1, ("GM18_1H",),          500, 1500.0, 2500.0, 0.35], # Light Low Attack 
	    [Combat.ATTACK, 0.1, ("GM16_1H",),          500, 1500.0, 2500.0, 0.35], # Light Left Attack 
	    [Combat.ATTACK, 0.1, ("GM14_1H",),          500, 1500.0, 2500.0, 0.35], # Light Right Attack 
	    
	    [Combat.ATTACK, 0.60, CheckNearerOpponent,     0.0, 1200.0, 3000.0, 0.35],
	   
            [Combat.MOVE,   0.05, "tr",                   0.0, 2000.0, 5000.0, 0.35],
            [Combat.MOVE,   0.05, "tl",                   0.0, 2000.0, 5000.0, 0.35],
            [Combat.MOVE,   0.10, "tb",                   0.0, 2000.0, 5000.0, 0.35],
            [Combat.MOVE,   0.25, "tf",                   0.0, 2000.0, 5000.0, 0.35],
            
            [Combat.ATTACK, 0.60, "RespectDistance",      0.0,  500.0, 1000.0, 0.30, 1],
            
            [Combat.MOVE,   0.15, Combat.TempMoveInProc,      3000.0,  7000.0, 9000.0, 0.35, 1],
]



EnemyDwarfUnarmedAttackData = [
           # inner zone blocks:
            [Combat.BLOCK,  0.08, (),                   500.0, 1000.0, 3000.0, 0.35],
            [Combat.BLOCK,  0.05, "tr",                 750.0, 1500.0, 3500.0, 0.50],
            [Combat.BLOCK,  0.05, "tl",                 750.0, 1500.0, 3500.0, 0.50],
            [Combat.BLOCK,  0.05, "tb",                 750.0, 1500.0, 3500.0, 0.50],
            [Combat.BLOCK,  0.20, "tf",                 750.0, 1500.0, 3500.0, 0.50],

           # outer zone blocks:
            [Combat.BLOCK,  0.05, "tr",                3500.0, 7000.0, 9000.0, 0.50],
            [Combat.BLOCK,  0.05, "tl",                3500.0, 7000.0, 9000.0, 0.50],
            [Combat.BLOCK,  0.35, "tb",                3500.0, 7000.0, 9000.0, 0.50],
            [Combat.BLOCK,  0.10, "tf",                3500.0, 7000.0, 9000.0, 0.50],

           # dodges:
            [Combat.DODGE,  0.25, "d_r",                500.0, 1200.0, 2800.0, 0.35],
            [Combat.DODGE,  0.25, "d_l",                500.0, 1200.0, 2800.0, 0.35],
            [Combat.DODGE,  0.00, "d_b",                500.0, 1200.0, 2800.0, 0.35],

            # basic attacks
	    [Combat.ATTACK, 0.1, ("GM19_NO",),            500, 1500.0, 2500.0, 0.35], # Light Attack 
	    [Combat.ATTACK, 0.1, ("GM20_NO",),          500, 1500.0, 2500.0, 0.35], # Light High Attack 
	    [Combat.ATTACK, 0.1, ("GM21_NO",),          500, 1500.0, 2500.0, 0.35], # Light Low Attack 
	    
	    
	    
            [Combat.MOVE,   0.05, "tr",                   0.0, 2000.0, 5000.0, 0.35],
            [Combat.MOVE,   0.05, "tl",                   0.0, 2000.0, 5000.0, 0.35],
            [Combat.MOVE,   0.10, "tb",                   0.0, 2000.0, 5000.0, 0.35],
            [Combat.MOVE,   0.25, "tf",                   0.0, 2000.0, 5000.0, 0.35],
            
            [Combat.ATTACK, 0.60, "RespectDistance",      0.0,  500.0, 1000.0, 0.30, 1],
            
            [Combat.MOVE,   0.15, Combat.TempMoveInProc,      3000.0,  7000.0, 9000.0, 0.35, 1],
]
