# Installation File for New Objects and Characters/animations


import os
import shutil
import stat





def getmtime(filename):
    	st = os.stat(filename)
    	return st[stat.ST_MTIME]
	


	
#########################################################################################################################################################
######## Copy new BOD/BMV files. They are only copied if they don't exist already in target dir or are newer versions.



Odst= ('../../3DObjs')

Cdst= ('../../3DChars')

Adst= ('../../Anm')

Sdst= ('../../Sounds')


	
ObjFiles=os.listdir('../../BODLoader/Mods/ChaosKnightMap/To3DObjs')
for file in ObjFiles:
	newfile = os.path.basename (file)
	Osrc=  ('../../BODLoader/Mods/ChaosKnightMap/To3DObjs/'+newfile)

	if os.path.exists('../../3DObjs/'+newfile):
		# if file already exists in dest dir, check for for mod time
		if getmtime('../../3DObjs/'+newfile) < getmtime(Osrc):
			shutil.copy(Osrc,Odst)
			
	else:
		
		#if file does not already exist at dest dir, copy it straight to dest dir
		shutil.copy(Osrc,Odst)
		
	
	
CharFiles=os.listdir('../../BODLoader/Mods/ChaosKnightMap/To3DChars')
for file in CharFiles:
	newfile = os.path.basename (file)
	Csrc=  ('../../BODLoader/Mods/ChaosKnightMap/To3DChars/'+newfile)

	if os.path.exists('../../3DChars/'+newfile):
		
		# if file already exists in dest dir, check for for mod time
		if getmtime('../../3DChars/'+newfile) < getmtime(Csrc):
			shutil.copy(Csrc,Cdst)
			
	else:
		
		#if file does not already exist at dest dir, copy it straight to dest dir
		shutil.copy(Csrc,Cdst)
		


AnmFiles=os.listdir('../../BODLoader/Mods/ChaosKnightMap/ToAnm')
for file in AnmFiles:
	newfile = os.path.basename (file)
	Asrc=  ('../../BODLoader/Mods/ChaosKnightMap/ToAnm/'+newfile)

	if os.path.exists('../../Anm/'+newfile):
		
		# if file already exists in dest dir, check for for mod time
		if getmtime('../../Anm/'+newfile) < getmtime(Asrc):
			shutil.copy(Asrc,Adst)
			
	else:
		
		#if file does not already exist at dest dir, copy it straight to dest dir
		shutil.copy(Asrc,Adst)
		
		
		
SndFiles=os.listdir('../../BODLoader/Mods/ChaosKnightMap/ToSounds')
for file in SndFiles:
	newfile = os.path.basename (file)
	Ssrc=  ('../../BODLoader/Mods/ChaosKnightMap/ToSounds/'+newfile)

	if os.path.exists('../../Sounds/'+newfile):
		
		# if file already exists in dest dir, check for for mod time
		if getmtime('../../Sounds/'+newfile) < getmtime(Ssrc):
			shutil.copy(Ssrc,Sdst)
			
	else:
		
		#if file does not already exist at dest dir, copy it straight to dest dir
		shutil.copy(Ssrc,Sdst)
		


	   