######################################################
#
# Create sets of attacks
#
#        - IWR -
#
######################################################



import Bladex

ATK_UNIQUE=0
ATK_RANDOM=1
ATK_SEQUENTIAL=2


# Predeclare & link all my combos into ATTACKING action event tables
Bladex.SetActionEventTable("Iwr","g_magic","ATTACKING")
Bladex.SetActionEventTable("Iwr","g_01","ATTACKING")
Bladex.SetActionEventTable("Iwr","g_02","ATTACKING")
Bladex.SetActionEventTable("Iwr","g_07","ATTACKING")
Bladex.SetActionEventTable("Iwr","g_08","ATTACKING")
Bladex.SetActionEventTable("Iwr","g_12","ATTACKING")
Bladex.SetActionEventTable("Iwr","g_18","ATTACKING")
Bladex.SetActionEventTable("Iwr","g_31","ATTACKING")


iwr=Bladex.GetCharType("IronWarrior","Iwr")


###############################
# GRUPOS DE GOLPES SELECTIVOS #
###############################
#SP1 group (magic)
iwr.AddAttack("SP1","Iwr_g_magic")
iwr.AttackTypeFlag("SP1",ATK_UNIQUE)

#GM1 group
iwr.AddAttack("G01","Iwr_g_01")
iwr.AttackTypeFlag("GM1",ATK_UNIQUE)
iwr.AddLevels("Iwr_g_01",0,0)

#GM2 group
iwr.AddAttack("G02","Iwr_g_02")
iwr.AttackTypeFlag("GM2",ATK_UNIQUE)
iwr.AddLevels("Iwr_g_02",0,0)

#GM3 group
iwr.AddAttack("G07","Iwr_g_07")
iwr.AttackTypeFlag("GM3",ATK_UNIQUE)
iwr.AddLevels("Iwr_g_07",0,0)

#GM4 group
iwr.AddAttack("G08","Iwr_g_08")
iwr.AttackTypeFlag("GM4",ATK_UNIQUE)
iwr.AddLevels("Iwr_g_08",0,0)

#GM5 group
iwr.AddAttack("G12","Iwr_g_12")
iwr.AttackTypeFlag("GM5",ATK_UNIQUE)
iwr.AddLevels("Iwr_g_12",0,0)
iwr.AssignTrail("G12","","EstelaAmarilla1")

#GM6 group
iwr.AddAttack("G18","Iwr_g_18")
iwr.AttackTypeFlag("GM6",ATK_UNIQUE)
iwr.AddLevels("Iwr_g_18",0,0)
iwr.AssignTrail("G18","","EstelaRoja1")

#GM7 group
iwr.AddAttack("G31","Iwr_g_31")
iwr.AttackTypeFlag("GM7",ATK_UNIQUE)
iwr.AddLevels("Iwr_g_31",0,0)
iwr.AssignTrail("G31","","EstelaRoja1")








