######################################################
#
# Create sets of attacks
#
#        - DMK -
#
######################################################



import Bladex

ATK_UNIQUE=0
ATK_RANDOM=1
ATK_SEQUENTIAL=2


# Predeclare & link all my combos into ATTACKING action event tables
Bladex.SetActionEventTable("Wtl","g_magic","ATTACKING")
Bladex.SetActionEventTable("Wtl","g_01","ATTACKING")
Bladex.SetActionEventTable("Wtl","g_02","ATTACKING")
Bladex.SetActionEventTable("Wtl","g_07","ATTACKING")
Bladex.SetActionEventTable("Wtl","g_08","ATTACKING")
Bladex.SetActionEventTable("Wtl","g_12","ATTACKING")
Bladex.SetActionEventTable("Wtl","g_18","ATTACKING")
Bladex.SetActionEventTable("Wtl","g_31","ATTACKING")
Bladex.SetActionEventTable("Wtl","g_21","ATTACKING")
Bladex.SetActionEventTable("Wtl","g_flame","ATTACKING")


wtl=Bladex.GetCharType("WarTroll_A","Wtl")


###############################
# GRUPOS DE GOLPES SELECTIVOS #
###############################
#SP1 group (magic)
wtl.AddAttack("SP1","Wtl_g_magic")
wtl.AttackTypeFlag("SP1",ATK_UNIQUE)

#GM1 group
wtl.AddAttack("G01","Wtl_g_01")
wtl.AttackTypeFlag("GM1",ATK_UNIQUE)
wtl.AddLevels("Wtl_g_01",0,0)
wtl.AssignTrail("G01","","EstelaNegra1")

#GM2 group
wtl.AddAttack("G02","Wtl_g_02")
wtl.AttackTypeFlag("GM2",ATK_UNIQUE)
wtl.AddLevels("Wtl_g_02",0,0)
wtl.AssignTrail("G02","","EstelaNegra1")

#GM3 group
wtl.AddAttack("G07","Wtl_g_07")
wtl.AttackTypeFlag("GM3",ATK_UNIQUE)
wtl.AddLevels("Wtl_g_07",0,0)
wtl.AssignTrail("G07","","EstelaNegra1")

#GM4 group
wtl.AddAttack("G08","Wtl_g_08")
wtl.AttackTypeFlag("GM4",ATK_UNIQUE)
wtl.AddLevels("Wtl_g_08",0,0)
wtl.AssignTrail("G08","","EstelaNegra1")

#GM5 group
wtl.AddAttack("G12","Wtl_g_12")
wtl.AttackTypeFlag("GM5",ATK_UNIQUE)
wtl.AddLevels("Wtl_g_12",0,0)
wtl.AssignTrail("G12","","EstelaNegra1")

#GM6 group
wtl.AddAttack("G18","Wtl_g_18")
wtl.AttackTypeFlag("GM6",ATK_UNIQUE)
wtl.AddLevels("Wtl_g_18",0,0)
wtl.AssignTrail("G18","","EstelaNegra1")

wtl.AddAttack("G19","Wtl_g_19")
wtl.AttackTypeFlag("GM6",ATK_UNIQUE)
wtl.AddLevels("Wtl_g_19",0,0)
wtl.AssignTrail("G19","","EstelaNegra1")

#GM7 group
wtl.AddAttack("G31","Wtl_g_31")
wtl.AttackTypeFlag("GM7",ATK_UNIQUE)
wtl.AddLevels("Wtl_g_31",0,0)
wtl.AssignTrail("G31","","EstelaNegra1")

wtl.AddAttack("G21","Wtl_g_21")
wtl.AttackTypeFlag("GM7",ATK_UNIQUE)
wtl.AddLevels("Wtl_g_21",0,0)
wtl.AssignTrail("G21","","EstelaNegra1")


wtl.AddAttack("Flame","Wtl_g_flame")



