from CharData import CharMaxLifeValue
from CharData import CharDamageData
from CharData import CharDefenseData
from CharData import CharResistances
from CharData import CharExperienceCost
from CharData import CharExperienceReward
from CharData import CharAccuracy
import Reference



CharMaxLifeValue['WarTroll_A']=     [   1000,    1600,    1750,    2000,   2400,   2800,   3000,  4000,  5000, 6000,  8000,  10000,  1100,  12000,  13000,  14000,  15000,  16000,  17000,  20000]
CharDamageData['WarTroll_A']=       [    50,     55,     60,     65,     70,     75,     80,     85,     90,     95,    100,    105,    110,    115,    120,    125,    130,    135,    140,    145]
CharDefenseData['WarTroll_A']=      [     0,      0,      0,      0,      0,      0,      0,      0,      0,      0,      0,      0,      0,      0,      0,      0,      0,      0,      0,      0]
CharExperienceCost['WarTroll_A']=   [    50,    100,    200,    400,    800,   1600,   3200,   6400,  12800,  25600,  51200, 102400, 204800, 409600, 819200,1638400,3276800,6553600,13107200,26214400]
CharExperienceReward['WarTroll_A']= [   800,   1600,   3200,   6400,  12800,  25600,  51200,  70000,  90000, 100000, 130000, 150000, 170000, 190000, 210000, 240000, 260000, 280000,560000, 1000000]
CharAccuracy['WarTroll_A']=         [   0.1,    0.1,    0.2,    0.2,    0.3,    0.3,    0.4,    0.4,    0.5,    0.5,    0.6,    0.6,    0.6,    0.7,    0.7,    0.7,    0.8,    0.8,    0.9,    0.9]
CharResistances['WarTroll_A']=      {'Impale': 0.4, 'Slash': 0.30, 'Crush': 0.50, 'Fire': 0.00, 'Ice': 1.00, 'Venom': 0.5, 'Light': -1.00, 'Electric': -0.50, 'Acid': 0.00, 'Drain': 0.00}


import Bladex


s=Bladex.CreateSound('..\\..\\sounds\\paso-Gdm11.wav', 'PasoWtl1')
s.SendNotify=0
s.Volume=0.4
s.MinDistance=1000
s.MaxDistance=25000
Bladex.AddStepSound("PasoWtl",s)

s=Bladex.CreateSound('..\\..\\sounds\\paso-Gdm22.wav', 'PasoWtl2')
s.SendNotify=0
s.Volume=0.4
s.MinDistance=1000
s.MaxDistance=25000
Bladex.AddStepSound("PasoWtl",s)


Bladex.AddMaterialStepSound("PisadaWtl","default","PasoWtl")


Bladex.AddActionStepSound("Wtl","default","PisadaWtl")

	
	
import Damage
	
Damage.AnimationData['Wtl_g_01']=    1.0
Damage.AnimationData['Wtl_g_02']=    1.2
Damage.AnimationData['Wtl_g_07']=    1.0
Damage.AnimationData['Wtl_g_08']=    1.2
Damage.AnimationData['Wtl_g_12']=    2.0
Damage.AnimationData['Wtl_g_18']=    2.5
Damage.AnimationData['Wtl_g_31']=    4.0
Damage.AnimationData['Wtl_g_21']=    6.0